<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use App\Models\User;


class AdminAuthController extends Controller
{
    /**

     * Where to redirect users after login.

     *

     * @var string

     */

    protected $redirectTo = '/admin/home';

    /**

     * Create a new controller instance.

     *

     * @return void

     */
    public function __construct()
    {
        $this->middleware('admin.guest', ['except' => 'adminLogout']);
    }

    public function login_form(Request $request)
    {
        return view('admin/login');
    }

    public function login(Request $request)
    {
        $this->validate($request, [
            'email' => 'required|email',
            'password' => 'required',
        ]);

        if(auth()->guard('admin')->attempt(['email' => $request->input('email'),  'password' => $request->input('password')])){
            $user = auth()->guard('admin')->user();
            if($user->role == User::IS_ADMIN || $user->role == User::IS_SUP_ADMIN){
                return redirect('admin/home')->with('success','You are Logged in sucessfully.');
            }
            return back()->with('error','Whoops! invalid email and password.');
        }else {
            return back()->with('error','Whoops! invalid email and password.');
        }
    }

    public function adminLogout(Request $request)
    {
        auth()->guard('admin')->logout();
        Session::flush();
        Session::put('success', 'You are logout sucessfully');
        return redirect('admin/login');
    }
}
