<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Category;
use App\Models\Product;
use App\Models\User;
use App\Models\Order;
use App\Models\Area;
use DB;

class AdminHomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('adminauth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index(Request $request)
    {
        $start_date = $request->start_date ?? '';
        $end_date = $request->end_date ?? '';
        $dateRangeC = '';
        $currentDay = date('Y-m-d');
        $revenueDay  = '';
        // $revenueDay = "AND DATE(created_at) = '$currentDay'";
        $totalCategories = Category::where('categories.deleted_at',null)->count();
        $totalProduct = Product::where('products.deleted_at',null);
        if($start_date != ''){
            $totalProduct->whereDate('products.created_at','>=',$start_date);
        }        
        if($end_date != ''){
            $totalProduct->whereDate('products.created_at','<=',$end_date);
        }
        if($start_date != '' && $end_date != ''){
            $totalProduct->whereDate('products.created_at','>=',$start_date)->whereDate('products.created_at','<=',$end_date);
        }
        $totalProducts = $totalProduct->count();
        $totalUser = User::where('users.role',0);
        if($start_date != ''){
            $totalUser->whereDate('users.created_at','>=',$start_date);
        }        
        if($end_date != ''){
            $totalUser->whereDate('users.created_at','<=',$end_date);
        }
        if($start_date != '' && $end_date != ''){
            $totalUser->whereDate('users.created_at','>=',$start_date)->whereDate('users.created_at','<=',$end_date);
        }
        $totalUsers = $totalUser->count();
        $totalOrder = Order::where('orders.status',1);
        if($start_date != ''){
            $totalOrder->whereDate('orders.created_at','>=',$start_date);
        }        
        if($end_date != ''){
            $totalOrder->whereDate('orders.created_at','<=',$end_date);
        }
        if($start_date != '' && $end_date != ''){
            $totalOrder->whereDate('orders.created_at','>=',$start_date)->whereDate('orders.created_at','<=',$end_date);
        }
        $totalOrders = $totalOrder->count();
        $failedOrder = Order::where('orders.transaction_status','Failed');
        if($start_date != ''){
            $failedOrder->whereDate('orders.created_at','>=',$start_date);
        }        
        if($end_date != ''){
            $failedOrder->whereDate('orders.created_at','<=',$end_date);
        }
        if($start_date != '' && $end_date != ''){
            $failedOrder->whereDate('orders.created_at','>=',$start_date)->whereDate('orders.created_at','<=',$end_date);
        }
        $failedOrders = $failedOrder->count();
        $tSale = Order::where('orders.order_status','Delivered');
        if($start_date != ''){
            $tSale->whereDate('orders.created_at','>=',$start_date);
        }        
        if($end_date != ''){
            $tSale->whereDate('orders.created_at','<=',$end_date);
        }
        if($start_date != '' && $end_date != ''){
            $tSale->whereDate('orders.created_at','>=',$start_date)->whereDate('orders.created_at','<=',$end_date);
        }
        $totalSale = $tSale->sum('grand_total');
        if($start_date != ''){
            $dateRangeC = "AND DATE(orders.created_at) >= '$start_date'";
            $revenueDay = "AND DATE(orders.created_at) >= '$start_date'";
        }        
        if($end_date != ''){
            $dateRangeC = "AND DATE(orders.created_at) <= '$end_date'";
            $revenueDay = "AND DATE(orders.created_at) >= '$start_date'";
        }
        if($start_date != '' && $end_date != ''){
            $dateRangeC = "AND DATE(orders.created_at) >= '$start_date' and DATE(orders.created_at) <= '$end_date'";
            $revenueDay = "AND DATE(orders.created_at) >= '$start_date' and DATE(orders.created_at) <= '$end_date'";
        }
        $cancelQuery = "SELECT count(*) as cancelledcount, SUM(grand_total) as cancelamount FROM `orders` where order_status ='Cancelled' {$dateRangeC} ";
        $cancelledItems = DB::select(DB::raw($cancelQuery));
        $todayRevenueQuery = "SELECT SUM(grand_total) as todaycount from orders where transaction_status='Success' AND DATE(created_at) = '$currentDay'";
        $todayRevenue = DB::select(DB::raw($todayRevenueQuery));
        $totalRevenueQuery = "SELECT SUM(grand_total) as totalcount from orders where transaction_status='Success' {$revenueDay}";
        $totalRevenue = DB::select(DB::raw($totalRevenueQuery));

        $areas = Area::orderBy('id','desc')->get();

        return view('admin.home',get_defined_vars());
    }

public function filterAreaChartData(Request $request){  
    $area_id = $request->sareaId;
    $vendorQ = '';
    if(!empty($area_id)){
        $vendorQ = " where user_addresses.area = '$area_id'";
    }
    $query = "SELECT count(orders.transaction_id) as total_orders,areas.title as area_title from orders left join user_addresses on orders.address_id = user_addresses.id left join areas on areas.id = user_addresses.area {$vendorQ}  GROUP BY area_title";
    $chartData = DB::select(DB::raw($query));
    $optionArr = [];
    foreach($chartData as $key=>$cdata){
        $orders = $cdata->total_orders;
        $area = $cdata->area_title;
        $optionArr[] = [
            'label' => $area,
            'y' => $orders,
            'legendText' => $area
        ];
    }
    $optionGraphValues = json_encode($optionArr);
    echo $optionGraphValues;
}

}
