<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Product;
use App\Models\Banner;
use App\Models\HomeContent;
use App\Http\Requests\HomeContentFormRequest;
use Illuminate\Support\Facades\Storage;

class HomeContentController extends Controller
{
     /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()

    {
        $this->middleware('adminauth');
        $this->middleware('permission:home_content_view', ['only' => ['index']]);
        $this->middleware('permission:home_content_create', ['only' => ['create','store']]);
        $this->middleware('permission:home_content_edit', ['only' => ['edit','update']]);
    }
    public function index()
    {
        return view('admin.homepages_content.index',get_defined_vars());
    }

    public function create()
    {
        $banners = [];
        $brands = [];
        $products = Product::pluck('title', 'id')->toArray();
        $banners = Banner::pluck('title', 'id')->toArray();
        $collections = [];
        return view('admin.homepages_content.create',get_defined_vars());
    }

     /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function store(HomeContentFormRequest $request)
    {
        // dd($request->all());

        try{
            $data = $request->all();
            $data['slider_banner_id'] = json_encode($request->slider_banner_id);
            $data['slider_banner_id2'] =  json_encode($request->slider_banner_id2);
            $data['banner_type'] = $request->banner_type;
            $data['product1'] = $request->product1;
            $data['product2'] = $request->product2;
            $data['product3'] = $request->product3;
            $data['mid_slider'] =  json_encode($request->mid_slider);
            $data['must_have_product_id'] =  implode(',',$request->must_have_product_id);
            $data['sales_banner1'] = $request->sales_banner1;
            $data['sales_banner2'] = $request->sales_banner2;
            $data['sales_banner3'] = $request->sales_banner3;
            $data['signup'] = $request->signup;

            $homecontent = HomeContent::create( $data );

        } catch(Exception $e){
            // dd($e);
            return back()->withError('Something went wrong! Please try again later');
        }
    }

    public function edit(HomeContent $homeContent)
    {
        $products = Product::pluck('title', 'id')->toArray();
        $banners = Banner::pluck('title', 'id')->toArray();
        $homecontent = $homeContent;
        return view('admin.homepages_content.edit',get_defined_vars());
    }

     /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Renderable
     */
    public function update(HomeContentFormRequest $request, $id)
    {
        $data = $request->all();
        try{
            $homecontent = HomeContent::find($id);
            $homecontent->slider_banner_id2=  json_encode($request->slider_banner_id2);
            $homecontent->slider_banner_id=  json_encode($request->slider_banner_id);
            $homecontent->banner_type = $request->banner_type;
            $homecontent->product1 = $request->product1;
            $homecontent->product2 = $request->product2;
            $homecontent->product3 = $request->product3;
            $homecontent->must_have_product_id =  json_encode($request->must_have_product_id);
            $homecontent->mid_slider=  json_encode($request->mid_slider);
            $homecontent->sales_banner1 =  $request->sales_banner1;
            $homecontent->sales_banner2 =  $request->sales_banner2;
            $homecontent->sales_banner3 =  $request->sales_banner3;
            $homecontent->signup = $request->signup;
            $homecontent->save();
            return redirect('/admin/homecontent/edit/'.$id)->with('success','Content update successfully');


        } catch(Exception $e){
            // dd($e);
             return redirect('/admin/homecontent/edit/'.$id)->with('error','Something went wrong! Please try again later');
        }
    }

}
