<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Order;
use App\Models\User;
use App\Models\OrderItem;
use App\Models\UserAddress;
use Illuminate\Support\Facades\Session;

class OrderController extends Controller
{
    //
    public function __construct()
    {
        $this->middleware('adminauth');
        $this->middleware('permission:order_view', ['only' => ['index','status','view']]);
        $this->middleware('permission:order_edit', ['only' => ['updateOrderStatus']]);

    }

    public function index()
    {
        $data = Order::leftJoin('user_addresses','orders.address_id', '=', 'user_addresses.id')->select('orders.*','user_addresses.first_name','user_addresses.last_name')->get();
        return view('admin.orders.index',get_defined_vars());
    }

    public function view(Order $order)
    {
        $data = $order;
        return view('admin.orders.view',get_defined_vars());
    }

    public function updateOrderStatus(Request $request)
    {
        $data = Order::where('id',$request->order_id)->first();
        if($data){
            $data->order_status = $request->status;
            // redirect
            if($data->save()){
                $arr = array('msg' => 'Order Status has been updated!', 'status' => true);
                return Response()->json($arr);
            }
        }
        $arr = array('msg' => 'error', 'status' => false);
        return Response()->json($arr);
    }

    //Update record Status START
    public function status($id){
        $order = Order::where('id',$id)->first();
        if($order->status=='1'){
            Order::where('id',$id)->update([
                'status'=>'0'
            ]);
        }else{
            Order::where('id',$id)->update([
                'status'=>'1'
            ]);
        }
        Session::flash('message', 'Status has been updated successfully!');
        return redirect('admin/orders');
    }
}
