<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Providers\RouteServiceProvider;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Auth;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Session;
use App\Models\User;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = RouteServiceProvider::HOME;

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    public function userlogin(Request $request)
    {
        $this->validate($request, [
            'email' => 'required|email',
            'password' => 'required',
        ]);
        $data =['email' => $request->input('email'),  'password' => $request->input('password')];

        $user = User::where([
            'email' => $request->input('email'),
            'role' => User::USER
        ])->first();

        if($user ?auth()->attempt($data):auth()->guard('admin')->attempt($data)){
            transferCartItem(); // Transfer guest cart item to user cart
            if(str_contains(url()->previous(), '/checkout')){ // for getting back on checkout page
                return back()->with('success','You are Logged in sucessfully.');
            }
            return redirect(is_admin()?'admin/home':'/home')->with('success','You are Logged in sucessfully.');
        }else {
            return back()->with('error','Whoops! invalid email and password.');
        }
    }

    public function logout(Request $request)
    {
        if(is_admin()){
            auth()->guard('admin')->logout();
        }else{
            Auth::logout();
        }
        Session::flush();
        Session::put('success', 'You are logout sucessfully');
        return redirect('/login');
    }
}
