<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Product;
use App\Models\ProductVariant;
use App\Models\Attribute;
use App\Models\User;
use App\Models\Review;
use App\Models\Category;
use App\Models\SubCategory;
use App\Models\Brand;
use App\Models\Order;
use App\Models\OrderItem;
use App\Models\UserAddress;
use App\Models\ProductGallery;
use App\Models\VariantAttribute;
use Carbon\Carbon;
use DB;

class ProductController extends Controller
{
    //
    public function __construct()
    {
        // $this->middleware('checkLogin');
    }

    public function productView(Request $request)
    {
        $product = Product::where('id',$request->id)->first();
        if(empty($product)){
            return back();
        }

        $v_id = $product->productVariantOne->id;
        $price = productPrice($v_id,true);

        // $vid = $request->vid;
        // $variant = ProductVariant::where([
        //     'id'=>$vid,
        //     'product_id' => $request->id
        //     ])->first();
        // if(empty($variant)){
        //     return back();
        // }

        $locale = \Lang::getLocale();
        if($locale == 'ar'){
            $title = 'arabic_title';
            $desc = 'arabic_description';
        }else{
            $title = 'title';
            $desc = 'description';
        }
        $similarProduct=[];
        // $price='';
        // if($vid){
        //     $price = productPrice($vid,true);
        //     $variantAttribute = VariantAttribute::where([ //todo
        //         'product_id' => $request->id,
        //         'variant_id' => $vid
        //     ])->select('attribute_id','attribute_val_id')->take(2)->get();

        // }
        $categoryIds = json_decode($product->category_id,true);
        foreach($categoryIds as $cid){
            $val = Product::where('category_id', 'like', '%"' . $cid . '"%')->where('status',1)->take(4)->get();
            $similarProduct = array_merge($similarProduct,json_decode($val, true));

            if(isset($similarProduct[7])){
                break;
            }
        }
        $similarProduct= Product::where('category_id', 'like', '%"' . $cid . '"%')->where('status',1)->get();
        $images = ProductGallery::where('product_id',$request->id)->select('image')->get();
        $reviews = Review::where('product_id',$request->id)->get();

        return view('frontend.product.detail',get_defined_vars());
    }

    //Add product Review
    public function addReview(Request $request)
    {
        $input = $request->all();
        foreach($input as $field){
            if($field == ''){
                return response()->json(['status'=>'danger','msg'=>'Please fill all the fields']);
            }
        }
        $user = User::where('email',$request->email)->first();
        if(empty($user)){
            return response()->json(['status'=>'danger','msg'=>'User Email is invalid !!']);
        }
        $review = new Review();
        $review->product_id = $request->product_id;
        $review->user_id = $user->id;
        $review->comment = $request->comment;
        $review->rating = $request->rating;
        if($review->save()){
            return response()->json(['status'=>'success','msg'=>'Review saved successfully !!']);
        }
        return response()->json(['status'=>'danger','msg'=>'User Email is invalid !!']);
    }

    // review helpful unhelpful
    public function reviewsLike(Request $request)
    {
        $response['success'] = false;
        $review = Review::where('id',$request->id)->first();
        if(!empty($review)){
            if($request->upDown == 'up'){
                $response['count'] = $review->helpful+=1;
            }else{
                $response['count'] = $review->unhelpful+=1;
            }
            $review->save();
            $response['success'] = true;
        }
        return response()->json($response);
    }

     // product listing page
     public function productListing(Request $request)
     {
        if($request->category && ($request->sub_category || $request->brand)){
            if(Category::find($request->category) && SubCategory::find($request->sub_category) || Brand::find($request->brand))
            {
                $locale = \Lang::getLocale();
                if($locale == 'ar'){
                    $title = 'arabic_title';
                    $desc = 'arabic_description';
                }else{
                    $title = 'title';
                    $desc = 'description';
                }
                $product = Product::select('products.id',"$title as title")->where('products.status',1);
                $product = $product->where('category_id','like','%"'.$request->category.'"%');
                if($request->sub_category){
                    $product = $product->where('sub_category_id','like','%"'.$request->sub_category.'"%');
                }
                //Brand
                $brandId=[];
                if($request->brand || isset($request->brandCheckbox)){
                    $brandId = (isset($request->brandCheckbox)) ?$request->brandCheckbox:[$request->brand];
                    $product = $product->whereIn('brand_id',$brandId);
                }

                //size
                $sizeId =isset($request->size)?$request->size:[];
                $colorId =isset($request->color)?$request->color:[];

                // Size and color filter
                if($sizeId || $colorId){
                    $product = $product->Join('variant_attributes as va', function($join) {
                        $join->on('products.id', '=', 'va.product_id');
                    })->whereIn('va.attribute_val_id',array_merge($sizeId,$colorId))->groupBy('va.product_id');
                }

                // price filter
                $priceSlider[1] = 0;
                $priceSlider[2] = 500;
                if($request->amount){
                    $priceSlider = explode('KD',str_replace('-','',str_replace(' ','',$request->amount)));
                    if(isset($priceSlider[1]) && isset($priceSlider[2]) && ($priceSlider[1] > 0 ||  $priceSlider[2] > 500)){
                        // echo $price[1],$price[2]; die;
                        $product = $product->Join('product_variants as pv', function($join) {
                            $join->on('products.id', '=', 'pv.product_id');
                        })->whereBetween('pv.price', [(int) $priceSlider[1],(int) $priceSlider[2]])->groupBy('pv.product_id');
                    }
                }
                // for clearing the price filter
                if(isset($request->clearAll)){
                    $priceSlider[1] = 0;
                    $priceSlider[2] = 500;
                }

                // Sort By
                if(isset($request->sortBy)){
                    $sortBy = $request->sortBy;
                    if($sortBy=='featured'){
                        $product = $product->leftJoin('wishlists as w', function($join) {
                            $join->on('products.id', '=', 'w.product_id');
                        })->select('products.id',"$title as title",\DB::raw('COUNT(w.product_id) as p_count'))->groupBy('w.product_id')->orderBy('p_count', 'DESC');
                    }
                    if($sortBy=='rating'){
                        $product = $product->leftJoin('reviews as w', function($join) {
                            $join->on('products.id', '=', 'w.product_id');
                        })->select('products.id',"products.$title",\DB::raw('COUNT(w.product_id) as p_count'))->groupBy('w.product_id')->orderBy('p_count', 'DESC');
                    }
                    if($sortBy=='new'){
                        $product = $product->orderBy('created_at', 'DESC');
                    }
                }else{
                    $sortBy='default';
                }
                // sort by end
                $product = $product->paginate(10);
                $brands = Brand::select('id',"$title as title")->where('status',1)->get();
            }
        }
        return view('frontend.product.listing',get_defined_vars());
     }

    // checkout
    public function checkout(Request $request)
    {
        $product_id = $request->id??null;
        $cart = getCartProducts($product_id);
        $locale = \Lang::getLocale();
        $title = ($locale == 'ar')?'arabic_title':'title';
        if(checkLogin()){
            $userAddresss = UserAddress::where([
                'status' => '1',
                'user_id' => authUser()->user()->id
            ])->get();
        }
        return view('frontend.product.checkout',get_defined_vars());
    }

    // Place order
    public function placeOrder(Request $request)
    {
        if(checkLogin()){
            $address = UserAddress::find($request->address_id);
            if(empty($address)){
                return back()->with('danger','Invalid address selected !!');
            }

            $user_id = authUser()->user()->id;
            $email = authUser()->user()->email;
            $mobile = authUser()->user()->phone_number;
            $full_name = $address->first_name.' '.$address->last_name;
            $governorate = $address->governorate;
            $area = $address->area;
            $notes = '';
            $address = $address->address;
            $building_no = $request->house_no;
            $appartment_no = $request->appartment;
            $near_location = $request->landmark;
        }else{
            $request->validate([
                'gemail' => 'required',
                'full_name' => 'required',
                'mobile'=>'required',
                'governorate' => 'required',
                'area' => 'required',
                'address' => 'required',
                'payment_type' => 'required'
            ]);
            $user_id = 0;
            $email = $request->input('gemail');
            $full_name = $request->input('full_name');
            $governorate = $request->input('governorate');
            $area = $request->input('area');
            $notes = $request->input('notes');
            $mobile = $request->input('mobile');
            $address = $request->input('address');
            $building_no = $request->input('building_no');
            $appartment_no = $request->input('appartment_no');
            $near_location = $request->input('near_location');
        }
        DB::beginTransaction();
        try {
            $order = new Order();
            $order->user_id = $user_id;
            // $order->address_id = $request->input('address_id');
            // $order->coupon_id = $request->input('coupon_id');
            // $order->coupon_title = $request->input('coupon_title');
            // $order->coupon_amount = $request->input('coupon_amount');
            // $order->coupon_discount = $request->input('coupon_discount');
            // $order->coupon_type = $request->input('coupon_type');
            $order->grand_total = $request->input('grand_total');
            $order->checkout_total = $request->input('checkout_total');
            $order->payment_type = $request->input('payment_type');
            $order->email = $email;
            $order->full_name = $full_name;
            $order->mobile = $mobile;
            $order->governorate = $governorate;
            $order->area = $area;
            $order->notes = $notes;
            $order->address = $address;
            $order->building_no = $building_no;
            $order->appartment_no = $appartment_no;
            $order->near_location = $near_location;
            $order->status = 1;
            $order->order_status = 'accept';
            $order->save();
            $newOrderId = $order->id;
            $order->order_id = 'IBRAH'.str_pad($newOrderId,10,"0",STR_PAD_LEFT);
            $order->save();

            foreach(getCartProducts($request->product_id) as $cartItem){
                $orderItem = new orderItem();
                $orderItem->order_id = $newOrderId;
                $orderItem->product_id = $cartItem->product_id;
                $orderItem->quantity = $cartItem->quantity;
                $orderItem->attribute_id = $cartItem->attribute_id;
                $orderItem->attribute_val_id = $cartItem->attribute_val_id;
                $orderItem->variant_id = $cartItem->variant_id;
                $orderItem->item_price = productPrice($cartItem->variant_id,false,$cartItem->quantity);
                $itemdata[]=$orderItem->save();

                $cartItem->delete(); // delete cart item
            }
            DB::commit();
        } catch (\Exception $e) {
            DB::rollback();
            return back()->with('danger','Something went wrong, please try again !!');
        }
        $id = encrypt($order->id);
        return redirect("/order-confirmation/$id");
    }

    //order Confirmation page
    public function orderConfirmation(Request $request,$id)
    {
        $id = decrypt($id);
        $order = Order::find($id);
        if(empty($order)){
            return back()->with('danger','Something went wrong, please try again !!');
        }
        $locale = \Lang::getLocale();
        $title = ($locale == 'ar')?'arabic_title':'title';
        $orderItem = $order->orderItems;
        return view('frontend.product.order-confirmation',get_defined_vars());
    }

    public function variantData(Request $request)
    {
        $product = Product::where('id',$request->id)->first();
        if(empty($product)){
            return response()->json(['status'=>'danger','msg'=>'Invalid product id']);
        }
        $variant = ProductVariant::where([
            'id'=>$request->vid,
            'product_id' => $request->id
            ])->first();
        if(empty($variant)){
            return response()->json(['status'=>'danger','msg'=>'Invalid product variant']);
        }

        $locale = \Lang::getLocale();
        $title = ($locale == 'ar')?'arabic_title':'title';
        $price = productPrice($request->vid,true);
        $size = VariantAttribute::join('attributes as a', function($join) {
            $join->on('variant_attributes.attribute_id', '=', 'a.id');
        })->where([ //todo
            'a.title'=>'size',
            'product_id' => $request->id,
            'variant_id' => $request->vid
        ])->get();

        $sizeHtml='';
        $attrId=[];
        foreach($size as $si){
            $attr[0]=$si->id;
            $sizeHtml .= "<div class='form-check'>
                <input class='form-check-input size' id='size".$si->AttributeValue->id."' type='radio' name='size' value=".$si->AttributeValue->id.">
                <label for='size".$si->AttributeValue->id."' class='form-check-label'>".$si->AttributeValue->$title."</label>
            </div>";
        }
        $color = VariantAttribute::join('attributes as a', function($join) {
            $join->on('variant_attributes.attribute_id', '=', 'a.id');
        })->where([ //todo
            'a.title'=>'color',
            'product_id' => $request->id,
            'variant_id' => $request->vid
        ])->get();
        $colorHtml='';
        foreach($color as $co){
            $attr[1]=$co->id;
            $colorHtml .= "<div class='form-check'>
                <input class='form-check-input color' type='radio' id='color".$co->AttributeValue->id."' name='color' value=".$co->AttributeValue->id.">
                <label class='form-check-label' for='color".$co->AttributeValue->id."' style='background:".$co->AttributeValue->color_code."'></label>
            </div>";
        }
        return response()->json(['status'=>'success','colorHtml'=>$colorHtml,'sizeHtml'=>$sizeHtml,'price'=>$price,'attrId'=>$attr?json_encode($attr):'']);
    }
}
