<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AttributeValueFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'attribute_id' => 'required',
            'title' => 'required',
            'arabic_title' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'attribute_id.required' => __('Attribute Label is required'),
            'title.required' => __('Name is required'),
            'arabic_title.required' => __('Arabic name is required'),
        ];
    }
}
