<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class BrandFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title' => 'required',
            'arabic_title' => 'required',
            'logo' => 'required_if:logo_exist,==,0',
            'image' => 'required_if:image_exist,==,0',
        ];
    }

    public function messages()
    {
        return [
            'title.required' => __('Title is required'),
            'arabic_title.required' => __('Arabic title is required'),
            'logo.required_if' => __('Logo is required'),
            'image.required_if' => __('Image is required'),
        ];
    }
}
