<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CouponFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'code' => 'required',
            'type' => 'required',
            'amount' => 'required',
            'usage_limit' => 'required',
            'start_date' => 'required',
            'end_date' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'code.required' => __('Code is required'),
            'type.required' => __('Discount Type is required'),
            'amount.required' => __('Amount is required'),
            'usage_limit.required' => __('Usage limit (per user) is required'),
            'start_date.required' => __('Start date is required'),
            'end_date.required' => __('End date is required'),
        ];
    }
}
