<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SubCategoryFormRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'category_id' => 'required',
            'title' => 'required',
            'arabic_title' => 'required',
            'description' => 'required',
            'arabic_description' => 'required',
        ];
    }

    public function messages()
    {
        return [
            'category_id.required' => __('Parent category is required'),
            'title.required' => __('Name is required'),
            'arabic_title.required' => __('Arabic name is required'),
            'description.required' => __('Description is required'),
            'arabic_description.required' => __('Arabic description is required'),
        ];
    }
}
