<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\UserAddress;
use App\Models\User;

class Order extends Model
{
    use HasFactory;
    use SoftDeletes;

    /**
     * Get all of the comments for the Product
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasOne
     */
    public function userAddress()
    {
        return $this->hasOne(UserAddress::class, 'id','address_id');
    }

    public function user()
    {
        return $this->hasOne(User::class, 'id','user_id');
    }

    public function orderItems()
    {
        return $this->hasMany(OrderItem::class, 'order_id', 'id');
    }
}
