<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use App\Models\ProductGallery;
use App\Models\ProductVariant;

class Product extends Model
{
    use HasFactory;
    use SoftDeletes;

    /**
     * Get all of the comments for the Product
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function gallery()
    {
        return $this->hasMany(ProductGallery::class, 'product_id', 'id');
    }

    /**
     * Get all of the comments for the Product
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function productVariant()
    {
        return $this->hasMany(ProductVariant::class, 'product_id', 'id');
    }

    public function galleryOne()
    {
        return $this->hasOne(ProductGallery::class, 'product_id', 'id');
    }

    public function productVariantOne()
    {
        return $this->hasOne(ProductVariant::class, 'product_id', 'id');
    }

    public function wishlist()
    {
        return $this->hasMany(Wishlist::class, 'product_id', 'id');
    }

    public function review()
    {
        return $this->hasMany(Review::class, 'product_id', 'id');
    }
}
