<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSubCategoriesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sub_categories', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('category_id')->unsigned()->index();
            $table->string('title')->nullable();            
            $table->string('slug')->nullable();
            $table->string('arabic_title')->nullable();
            $table->string('description')->nullable();
            $table->string('arabic_description')->nullable();
            $table->string('image')->nullable();            
            $table->enum('status', ['1', '0'])->default('0');
            $table->softDeletes();
            $table->timestamps();
        });
        Schema::table('sub_categories', function($table) {
            $table->foreign('category_id')->references('id')->on('categories')->onDelete('cascade');
         });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sub_categories');
    }
}
