<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateProductVariants extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product_variants', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('product_id')->unsigned()->index();
            $table->string('stock')->nullable();
            $table->string('barcode')->nullable();
            $table->string('sku')->nullable();
            $table->string('currency')->nullable();
            $table->string('price')->nullable();
            $table->string('special_price')->nullable();
            $table->timestamps();
        });

        Schema::table('product_variants', function($table) {
            $table->foreign('product_id')->references('id')->on('products')->onDelete('cascade');
         });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product_variants');
    }
}
