<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAreasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('areas', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('governorate_id')->unsigned()->index();
            $table->string('title')->nullable();   
            $table->string('arabic_title')->nullable();
            $table->double('shipping_cost', 10, 2);
            $table->enum('status', ['1', '0'])->default('0');
            $table->softDeletes();
            $table->timestamps();
        });
        Schema::table('areas', function($table) {
            $table->foreign('governorate_id')->references('id')->on('governorates')->onDelete('cascade');
         });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('areas');
    }
}
