<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateOrders extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('order_id');
            $table->bigInteger('user_id')->nullable();
            $table->bigInteger('address_id')->nullable();
            $table->integer('coupon_id')->nullable();
            $table->string('coupon_title')->nullable();
            $table->string('coupon_type')->nullable();
            $table->integer('coupon_amount')->nullable();
            $table->string('coupon_discount')->nullable();
            $table->integer('grand_total')->nullable();
            $table->integer('checkout_total')->nullable();
            $table->enum('payment_type', ['online', 'cod'])->default('online');
            $table->string('transaction_id')->nullable();
            $table->string('transaction_status')->nullable();
            $table->string('lat')->nullable();
            $table->string('lng')->nullable();
            $table->string('full_name')->nullable();
            $table->string('email')->nullable();
            $table->string('mobile')->nullable();
            $table->string('address')->nullable();
            $table->string('governorate')->nullable();
            $table->string('area')->nullable();
            $table->string('building_no')->nullable();
            $table->string('appartment_no')->nullable();
            $table->string('near_location')->nullable();
            $table->enum('status',['1','0']);
            $table->enum('order_status',['New','Order Process','Order Shipped','Out For Delivery','Delivered','Cancelled']);
            $table->text('notes')->nullable();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('orders');
    }
}
