<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;

class RolesAndPermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Reset cached roles and permissions
        app()[\Spatie\Permission\PermissionRegistrar::class]->forgetCachedPermissions();

        // create permissions
        Permission::create(['guard_name'=> 'web', 'name' => 'dashboard']);
        Permission::create(['guard_name'=> 'web', 'name' => 'order_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'order_edit']);

        Permission::create(['guard_name'=> 'web', 'name' => 'category_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'category_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'category_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'category_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'sub_category_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'sub_category_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'sub_category_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'sub_category_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'banner_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'banner_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'banner_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'banner_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'home_content_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'home_content_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'home_content_edit']);

        Permission::create(['guard_name'=> 'web', 'name' => 'attribute_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'attribute_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'attribute_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'attribute_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'attribute_value_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'attribute_value_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'attribute_value_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'attribute_value_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'product_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'product_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'product_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'product_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'users_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'users_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'users_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'users_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'coupon_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'coupon_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'coupon_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'coupon_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'governorate_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'governorate_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'governorate_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'governorate_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'area_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'area_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'area_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'area_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'page_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'page_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'page_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'page_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'report_view']);

        Permission::create(['guard_name'=> 'web', 'name' => 'role_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'role_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'role_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'role_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'permission_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'permission_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'permission_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'permission_delete']);

        Permission::create(['guard_name'=> 'web', 'name' => 'brand_create']);
        Permission::create(['guard_name'=> 'web', 'name' => 'brand_view']);
        Permission::create(['guard_name'=> 'web', 'name' => 'brand_edit']);
        Permission::create(['guard_name'=> 'web', 'name' => 'brand_delete']);

        // this can be done as separate statements
        $role = Role::create(['name' => 'superadmin']);
        $role->givePermissionTo(Permission::all());

    //   // or may be done by chaining
        $role = Role::create(['name' => 'admin']);
        $role = Role::create(['name' => 'user']);


    }
}
