@extends('admin.layouts.app')
@section('title', 'Areas')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Areas')}}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/areas')}}">{{__('Areas')}} </a></li>
              <li class="breadcrumb-item active">{{__('Update')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">{{__('Update Area')}}</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Form::model($area, array('route' => array('admin.areas.update', $area->id), 'method' => 'POST','files'=>true)) }}
                <div class="card-body">
                  <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'governorate_id') !!}">
                    <label for="governorate_id">{{__('Select Governorate')}} <small class="asterisk">*</small></label>
                    {!! Form::select('governorate_id', ['' =>__('Select Governorate')]+$governorates, $area->governorate_id, array('class'=>"form-control ".APFrmErrHelp::hasError($errors, 'governorate_id')." ", 'id'=>'governorate_id')) !!}
                    {!! APFrmErrHelp::showErrors($errors, 'governorate_id') !!}
                  </div>

                  <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'title') !!}">
                    <label for="exampleFormControlSelect1">{{__('Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('title', $area->title, array('id'=>'title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'title')." ",'placeholder' => 'Enter name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'title') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="arabic_title">{{__('Arabic Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('arabic_title',  $area->arabic_title, array('id'=>'arabic_title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_title')." ",'placeholder' => 'Enter arabic name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'arabic_title') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="shipping_cost">{{__('Shipping Cost')}} <small class="asterisk">*</small></label>
                    {{ Form::text('shipping_cost',  $area->shipping_cost, array('id'=>'shipping_cost','class' => "form-control ".APFrmErrHelp::hasError($errors, 'shipping_cost')." ",'placeholder' => 'Enter shipping cost')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'shipping_cost') !!}
                </div>
                  <div class="form-group col-md-6">
                      <label for="exampleInputPassword1">{{__('Status')}}</label>
                      <input type="radio" name="status" @if($area->status=='1') checked @endif value="1"> Active
                      <input type="radio" name="status"  @if($area->status=='0') checked @endif value="0"> Inactive
                  </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Update</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>

        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection
