@extends('admin.layouts.app')
@section('title', 'Attribute Value')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Attribute Value')}}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/attribute_values')}}">{{__('Attribute Value')}} </a></li>
              <li class="breadcrumb-item active">{{__('Update')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">{{__('Update Attribute Value')}}</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Form::model($attribute_value, array('route' => array('admin.attribute_values.update', $attribute_value->id), 'method' => 'POST','files'=>true)) }}
                <div class="card-body">
                  <div class="form-group {!! APFrmErrHelp::hasError($errors, 'attribute_id') !!}">
                    <label for="exampleInputEmail1">{{__('Attribute Label')}} <small class="asterisk">*</small></label>
                    {!! Form::select('attribute_id', ['' =>__('Select Attribute Label')]+$attributes, $attribute_value->attribute_id, array('class'=>"form-control ".APFrmErrHelp::hasError($errors, 'attribute_id')." ", 'id'=>'attribute_id')) !!}
                    {!! APFrmErrHelp::showErrors($errors, 'attribute_id') !!}
                  </div>

                  <div class="form-group {!! APFrmErrHelp::hasError($errors, 'title') !!}">
                    <label for="exampleFormControlSelect1">{{__('Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('title', $attribute_value->title, array('id'=>'title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'title')." ",'placeholder' => 'Enter name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'title') !!}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">{{__('Arabic Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('arabic_title',  $attribute_value->arabic_title, array('id'=>'arabic_title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_title')." ",'placeholder' => 'Enter arabic name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'arabic_title') !!}
                  </div> 
                  <div class="form-group colorCode">
                    <label for="exampleInputEmail1">{{__('Color Code')}} <small class="asterisk">*</small></label>
                    {{ Form::color('color_code', $attribute_value->color_code, array('id'=>'color_code','class' => "form-control ".APFrmErrHelp::hasError($errors, 'color_code')." ",'placeholder' => 'Enter color code')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'color_code') !!}
                  </div>              
                  <div class="form-group">
                      <label for="exampleInputPassword1">{{__('Status')}}</label>
                      <input type="radio" name="status" @if($attribute_value->status=='1') checked @endif value="1"> Active
                      <input type="radio" name="status"  @if($attribute_value->status=='0') checked @endif value="0"> Inactive
                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Update</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection