@extends('admin.layouts.app')
@section('title', 'Attribute Values')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Attribute Values')}} </h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">{{__('Attribute Values')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-header">
              <div class="title"><h3 class="card-title">{{__('All Attribute Values listing')}}</h3></div>
              <div class="actions"><a href="{{ route('admin.attribute_values.create') }}" class="btn btn-primary">{{__('Add')}}</a></div>
          </div>

          <!-- /.card-header -->
          <div class="card-body">
            <!-- will be used to show any messages -->
            @if (Session::has('message'))
                <div class="alert alert-info">{{ Session::get('message') }}</div>
            @endif
            <table id="example1" class="table table-bordered table-striped">
              <thead>
              <tr>
                <th>{{__('ID')}}</th>
                <th>{{__('Attribute Label')}}</th>
                <th>{{__('Name')}}</th>
                <th>{{__('Arabic Name')}}</th>
                <th>{{__('Date')}}</th>
                <th>{{__('Status')}}</th>
                <th>{{__('Action')}}</th>
              </tr>
              </thead>
              <tbody>
              @if(!empty($attribute_values))
                @php
                $i=1;
                @endphp
                @foreach($attribute_values as $datas)
                  <tr>
                    <td>{{$i}}</td>
                    <td>{{@$datas->attributes->title}}</td>
                    <td>{{$datas->title}}</td>
                    <td>{{$datas->arabic_title}}</td>
                    <td>{{ dateConvertFormat($datas->created_at) }}</td>
                    <td>
                      @if($datas->status=='1')
                      <a href="{{url('admin/attribute_values/update_status/'.$datas->id.'')}}" class="btn btn-success">Activated</a>
                      @else
                      <a href="{{url('admin/attribute_values/update_status/'.$datas->id.'')}}" class="btn btn-danger">De-Activated</a>
                      @endif
                    </td>
                    <td>
                      <a href="{{url('admin/attribute_values/edit/'.$datas->id.'')}}" class="btn btn-warning">Edit</a>
                      <a href="javascript:void();" onClick="deleteData({{$datas->id}},'attribute_values');" class="btn btn-danger">Delete</a>
                    </td>

                  </tr>
                  @php
                  $i++;
                  @endphp
                  @endforeach
                  @else
                  <tr>
                    <td colspan="7">{{__('No record found')}}</td>
                  </tr>
                  @endif
              </tbody>
            </table>
          </div>
          <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</section>
    <!-- /.content -->
@endsection
