@extends('admin.layouts.app')
@section('title', 'Attributes')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Attributes')}}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/attributes')}}">{{__('Attributes')}} </a></li>
              <li class="breadcrumb-item active">{{__('Update')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">{{__('Update Attribute')}}</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Form::model($attribute, array('route' => array('admin.attributes.update', $attribute->id), 'method' => 'POST','files'=>true)) }}
                <div class="card-body">
                  <div class="form-group {!! APFrmErrHelp::hasError($errors, 'title') !!}">
                    <label for="exampleFormControlSelect1">{{__('Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('title', $attribute->title, array('id'=>'title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'title')." ",'placeholder' => 'Enter name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'title') !!}
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1">{{__('Arabic Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('arabic_title',  $attribute->arabic_title, array('id'=>'arabic_title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_title')." ",'placeholder' => 'Enter arabic name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'arabic_title') !!}
                  </div>               
                  <div class="form-group">
                      <label for="exampleInputPassword1">{{__('Status')}}</label>
                      <input type="radio" name="status" @if($attribute->status=='1') checked @endif value="1"> Active
                      <input type="radio" name="status"  @if($attribute->status=='0') checked @endif value="0"> Inactive
                  </div>
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Update</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection