@extends('admin.layouts.app')
@section('title', 'Banners')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Banners')}}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ url('admin/banners') }}">{{__('Banners')}}</a></li>
              <li class="breadcrumb-item active">{{__('Create')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if (Session::has('message'))
        <div class="alert alert-info">{{ Session::get('message') }}</div>
    @endif
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">{{__('Add Banner')}}</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                
                <div class="card-body row">

                  <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'title') !!}">
                    <label for="exampleFormControlSelect1">{{__('Title')}} <small class="asterisk">*</small></label>
                    {{ Form::text('title', Request::old('title'), array('id'=>'title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'title')." ",'placeholder' => 'Enter Title')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'title') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1">{{__('Arabic Title')}} <small class="asterisk">*</small></label>
                    {{ Form::text('arabic_title', Request::old('arabic_title'), array('id'=>'arabic_title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_title')." ",'placeholder' => 'Enter arabic Title')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'arabic_title') !!}
                  </div>

                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1">{{__('Description')}} <small class="asterisk">*</small></label>
                    {{ Form::textarea('description', Request::old('description'), array('id'=>'description','class' => "form-control ".APFrmErrHelp::hasError($errors, 'description')." ",'placeholder' => 'Enter description')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'description') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1">{{__('Arabic Description')}} <small class="asterisk">*</small></label>
                    {{ Form::textarea('arabic_description', Request::old('arabic_description'), array('id'=>'arabic_description','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_description')." ",'placeholder' => 'Enter arabic description')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'arabic_description') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1">{{__('Image')}} <small class="asterisk">*</small></label>
                    {!! Form::file('image', ['id'=>'image','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                    {!! APFrmErrHelp::showErrors($errors, 'image') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1">{{__('URL')}} <small class="asterisk"></small></label>
                      {{ Form::text('banner_url', Request::old('banner_url'), array('id'=>'banner_url','class' => "form-control ".APFrmErrHelp::hasError($errors, 'banner_url')." ",'placeholder' => 'Enter url')) }}
                      {!! APFrmErrHelp::showErrors($errors, 'banner_url') !!}
                  </div>
                  <div class="form-group col-md-6">
                      <label for="exampleInputPassword1">{{__('Status')}}</label>
                      <input type="radio" name="status" checked value="1"> Active
                      <input type="radio" name="status" value="0"> Inactive

                  </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>

        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection
