@extends('admin.layouts.app')
@section('title', 'Banners')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Banners')}} </h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">{{__('Banners')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-header">
            <div class="title"><h3 class="card-title">{{__('All Banners listing')}}</h3></div>
             <div class="actions"><a href="{{ route('admin.banner.create') }}" class="btn btn-primary">Add</a></div>

          </div>

          <!-- /.card-header -->
          <div class="card-body">
            <!-- will be used to show any messages -->
            @if (Session::has('message'))
                <div class="alert alert-info">{{ Session::get('message') }}</div>
            @endif
            <table id="example1" class="table table-bordered table-striped">
              <thead>
              <tr>
                <th>{{__('ID')}}</th>
                <th>{{__('Title')}}</th>
                <th>{{__('Arabic Title')}}</th>
                <th>{{__('Image')}}</th>
                <th>{{__('Date')}}</th>
                <th>{{__('Status')}}</th>
                <th>{{__('Action')}}</th>
              </tr>
              </thead>
              <tbody>
              @if(!empty($banners))
                @php
                $i=1;
                @endphp
                @foreach($banners as $datas)
                  <tr>
                    <td>{{$i}}</td>
                    <td>{{$datas->title}}</td>
                    <td>{{$datas->arabic_title}}</td>
                    <td><img class="img-fluid" src="{{asset('banners_images/'.$datas->image)}}" width="50" height="50"></td>
                   <td>{{ dateConvertFormat($datas->created_at) }}</td>
                    <td>
                      @if($datas->status=='1')
                      <a href="#" class="btn btn-success">Activated</a>
                      @else
                      <a href="#" class="btn btn-danger">De-Activated</a>
                      @endif
                    </td>
                    <td>
                      <a href="#" class="btn btn-warning">Edit</a>
                      <a href="javascript:void();" class="btn btn-danger">Delete</a>
                    </td>

                  </tr>
                  @php
                  $i++;
                  @endphp
                  @endforeach
                  @else
                  <tr>
                    <td colspan="7">{{__('No record found')}}</td>
                  </tr>
                  @endif
              </tbody>
            </table>
          </div>
          <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</section>
    <!-- /.content -->
@endsection
