@extends('admin.layouts.app')
@section('title', 'Brands')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Brands')}}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/brands')}}">{{__('Brands')}} </a></li>
              <li class="breadcrumb-item active">{{__('Update')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">{{__('Update Brand')}}</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Form::model($brand, array('route' => array('admin.brand.update', $brand->id), 'method' => 'POST','files'=>true)) }}
                <div class="card-body row">
                

                  <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'title') !!}">
                    <label for="exampleFormControlSelect1">{{__('Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('title', $brand->title, array('id'=>'title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'title')." ",'placeholder' => 'Enter name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'title') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1">{{__('Arabic Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('arabic_title',  $brand->arabic_title, array('id'=>'arabic_title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_title')." ",'placeholder' => 'Enter arabic name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'arabic_title') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1">{{__('Logo')}} <small class="asterisk">*</small></label>
                    {!! Form::file('logo', ['id'=>'logo','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                    {!! APFrmErrHelp::showErrors($errors, 'logo') !!}
                    @if($brand->logo && file_exists(public_path('/brands_images/'.$brand->logo)))
                    <div class="mt-4">
                        <input type="hidden" name="logo_exist" value="1">
                        <img class="store-image" src="{{ asset('/brands_images/'.$brand->logo) }}" width="100" height="100"> 
                        <a class="deleteimage" data-toggle="modal" data-target="#deletemodel" data-type="logo" data-getid="{{ $brand->id }}">Delete</a>
                    </div>
                    @else
                      <input type="hidden" name="logo_exist" value="0">
                    @endif
                  </div>                 
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1">{{__('Image')}} <small class="asterisk">*</small></label>
                    {!! Form::file('image', ['id'=>'image','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                    {!! APFrmErrHelp::showErrors($errors, 'image') !!}
                    @if($brand->image && file_exists(public_path('/brands_images/'.$brand->image)))
                    <div class="mt-4">
                        <input type="hidden" name="image_exist" value="1">
                        <img class="store-image" src="{{ asset('/brands_images/'.$brand->image) }}" width="100" height="100"> 
                        <a class="deleteimage" data-toggle="modal" data-target="#deletemodel" data-type="image" data-getid="{{ $brand->id }}">Delete</a>
                    </div>
                    @else
                      <input type="hidden" name="image_exist" value="0">
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                      <label for="exampleInputPassword1">{{__('Status')}}</label>
                      <input type="radio" name="status" @if($brand->status=='1') checked @endif value="1"> Active
                      <input type="radio" name="status"  @if($brand->status=='0') checked @endif value="0"> Inactive
                    
                  </div>
                  
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Update</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
     <!-- Modal -->
     <div class="modal fade" id="deletemodel" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Delete</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">
                    Are you sure you want to delete?
                </div>
                <div class="modal-footer">
                    <form method="POST" id="deleteImageForm" action="{{ route('brand.deleteImage') }}">
                        {{ csrf_field() }}
                        <input type="hidden" name="id" value="" id="Id">
                        <input type="hidden" name="type" value="" id="imgtype">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                        <button type="submit" class="btn btn-primary" id="deleteimageBtn">Yes</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
@push('scripts')
<script>
    $(".deleteimage").click(function(e){
        var getId = $(this).attr("data-getid");
        var type = $(this).attr("data-type");
        $('#Id').val(getId);
        $('#imgtype').val(type);
    });
</script>
@endpush