@extends('admin.layouts.app')
@section('title', 'Careers')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Careers')}} </h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">{{__('Career')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-header">
              <div class="title"><h3 class="card-title">{{__('All Career listing')}}</h3></div>
          </div>

          <!-- /.card-header -->
          <div class="card-body">
            <!-- will be used to show any messages -->
            @if (Session::has('message'))
                <div class="alert alert-info">{{ Session::get('message') }}</div>
            @endif
            <table id="example1" class="table table-bordered table-striped">
              <thead>
              <tr>
                <th>{{__('ID')}}</th>
                <th>{{__('Full Name')}}</th>
                <th>{{__('Email')}}</th>
                <th>{{__('Job')}}</th>
                <th>{{__('Mobile')}}</th>
                <th>{{__('DOB')}}</th>
                <th>{{__('CV')}}</th>
                <th>{{__('Created At')}}</th>
                <th>{{__('Action')}}</th>
              </tr>
              </thead>
              <tbody>
              @if(!empty($career))
                @php
                $i=1;
                @endphp
                @foreach($career as $datas)
                  <tr>
                    <td>{{$i}}</td>
                    <td>{{$datas->first_name}} {{$datas->last_name}}</td>
                    <td>{{$datas->email}}</td>
                    <td>{{@$datas->job->$title}}</td>
                    <td>{{$datas->mobile}}</td>
                    <td>{{ dateConvertFormat($datas->dob) }}</td>
                    <td><a href="{{ route('file.download', ['filename' => $datas->file]) }}">File</a></td>
                    <td>{{ dateConvertFormat($datas->created_at) }}</td>
                    <td>
                      <a href="javascript:void();" onClick="deleteData({{$datas->id}},'career');" class="btn btn-danger">Delete</a>
                    </td>
                  </tr>
                  @php
                  $i++;
                  @endphp
                  @endforeach
                  @else
                  <tr>
                    <td colspan="9">{{__('No record found')}}</td>
                  </tr>
                  @endif
              </tbody>
            </table>
          </div>
          <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</section>
    <!-- /.content -->
@endsection
