@extends('admin.layouts.app')
@section('title', 'Coupons')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Coupons')}} </h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">{{__('Coupons')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-header">
              <div class="title"><h3 class="card-title">{{__('All Coupons listing')}}</h3></div>
              <div class="actions"><a href="{{ route('admin.coupon.create') }}" class="btn btn-primary">{{__('Add')}}</a></div>
          </div>

          <!-- /.card-header -->
          <div class="card-body">
            <!-- will be used to show any messages -->
            @if (Session::has('message'))
                <div class="alert alert-info">{{ Session::get('message') }}</div>
            @endif
            <table id="example1" class="table table-bordered table-striped">
              <thead>
              <tr>
                <th>ID</th>
                <th>Code</th>
                <th>Type</th>
                <th>Amount</th>
                <th>Status</th>
                <th>Start Date</th>
                <th>End Date</th>
                <th>Action</th>
              </tr>
              </thead>
              <tbody>
              @if(!empty($coupons))
                @foreach($coupons as $k => $datas)
                  <tr>
                    <td>{{$k+1}}</td>
                    <td>{{$datas->code}}</td>
                    <td>{{ucfirst($datas->type)}}</td>
                    <td>{{$datas->amount}}</td>
                    <td>
                      @if($datas->status=='1')
                      <a href="#" class="btn btn-success">Activated</a>
                      @else
                      <a href="#" class="btn btn-danger">De-Activated</a>
                      @endif
                    </td>
                    <td>{{ dateConvertFormat($datas->start_date) }}</td>
                    <td>{{ dateConvertFormat($datas->end_date) }}</td>
                    <td>
                      <a href="#" class="btn btn-warning">Edit</a>
                      <a href="javascript:void();" class="btn btn-danger">Delete</a>
                    </td>

                  </tr>
                  @endforeach
                  @else
                  <tr>
                    <td colspan="7">{{__('No record found')}}</td>
                  </tr>
                  @endif
              </tbody>
            </table>
          </div>
          <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</section>
    <!-- /.content -->
@endsection
