@extends('admin.layouts.app')
@section('title', 'Governorates')
@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <!-- <h1>Validation</h1> -->
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Create Homepage Content</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <!-- left column -->
                <div class="col-md-12">
                    <!-- jquery validation -->
                    <div class="card card-primary">
                        <div class="card-header">
                            <h3 class="card-title">Home Content</h3>
                        </div>
                        <!-- /.card-header -->
                        @if ($error = Session::get('error'))
                        <div class="alert alert-danger">
                            <p>{{ $error }}</p>
                        </div>
                        @endif

                        @if ($message = Session::get('message'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                        @endif

                         <!-- Validation Errors -->
                            {!! Form::open(array('route' => 'admin.homecontent.store', 'class' => 'form','files'=>true)) !!}
                                <div class="card-body">
                                    {{ csrf_field() }}
                                    <div class="container">
                                        <div id="accordion">
                                          <!--Top Banner Section -->
                                          <div class="card">
                                              <div class="card-header">
                                                  <a class="collapsed card-link" data-toggle="collapse" href="#topSection">{{__('Top Section Banners')}} </a>
                                              </div>
                                              <div id="topSection" class="collapse" data-parent="#accordion">
                                                <div class="card-body">
                                                  <div class="form-group col-md-6">
                                                    <label for="men_shop_banner">{{__('Men\'s Shop Banner')}} <small class="asterisk">*</small></label>
                                                    {!! Form::file('men_shop_banner', ['id'=>'men_shop_banner','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'men_shop_banner') !!}

                                                  </div>
                                                </div>
                                                <div class="card-body">
                                                  <div class="form-group col-md-6">
                                                    <label for="product_id_men">{{__('Women\'s Shop Banner')}} <small class="asterisk">*</small></label>
                                                    {!! Form::file('women_shop_banner', ['id'=>'women_shop_banner','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                                                      {!! APFrmErrHelp::showErrors($errors, 'women_shop_banner') !!}
                                                  </div>
                                                </div>
                                              </div>
                                            </div>
                                          </div>

                                          <!--Product Section 1-->
                                          <div class="card">
                                            <div class="card-header">
                                              <a class="collapsed card-link" data-toggle="collapse" href="#productSection1">
                                                {{__('Product Section 1')}}
                                              </a>
                                            </div>
                                            <div id="productSection1" class="collapse" data-parent="#accordion">
                                                <div class="card-body form-row pt-1 ">
                                                    <!-- Input Name -->
                                                    <div class="form-group col-md-6">
                                                        <label for="product1_title" class="form-label">{{__('Title')}} <small class="asterisk">*</small></label>
                                                        {!! Form::text('product1_title', null, array('class'=>'form-control inputProfile', 'id'=>'product1_title','autocomplete'=>'off', 'placeholder'=>__('Enter title'))) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'product1_title') !!}
                                                    </div>
                                                    <!-- Input Name Arabic -->
                                                    <div class="form-group col-md-6">
                                                        <label for="product1_title_ar" class="form-label">{{__('Title Arabic')}} <small class="asterisk">*</small></label>
                                                        {!! Form::text('product1_title_ar', null, array('class'=>'form-control inputProfile', 'id'=>'product1_title_ar','autocomplete'=>'off', 'placeholder'=>__('Enter arabic title'))) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'product1_title_ar') !!}
                                                    </div>
                                                    <!-- Description -->
                                                    <div class="form-group col-md-6">
                                                        <label for="description" class="form-label">{{__('Description')}} <small class="asterisk">*</small></label>
                                                        {!! Form::textarea('product1_description', null, array('class'=>'form-control inputProfile', 'id'=>'product1_description','autocomplete'=>'off', 'placeholder'=>__('Enter description'))) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'product1_description') !!}
                                                    </div>
                                                    <!-- Description Arabic -->
                                                    <div class="form-group col-md-6">
                                                        <label for="product1_description_ar" class="form-label">{{__('Description Arabic')}} <small class="asterisk">*</small></label>
                                                        {!! Form::textarea('product1_description_ar', null, array('class'=>'form-control', 'id'=>'product1_description_ar','autocomplete'=>'off', 'placeholder'=>__('Enter arabic description'))) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'product1_description_ar') !!}
                                                    </div>

                                                    <!-- Image -->
                                                    <div class="form-group col-md-6">
                                                        <label for="product1_banner" class="form-label">{{__('Banner Image')}} <small class="asterisk">*</small></label>
                                                        {!! Form::file('product1_banner', ['id'=>'product1_banner','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'product1_banner') !!}
                                                    </div>
                                                </div>
                                            </div>
                                          </div>
                                          <!--Product Section 2-->
                                          <div class="card">
                                            <div class="card-header">
                                              <a class="collapsed card-link" data-toggle="collapse" href="#productSection2">
                                                {{__('Product Section 2')}}
                                              </a>
                                            </div>
                                            <div id="productSection2" class="collapse" data-parent="#accordion">
                                                <div class="card-body form-row pt-1 ">
                                                  <!-- Input Name -->
                                                  <div class="form-group col-md-6">
                                                      <label for="product2_title" class="form-label">{{__('Title')}} <small class="asterisk">*</small></label>
                                                      {!! Form::text('product2_title', null, array('class'=>'form-control inputProfile', 'id'=>'product2_title','autocomplete'=>'off', 'placeholder'=>__('Enter title'))) !!}
                                                      {!! APFrmErrHelp::showErrors($errors, 'product2_title') !!}
                                                  </div>
                                                  <!-- Input Name Arabic -->
                                                  <div class="form-group col-md-6">
                                                      <label for="product2_title_ar" class="form-label">{{__('Title Arabic')}} <small class="asterisk">*</small></label>
                                                      {!! Form::text('product2_title_ar', null, array('class'=>'form-control inputProfile', 'id'=>'product2_title_ar','autocomplete'=>'off', 'placeholder'=>__('Enter arabic title'))) !!}
                                                      {!! APFrmErrHelp::showErrors($errors, 'product2_title_ar') !!}
                                                  </div>
                                                  <!-- Description -->
                                                  <div class="form-group col-md-6">
                                                      <label for="description" class="form-label">{{__('Description')}} <small class="asterisk">*</small></label>
                                                      {!! Form::textarea('product2_description', null, array('class'=>'form-control inputProfile', 'id'=>'product2_description','autocomplete'=>'off', 'placeholder'=>__('Enter description'))) !!}
                                                      {!! APFrmErrHelp::showErrors($errors, 'product2_description') !!}
                                                  </div>
                                                  <!-- Description Arabic -->
                                                  <div class="form-group col-md-6">
                                                      <label for="product2_description_ar" class="form-label">{{__('Description Arabic')}} <small class="asterisk">*</small></label>
                                                      {!! Form::textarea('product2_description_ar', null, array('class'=>'form-control', 'id'=>'product2_description_ar','autocomplete'=>'off', 'placeholder'=>__('Enter arabic description'))) !!}
                                                      {!! APFrmErrHelp::showErrors($errors, 'product2_description_ar') !!}
                                                  </div>

                                                  <!-- Image -->
                                                  <div class="form-group col-md-6">
                                                      <label for="product2_banner" class="form-label">{{__('Banner Image')}} <small class="asterisk">*</small></label>
                                                      {!! Form::file('product2_banner', ['id'=>'product2_banner','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                                                      {!! APFrmErrHelp::showErrors($errors, 'product2_banner') !!}
                                                  </div>
                                              </div>
                                            </div>
                                          </div>
                                          <!--Product Section 3-->
                                          <div class="card">
                                            <div class="card-header">
                                              <a class="collapsed card-link" data-toggle="collapse" href="#productSection3">
                                                {{__('Product Section 3')}}
                                              </a>
                                            </div>
                                            <div id="productSection3" class="collapse" data-parent="#accordion">
                                              <div class="card-body form-row pt-1 ">
                                                <!-- Input Name -->
                                                <div class="form-group col-md-6">
                                                    <label for="product3_title" class="form-label">{{__('Title')}} <small class="asterisk">*</small></label>
                                                    {!! Form::text('product3_title', null, array('class'=>'form-control inputProfile', 'id'=>'product3_title','autocomplete'=>'off', 'placeholder'=>__('Enter title'))) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'product3_title') !!}
                                                </div>
                                                <!-- Input Name Arabic -->
                                                <div class="form-group col-md-6">
                                                    <label for="product3_title_ar" class="form-label">{{__('Title Arabic')}} <small class="asterisk">*</small></label>
                                                    {!! Form::text('product3_title_ar', null, array('class'=>'form-control inputProfile', 'id'=>'product3_title_ar','autocomplete'=>'off', 'placeholder'=>__('Enter arabic title'))) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'product3_title_ar') !!}
                                                </div>
                                                <!-- Description -->
                                                <div class="form-group col-md-6">
                                                    <label for="description" class="form-label">{{__('Description')}} <small class="asterisk">*</small></label>
                                                    {!! Form::textarea('product3_description', null, array('class'=>'form-control inputProfile', 'id'=>'product3_description','autocomplete'=>'off', 'placeholder'=>__('Enter description'))) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'product3_description') !!}
                                                </div>
                                                <!-- Description Arabic -->
                                                <div class="form-group col-md-6">
                                                    <label for="product3_description_ar" class="form-label">{{__('Description Arabic')}} <small class="asterisk">*</small></label>
                                                    {!! Form::textarea('product3_description_ar', null, array('class'=>'form-control', 'id'=>'product3_description_ar','autocomplete'=>'off', 'placeholder'=>__('Enter arabic description'))) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'product3_description_ar') !!}
                                                </div>

                                                <!-- Image -->
                                                <div class="form-group col-md-6">
                                                    <label for="product3_banner" class="form-label">{{__('Banner Image')}} <small class="asterisk">*</small></label>
                                                    {!! Form::file('product3_banner', ['id'=>'product3_banner','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'product3_banner') !!}
                                                </div>
                                            </div>
                                            </div>
                                          </div>

                                           <!--Must Have Section-->
                                          <div class="card">
                                            <div class="card-header">
                                              <a class="collapsed card-link" data-toggle="collapse" href="#mustHaveSection">
                                              {{__('Must Have Section')}}
                                            </a>
                                            </div>
                                            <div id="mustHaveSection" class="collapse" data-parent="#accordion">
                                              <div class="card-body">
                                                <div class="form-group col-md-6">
                                                  <label for="must_have_product_id">{{__('Select Products')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('must_have_product_id[]',$products, '', array('class'=>'form-control select2 select2-product-all', 'id'=>'must_have_product_id', 'multiple'=>'multiple')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'must_have_product_id') !!}
                                                </div>
                                              </div>
                                            </div>
                                          </div>

                                           <!--Banner Slider Section -->
                                           <div class="card">
                                            <div class="card-header">
                                                <a class="collapsed card-link" data-toggle="collapse" href="#sliderSection">{{__('Banners Slider Section')}} </a>
                                            </div>
                                            <div id="sliderSection" class="collapse" data-parent="#accordion">
                                              <div class="card-body">
                                                <div class="form-group col-md-6">
                                                  <label for="slider_banner_id">{{__('Select Slider Banners(Can select multiple)')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('slider_banner_id[]',$banners, '', array('class'=>'form-control select2 select2-slider-banner', 'id'=>'slider_banner_id', 'multiple'=>'multiple')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'slider_banner_id') !!}
                                                </div>
                                              </div>
                                            </div>
                                          </div>

                                          <!--New Arrival Section-->
                                          <div class="card">
                                            <div class="card-header">
                                              <a class="collapsed card-link" data-toggle="collapse" href="#collapseTwo">
                                              {{__('New Arrival Section')}}
                                            </a>
                                            </div>
                                            <div id="collapseTwo" class="collapse" data-parent="#accordion">
                                              <div class="card-body">
                                                <div class="form-group col-md-6">
                                                  <label for="new_arrival_id_all">{{__('All Tab(Can select multiple)')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('new_arrival_id_all[]',$products, '', array('class'=>'form-control select2 select2-product-all', 'id'=>'new_arrival_id_all', 'multiple'=>'multiple')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'new_arrival_id_all') !!}
                                                </div>
                                              </div>
                                              <div class="card-body">
                                                <div class="form-group col-md-6">
                                                  <label for="new_arrival_id_men">{{__('Men Tab(Can select multiple)')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('new_arrival_id_men[]',$products, '', array('class'=>'form-control select2 select2-product-men', 'id'=>'new_arrival_id_men', 'multiple'=>'multiple')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'new_arrival_id_men') !!}
                                                </div>
                                              </div>
                                              <div class="card-body">
                                                <div class="form-group col-md-6">
                                                  <label for="new_arrival_id_women">{{__('Women Tab(Can select multiple)')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('new_arrival_id_women[]',$products, '', array('class'=>'form-control select2 select2-product-men', 'id'=>'new_arrival_id_women', 'multiple'=>'multiple')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'new_arrival_id_women') !!}
                                                </div>
                                              </div>
                                              <div class="card-body">
                                                <div class="form-group col-md-6">
                                                  <label for="new_arrival_id_kids">{{__('Kids Tab(Can select multiple)')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('new_arrival_id_kids[]',$products, '', array('class'=>'form-control select2 select2-product-men', 'id'=>'new_arrival_id_kids', 'multiple'=>'multiple')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'new_arrival_id_kids') !!}
                                                </div>
                                              </div>
                                            </div>
                                          </div>
                                          <!--Sale\'s Banners Section-->
                                          <div class="card">
                                            <div class="card-header">
                                                <a class="collapsed card-link" data-toggle="collapse" href="#salesSection">{{__('Sale\'s Banners')}} </a>
                                            </div>
                                            <div id="salesSection" class="collapse" data-parent="#accordion">
                                              <div class="card-body">
                                                <div class="form-group col-md-6">
                                                  <label for="product_id_all">{{__('Top Sale\'s Banner')}} <small class="asterisk">*</small></label>
                                                  {!! Form::file('top_sale_banner', ['id'=>'top_sale_banner','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                                                  {!! APFrmErrHelp::showErrors($errors, 'top_sale_banner') !!}
                                                </div>
                                              </div>
                                              <div class="card-body">
                                                <div class="form-group col-md-6">
                                                  <label for="product_id_men">{{__('Left Sale\'s Banner')}} <small class="asterisk">*</small></label>
                                                  {!! Form::file('left_sale_banner', ['id'=>'left_sale_banner','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                                                  {!! APFrmErrHelp::showErrors($errors, 'left_sale_banner') !!}
                                                </div>
                                              </div>
                                              <div class="card-body">
                                                <div class="form-group col-md-6">
                                                  <label for="product_id_women">{{__('Right Sale\'s Banner')}} <small class="asterisk">*</small></label>
                                                    {!! Form::file('right_sale_banner', ['id'=>'right_sale_banner','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                                                  {!! APFrmErrHelp::showErrors($errors, 'right_sale_banner') !!}
                                                </div>
                                              </div>
                                            </div>
                                          </div>
                                           <!--Signup Section-->
                                          <div class="card">
                                            <div class="card-header">
                                              <a class="collapsed card-link" data-toggle="collapse" href="#singupContent">
                                                {{__('Signup Section')}}
                                              </a>
                                            </div>
                                            <div id="singupContent" class="collapse" data-parent="#accordion">
                                                <div class="card-body form-row pt-1 ">
                                                    <!-- Input Name -->
                                                    <div class="form-group col-md-6">
                                                        <label for="catname" class="form-label">{{__('Title')}} <small class="asterisk">*</small></label>
                                                       {!! Form::text('signup_title', null, array('class'=>'form-control inputProfile', 'id'=>'signup_title','autocomplete'=>'off', 'placeholder'=>__('Enter title'))) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'signup_title') !!}
                                                    </div>
                                                    <!-- Input Name Arabic -->
                                                    <div class="form-group col-md-6">
                                                        <label for="namear" class="form-label">{{__('Title Arabic')}} <small class="asterisk">*</small></label>
                                                        {!! Form::text('signup_title_ar', null, array('class'=>'form-control inputProfile', 'id'=>'signup_title_ar','autocomplete'=>'off', 'placeholder'=>__('Enter arabic title'))) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'signup_title_ar') !!}
                                                    </div>
                                                    <!-- Description -->
                                                    <div class="form-group col-md-6">
                                                        <label for="description" class="form-label">{{__('Description')}} <small class="asterisk">*</small></label>
                                                        {!! Form::textarea('signup_description', null, array('class'=>'form-control inputProfile', 'id'=>'signup_description','autocomplete'=>'off', 'placeholder'=>__('Enter description'))) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'signup_description') !!}
                                                    </div>
                                                    <!-- Description Arabic -->
                                                    <div class="form-group col-md-6">
                                                        <label for="descriptionAr" class="form-label">{{__('Description Arabic')}} <small class="asterisk">*</small></label>
                                                        {!! Form::textarea('signup_description_ar', null, array('class'=>'form-control inputProfile', 'id'=>'signup_description_ar','autocomplete'=>'off', 'placeholder'=>__('Enter arabic description'))) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'signup_description_ar') !!}
                                                    </div>

                                                    <!-- Image -->
                                                    <div class="form-group col-md-6">
                                                        <label for="signup_banner" class="form-label">{{__('Banner Image')}} <small class="asterisk">*</small></label>
                                                        {!! Form::file('signup_banner', ['id'=>'signup_banner','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                                                        {!! APFrmErrHelp::showErrors($errors, 'signup_banner') !!}
                                                    </div>
                                                </div>
                                            </div>
                                          </div>

                                        </div>
                                    </div>
                                </div>
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">{{ __('Submit') }}</button>
                                </div>
                              {{ Form::close() }}
                        </div>
                    </div>
                </div>
            </div>
    </section>
@endsection
@push('scripts')
<script>
 $( document ).ready(function() {
        $('.sales_banner3').select2({
            placeholder: "Select",
            allowClear: true
        });
        $('.select2-product-men').select2({
            placeholder: "Select",
            allowClear: true
        });
        $('.select2-product-women').select2({
            placeholder: "Select",
            allowClear: true
        });
        $('.select2-product-kids').select2({
            placeholder: "Select",
            allowClear: true
        });
        $('.select2-slider-banner').select2({
            placeholder: "Select",
            allowClear: true
        });
  });
</script>
@endpush
