@extends('admin.layouts.app')
@section('title', 'Governorates')
@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <!-- <h1>Validation</h1> -->
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Homepage Content</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if (Session::has('message'))
        <div class="alert alert-info">{{ Session::get('message') }}</div>
    @endif
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
          <div class="row">
              <!-- left column -->
              <div class="col-md-12">
                  <!-- jquery validation -->
                  <div class="card card-primary">
                      <div class="card-header">
                          <h3 class="card-title">Home Content</h3>
                      </div>
                      <!-- Validation Errors -->
                       {{ Form::model($homecontent, array('route' => array('admin.homecontent.update', $homecontent->id), 'method' => 'POST','files'=>true)) }}
                            <div class="card-body">
                              {{ csrf_field() }}
                              <div class="container">
                                  <div id="accordion">

                                     <!--Banner Slider Section -->
                                     <div class="card">
                                      <div class="card-header">
                                          <a class="collapsed card-link" data-toggle="collapse" href="#sliderSection">{{__('Banners Slider Section')}} </a>
                                      </div>
                                      <div id="sliderSection" class="collapse" data-parent="#accordion">
                                        <div class="card-body row">
                                          <div class="form-group col-md-6">
                                            <label for="slider_banner_id">{{__('Select Slider Banners(Can select multiple)')}} <small class="asterisk">*</small></label>
                                              {!! Form::select('slider_banner_id[]',$banners, !empty($homecontent->slider_banner_id)?json_decode($homecontent->slider_banner_id,true):'', array('class'=>'form-control select2 select2-slider-banner', 'id'=>'slider_banner_id', 'multiple'=>'multiple')) !!}
                                              {!! APFrmErrHelp::showErrors($errors, 'slider_banner_id') !!}
                                          </div>
                                          <div class="form-group col-md-6">
                                            <label for="slider_banner_id2">{{__('Select Two Banners(Can select two)')}} <small class="asterisk">*</small></label>
                                              {!! Form::select('slider_banner_id2[]',$banners, !empty($homecontent->slider_banner_id2)?json_decode($homecontent->slider_banner_id2,true):'', array('class'=>'form-control select2 select2-slider-banner2', 'id'=>'slider_banner_id2', 'multiple'=>'multiple')) !!}
                                              {!! APFrmErrHelp::showErrors($errors, 'slider_banner_id2') !!}
                                          </div>
                                          <div class="form-group col-md-6">
                                            <label >{{__('Select Banner Type')}} <small class="asterisk">*</small></label><br>
                                            <input type="radio"  id="option1" name="banner_type" {{ ($homecontent->banner_type=="0")? "checked" : "" }} value="0">Slider</label>
                                            <input type="radio" id="option2" name="banner_type" {{ ($homecontent->banner_type=="1")? "checked" : "" }} value="1">Two banner</label>
                                          </div>
                                        </div>
                                      </div>
                                    </div>

                                    <!--Product Section 1-->
                                    <div class="card">
                                      <div class="card-header">
                                        <a class="collapsed card-link" data-toggle="collapse" href="#productSection1">
                                          {{__('Product Section 1')}}
                                        </a>
                                      </div>
                                      <div id="productSection1" class="collapse" data-parent="#accordion">
                                          <div class="card-body form-row pt-1 ">
                                              <!-- Input Name -->
                                              <div class="form-group col-md-6">
                                                  <label for="product1_title" class="form-label">{{__('Title')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('product1',$banners,  $homecontent->product1??'', array('class'=>'form-control select2 select2-product-all','placeholder'=>'Select', 'id'=>'product1')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'product1') !!}
                                              </div>
                                          </div>
                                      </div>
                                    </div>
                                    <!--Product Section 2-->
                                    <div class="card">
                                      <div class="card-header">
                                        <a class="collapsed card-link" data-toggle="collapse" href="#productSection2">
                                          {{__('Product Section 2')}}
                                        </a>
                                      </div>
                                      <div id="productSection2" class="collapse" data-parent="#accordion">
                                          <div class="card-body form-row pt-1 ">
                                            <!-- Input Name -->
                                            <div class="form-group col-md-6">
                                                <label for="product2_title" class="form-label">{{__('Title')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('product2',$banners,  $homecontent->product2??'', array('class'=>'form-control select2 select2-product-all','placeholder'=>'Select', 'id'=>'product2')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'product2') !!}
                                            </div>
                                            <!-- Input Name Arabic -->
                                        </div>
                                      </div>
                                    </div>
                                    <!--Product Section 3-->
                                    <div class="card">
                                      <div class="card-header">
                                        <a class="collapsed card-link" data-toggle="collapse" href="#productSection3">
                                          {{__('Product Section 3')}}
                                        </a>
                                      </div>
                                      <div id="productSection3" class="collapse" data-parent="#accordion">
                                        <div class="card-body form-row pt-1 ">
                                          <!-- Input Name -->
                                          <div class="form-group col-md-6">
                                              <label for="product3_title" class="form-label">{{__('Title')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('product3',$banners, $homecontent->product3??'', array('class'=>'form-control select2 select2-product-all','placeholder'=>'Select', 'id'=>'product3')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'product3') !!}
                                          </div>
                                      </div>
                                      </div>
                                    </div>

                                     <!--Must Have Section-->
                                    {{-- <div class="card">
                                      <div class="card-header">
                                        <a class="collapsed card-link" data-toggle="collapse" href="#mustHaveSection">
                                        {{__('Must Have Section')}}
                                      </a>
                                      </div>
                                      <div id="mustHaveSection" class="collapse" data-parent="#accordion">
                                        <div class="card-body">
                                          <div class="form-group col-md-6">
                                            <label for="must_have_product_id">{{__('Select Products')}} <small class="asterisk">*</small></label>
                                              {!! Form::select('must_have_product_id[]',$products, !empty($homecontent->must_have_product_id)?json_decode($homecontent->must_have_product_id,true):'', array('class'=>'form-control select2 select2-product-all', 'id'=>'must_have_product_id', 'multiple'=>'multiple')) !!}
                                              {!! APFrmErrHelp::showErrors($errors, 'must_have_product_id') !!}
                                          </div>
                                        </div>
                                      </div>
                                    </div> --}}

                                    <!--Mid Slider Section -->
                                     <div class="card">
                                      <div class="card-header">
                                          <a class="collapsed card-link" data-toggle="collapse" href="#midsliderSection">{{__('Mid Slider Section')}} </a>
                                      </div>
                                      <div id="midsliderSection" class="collapse" data-parent="#accordion">
                                        <div class="card-body">
                                          <div class="form-group col-md-6">
                                            <label for="mid_slider">{{__('Select Slider Banners(Can select multiple)')}} <small class="asterisk">*</small></label>
                                              {!! Form::select('mid_slider[]',$banners, !empty($homecontent->mid_slider)?json_decode($homecontent->mid_slider,true):'', array('class'=>'form-control select2 select2-mid-slider-banner', 'id'=>'mid_slider', 'multiple'=>'multiple')) !!}
                                              {!! APFrmErrHelp::showErrors($errors, 'mid_slider') !!}
                                          </div>
                                        </div>
                                      </div>
                                    </div>

                                    <!--New Arrival Section-->
                                    <!--Sale\'s Banners Section-->
                                    <div class="card">
                                      <div class="card-header">
                                          <a class="collapsed card-link" data-toggle="collapse" href="#salesSection">{{__('Sale\'s Banners')}} </a>
                                      </div>
                                      <div id="salesSection" class="collapse" data-parent="#accordion">
                                        <div class="card-body">
                                          <div class="form-group col-md-6">
                                            <label for="sales_banner1">{{__('Top Sale\'s Banner')}} <small class="asterisk">*</small></label>
                                                {!! Form::select('sales_banner1',$banners, $homecontent->sales_banner1??'', array('class'=>'form-control select2 select2-sales_banner1','placeholder'=>'Select', 'id'=>'sales_banner1')) !!}
                                                {!! APFrmErrHelp::showErrors($errors, 'sales_banner1') !!}
                                          </div>
                                        </div>
                                        <div class="card-body">
                                          <div class="form-group col-md-6">
                                            <label for="sales_banner2">{{__('Left Sale\'s Banner')}} <small class="asterisk">*</small></label>
                                                {!! Form::select('sales_banner2',$banners, $homecontent->sales_banner2??'', array('class'=>'form-control select2 select2-sales_banner2','placeholder'=>'Select', 'id'=>'sales_banner2')) !!}
                                                {!! APFrmErrHelp::showErrors($errors, 'sales_banner2') !!}
                                          </div>
                                        </div>
                                        <div class="card-body">
                                          <div class="form-group col-md-6">
                                            <label for="sales_banner3">{{__('Right Sale\'s Banner')}} <small class="asterisk">*</small></label>
                                                {!! Form::select('sales_banner3',$banners, $homecontent->sales_banner3??'', array('class'=>'form-control select2 select2-sales_banner3','placeholder'=>'Select', 'id'=>'sales_banner3')) !!}
                                                {!! APFrmErrHelp::showErrors($errors, 'sales_banner3') !!}
                                          </div>
                                        </div>
                                      </div>
                                    </div>
                                     <!--Signup Section-->
                                    <div class="card">
                                      <div class="card-header">
                                        <a class="collapsed card-link" data-toggle="collapse" href="#singupContent">
                                          {{__('Signup Section')}}
                                        </a>
                                      </div>
                                      <div id="singupContent" class="collapse" data-parent="#accordion">
                                          <div class="card-body form-row pt-1 ">
                                              <!-- Input Name -->
                                              <div class="form-group col-md-6">
                                                  <label for="catname" class="form-label">{{__('Sign Up')}} <small class="asterisk">*</small></label>
                                                    {!! Form::select('signup',$banners, $homecontent->signup??'', array('class'=>'form-control select2 select2-product-all', 'placeholder'=>'Select','id'=>'signup')) !!}
                                                    {!! APFrmErrHelp::showErrors($errors, 'signup') !!}
                                              </div>
                                          </div>
                                      </div>
                                    </div>

                                  </div>
                              </div>
                          </div>
                          <div class="card-footer">
                              <button type="submit" class="btn btn-primary">{{ __('Update') }}</button>
                          </div>
                          {{ Form::close() }}
                      </div>
                  </div>
              </div>
          </div>
  </section>
  @endsection
  @push('scripts')
  <script>
   $( document ).ready(function() {
          $('.select2-product-kids').select2({
              placeholder: "Select",
              allowClear: true
          });
          $('.select2-slider-banner').select2({
              placeholder: "Select",
              allowClear: true
          });
          $('.select2-slider-banner2').select2({
              maximumSelectionLength: 2,
              placeholder: "Select",
              allowClear: true
          });
           $('.select2-mid-slider-banner').select2({
              placeholder: "Select",
              allowClear: true
          });
    });
  </script>
  @endpush

