<?php
header("X-Frame-Options: deny");  // Anti clickjacking
header("X-XSS-Protection: 1; mode=block"); // Anti cross site scripting (XSS)
header("X-Content-Type-Options: nosniff"); // Reduce exposure to drive-by dl attacks
// header("Content-Security-Policy: 'default-src' 'self'");
header("Cache-Control: nocache, no-store, max-age=0, must-revalidate"); //HTTP 1.1
header("Pragma: no-cache"); //HTTP 1.0
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT");  // Date in the past
header("strict-transport-security: max-age=600");
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta name="csrf-token" content="{{ csrf_token() }}">
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>NIC Admin</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="{{ asset('admin/css/all.min.css') }}">
  <!-- Ionicons -->
  {{-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/tempusdominus-bootstrap-4/5.39.0/css/tempusdominus-bootstrap-4.css"> --}}
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="{{ asset('admin/css/all.min.css') }}">
   <!-- Select2 -->
   <link rel="stylesheet" href="{{ asset('global/select2/css/select2.min.css') }}">
   <link rel="stylesheet" href="{{ asset('global/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">

  <!-- iCheck -->
  <link rel="stylesheet" href="{{ asset('admin/css/icheck-bootstrap.min.css') }}">
  <!-- JQVMap -->
  {{-- <link rel="stylesheet" href="{{ asset('admin/css/jqvmap.min.css') }}"> --}}
  <link rel="stylesheet" href="{{ asset('admin/datatables-bs4/css/dataTables.bootstrap4.min.css') }}">
  <link rel="stylesheet" href="{{ asset('admin/datatables-responsive/css/responsive.bootstrap4.min.css') }}">
  <link rel="stylesheet" href="{{ asset('admin/datatables-buttons/css/buttons.bootstrap4.min.css') }}">

  <!-- Theme style -->
  <link rel="stylesheet" href="{{ asset('admin/css/adminlte.min.css') }}">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="{{ asset('admin/css/OverlayScrollbars.min.css') }}">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="{{ asset('admin/css/daterangepicker.css') }}">
  <!-- summernote -->
  <link rel="stylesheet" href="{{ asset('admin/summernote/summernote-bs4.min.css') }}">
  {{-- <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" /> --}}
  <link href="{{ asset('css/toastr.css') }}" rel="stylesheet" />
  <link href="{{ asset('css/sweetalert2.css') }}" rel="stylesheet" />
  <link href="{{ asset('admin/css/style.css') }}" rel="stylesheet" />
  <link href="{{ asset('css/style.css') }}" rel="stylesheet" />
</head>
<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <!-- Preloader -->
    {{-- <div class="preloader flex-column justify-content-center align-items-center">
      <img class="animation__shake" src="{{ asset('admin/images/AdminLTELogo.png') }}" alt="AdminLTELogo" height="60" width="60">
    </div> --}}

    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="{{ route('admin-home') }}" class="nav-link">{{__('Home')}}</a>
        </li>
      </ul>

       <!-- Right navbar links -->
       @if (Auth::guard('admin')->check())
      <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <a class="nav-link" href="{{ route('adminLogout') }}" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
            <button type="button" class="btn btn-block bg-gradient-secondary">{{__('Logout')}}</button>
            <form id="logout-form" action="{{ route('adminLogout') }}" method="POST" style="display: none;">
                {{ csrf_field() }}
            </form>
          </a>
        </li>
      </ul>
    @endif
    </nav>
    <!-- /.navbar -->

  <!-- Sidebar -->
  @include('admin.layouts.sidebar')
  <!-- /.Sidebar -->
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->

    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      @yield('content')
    </section>
    <!-- /.content -->
  </div>
<!-- /.login-box -->
@include('admin.layouts.footer')
 <!-- Control Sidebar -->
 <aside class="control-sidebar control-sidebar-dark">
  <!-- Control sidebar content goes here -->
</aside>
<!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->
<!-- jQuery -->
<script src="{{ asset('admin/js/jquery.min.js') }}"></script>
<!-- jQuery UI 1.11.4 -->
<script src="{{ asset('admin/js/jquery-ui.min.js') }}"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<script src="{{ asset('admin/js/bootstrap.bundle.min.js') }}"></script>

<script src="{{ asset('admin/datatables/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('admin/datatables-bs4/js/dataTables.bootstrap4.min.js') }}"></script>
<script src="{{ asset('admin/datatables-responsive/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('admin/datatables-responsive/js/responsive.bootstrap4.min.js') }}"></script>
<script src="{{ asset('admin/datatables-buttons/js/dataTables.buttons.min.js') }}"></script>
<script src="{{ asset('admin/datatables-buttons/js/buttons.bootstrap4.min.js') }}"></script>
<script src="{{ asset('admin/datatables/jszip.min.js') }}"></script>
<script src="{{ asset('admin/datatables/pdfmake.min.js') }}"></script>
<script src="{{ asset('admin/datatables/vfs_fonts.js') }}"></script>
<script src="{{ asset('admin/datatables/buttons.html5.min.js') }}"></script>
<script src="{{ asset('admin/datatables/buttons.print.min.js') }}"></script>
<script src="{{ asset('admin/datatables/buttons.colVis.min.js') }}"></script>
<!-- ChartJS -->
{{-- <script src="plugins/chart.js/Chart.min.js"></script> --}}
<!-- Sparkline -->
{{-- <script src="plugins/sparklines/sparkline.js"></script> --}}
<!-- JQVMap -->
{{-- <script src="plugins/jqvmap/jquery.vmap.min.js"></script> --}}
{{-- <script src="plugins/jqvmap/maps/jquery.vmap.usa.js"></script> --}}
<!-- jQuery Knob Chart -->
{{-- <script src="plugins/jquery-knob/jquery.knob.min.js"></script> --}}
<!-- daterangepicker -->
<script src="{{ asset('admin/js/moment.min.js') }}"></script>
<script src="{{ asset('admin/js/daterangepicker.js') }}"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="{{ asset('admin/js/tempusdominus-bootstrap-4.min.js') }}"></script>

<!-- Select2 -->
<script src="{{ asset('global/select2/js/select2.full.min.js') }}"></script>

<!-- Summernote -->
<script src="{{ asset('admin/summernote/summernote-bs4.min.js') }}"></script>
<!-- overlayScrollbars -->
<script src="{{ asset('admin/js/jquery.overlayScrollbars.min.js') }}"></script>
<!-- AdminLTE App -->
<script src="{{ asset('admin/js/adminlte.min.js') }}"></script>
<!-- AdminLTE for demo purposes -->
{{-- <script src="{{ asset('admin/js/demo.js') }}"></script> --}}
<!-- AdminLTE dashboard demo (This is only for demo purposes) -->
{{-- <script src="{{ asset('admin/js/dashboard.js') }}"></script> --}}
<script src="{{ asset('js/sweetalert2.all.min.js') }}"></script>
<script src="{{ asset('js/toastr.min.js') }}"></script>
<script src="{{ asset('admin/js/custom.js') }}"></script>
<script src="https://canvasjs.com/assets/script/canvasjs.min.js"></script>
<script src="{{ asset('js/jquery.canvasjs.min.js') }}"></script>
@include('admin.custom_script')
@stack('scripts')
<script>
  $(document).ready(function() {
      toastr.options.timeOut = 10000;
      @if (Session::has('error'))
          toastr.error('{{ Session::get('error') }}');
      @elseif(Session::has('success'))
          toastr.success('{{ Session::get('success') }}');
      @endif
  });

</script>
{{-- <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script> --}}
<script>
    $(document).ready(function() {
        // Select2 Multiple
        $('.select2-multiple').select2({
            placeholder: "Select",
            allowClear: true
        });

        $(document).on('click','.productStep',function(){
            var step = $(this).data('steps');
            var pid = $('#pid').val();
            window.location.href = "{{ route('admin.product.create') }}"+'?step='+step+'&pid='+pid;
        });

        $(document).on('click','.editproductStep',function(){
            var step = $(this).data('steps');
            var pid = $('#pid').val();
            var baseurl = $('#baseurl').val();
            window.location.href = baseurl+"/admin/product/edit/"+pid+'?step='+step;
        });

    });

</script>
</body>
</html>
