@extends('admin.layouts.app')
@section('title', 'Order')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Orders</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Orders</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                @if(!empty($user))
                <h3 class="card-title">Orders listing: <b>{{ucfirst($user->name)}} </b></h3>
                @else
                <h3 class="card-title">All Orders listing</h3>
                @endif
              </div>

              <!-- /.card-header -->
              <div class="card-body">
                <!-- will be used to show any messages -->
                @if (Session::has('message'))
                    <div class="alert alert-info">{{ Session::get('message') }}</div>
                @endif
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>ID</th>
                    <th>Order ID</th>
                    <th>User</th>
                    <th>Date</th>
                    <th>Status</th>
                    <th>Coupon</th>
                    <th>Payment Type</th>
                    <th>Total</th>
                    <th>Order Status</th>
                    <th>Action</th>
                  </tr>
                  </thead>
                  <tbody>
                  @php $i = 0; @endphp
                  @foreach($data as $datas)                  
                  <tr>
                    <td>{{$i+1}}</td>
                    <td>#{{$datas->order_id}} </td>
                    <td>{{$datas->first_name}} {{$datas->last_name}}</td>
                    <td>{{\Carbon\Carbon::parse($datas->created_at)->format('d-m-Y')}}</td>
                    <td>
                      @if($datas->status=='1')
                      <a href="{{url('admin/order-status/'.$datas->id.'')}}" class="btn btn-success">Activated</a>
                      @else
                      <a href="{{url('admin/order-status/'.$datas->id.'')}}" class="btn btn-danger">De-Activated</a>
                      @endif
                    </td>
                    <td>
                      @if($datas->coupon_amount != '')
                        {{$datas->coupon_title}} : KD {{$datas->coupon_amount}}
                      @else
                      -
                      @endif
                    </td>
                    <td>{{$datas->payment_type}}</td>
                    <td>KD {{$datas->checkout_total}}</td>
                    <td><span class="badge rounded-pill bg-secondary p-1 orderStatusBtn">{{$datas->order_status}}</span></td>
                    <td>
                      <a href="{{url('admin/orders/view/'.$datas->id)}}" class="btn btn-warning">view</a>
                    </td>
                  </tr>
                  @php
                    $i++;
                @endphp
                  @endforeach
                  </tbody>
                  <tfoot>
                  <tr>
                    <th>ID</th>
                    <th>Order ID</th>
                    <th>Date</th>
                    <th>Status</th>
                    <th>Coupon</th>
                    <th>Payment Type</th>
                    <th>Total</th>
                    <th>Order Status</th>
                    <th>Action</th>
                  </tr>
                  </tfoot>
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
@endsection

