<!DOCTYPE html>
<html lang="zxx">
<head>
    <title>SpaTime - Order Invoice</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta charset="UTF-8">

    <!-- External CSS libraries -->
    <link type="text/css" rel="stylesheet" href="{{asset('admin/invoice_assets/css/bootstrap.min.css')}}">
    <link type="text/css" rel="stylesheet" href="{{asset('admin/invoice_assets/fonts/font-awesome/css/font-awesome.min.css')}}">

    <!-- Favicon icon -->
    <link rel="shortcut icon" href="{{asset('admin/invoice_assets/img/favicon.ico')}}" type="image/x-icon" >

    <!-- Google fonts -->
    <link rel="stylesheet" type="text/css" href="https://fonts.googleapis.com/css?family=Poppins:100,200,300,400,500,600,700,800,900">

    <!-- Custom Stylesheet -->
    <link type="text/css" rel="stylesheet" href="{{asset('admin/invoice_assets/css/style.css')}}">
</head>
<body>

<!-- Invoice 2 start -->
<div class="invoice-2 invoice-content">
    <div class="container ">
        <div class="row">
            <div class="col-lg-12">
                <div class="invoice-inner-2">
                    <div class="invoice-info" id="invoice_wrapper">
                        <div class="invoice-inner">
                            <div class="invoice-top">
                                <div class="row align-items-center">
                                    <div class="col-sm-6 invoice-name">
                                        <h4 class="inv-header-2">Invoice: #{{$data->order_id}}</h4>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="title-logo text-end">
                                            <div class="logo">
                                                <a href="#">
                                                    <img src="{{asset('front-assets/images/ibrah-icon.png')}}" alt="logo" style="height: 50px; width: 146px;">
                                                </a>
                                            </div>
                                            <!-- <p>Bandung, West Java, Indonesia<br>Fax 621113</p> -->
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="invoice-center">
                                <div class="row">
                                    <div class="col-sm-4">
                                        <address class="address-info">
                                            <p class="strong">Date</p>
                                            <p>Invoice Data: {{date('d M Y',strtotime($data->created_at))}}</p>
                                            <!-- <p>Due Data: 21 Sep 2021</p> -->
                                        </address>
                                    </div>
                                    <div class="col-sm-4">
                                        <address class="address-info">
                                            <p class="strong">User Address</p>
                                            <p class="invo-addr-1">
                                                {{!empty($data->userAddress)?$data->userAddress->house_no:''}} <br/>
                                                {{!empty($data->userAddress)?$data->userAddress->appartment:''}} <br/>
                                                {{!empty($data->userAddress)?$data->userAddress->address:''}} <br/>
                                            </p>
                                        </address>
                                    </div>
                                    <div class="col-sm-4">
                                        <address class="address-info ai2 text-end">
                                            <p class="strong">User Detail</p>
                                            <p class="invo-addr-1">
                                                {{!empty($data->userAddress)?ucfirst($data->userAddress->first_name):''}}  {{!empty($data->userAddress)?ucfirst($data->userAddress->last_name):''}} <br/>
                                                {{!empty($data->userAddress)?$data->userAddress->contact_no:''}} <br/>
                                            </p>
                                        </address>
                                    </div>
                                </div>
                            </div>
                            <div class="order-summary">
                                <div class="row">
                                    <div class="col-md-12">
                                        <h4>Order summary</h4>
                                        <div class="table-responsive">
                                            <table class="table invoice-table">
                                                <thead class="bg-active">
                                                <tr>
                                                    <th>Item</th>
                                                    <th class="text-center">Price</th>
                                                    <th class="text-center">Quantity</th>
                                                    <th class="text-right">Totals</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @php $sum = 0; @endphp
                                                @foreach($data->orderItems as $order_item)
                                                @php $sum += $order_item->item_price * $order_item->quantity; @endphp
                                                <tr>
                                                    <td>
                                                        <div class="item-desc-1">
                                                            <span>{{$order_item->product->title}}</span>
                                                        </div>
                                                    </td>
                                                    <td class="text-center">KD {{$order_item->item_price}}</td>
                                                    <td class="text-center">{{$order_item->quantity}}</td>
                                                    <td class="text-right">KD <?php echo $order_item->item_price * $order_item->quantity; ?></td>
                                                </tr>
                                                @endforeach
                                                <tr>
                                                    <td colspan="3" class="text-end">SubTotal</td>
                                                    <td class="text-right">KD {{$sum}}</td>
                                                </tr>
                                                <tr>
                                                    <td colspan="3" class="text-end">Tax</td>
                                                    <td class="text-right">KD 0</td>
                                                </tr>
                                                <tr>
                                                    <td colspan="3" class="text-end fw-bold">Grand Total</td>
                                                    <td class="text-right fw-bold">KD {{$sum}}</td>
                                                </tr>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="account-transfer">
                                <div class="row">
                                    <div class="col-sm-6">
                                        <div class="bank-transfer">
                                        </div>
                                    </div>
                                    <div class="col-sm-6">
                                        <div class="total-amount text-end">
                                            <h4 class="inv-title-1">Total Amount</h4>
                                            <h2>KD {{$sum}}</h2>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            {{-- <div class="note">
                                <div class="row">
                                    <div class="col-lg-12"> anything else to this order!</p>
                                    </div>
                                </div>
                            </div> --}}
                        </div>
                    </div>
                    <div class="invoice-btn-section clearfix d-print-none">
                        <a href="javascript:window.print()" class="btn btn-lg btn-print">
                            <i class="fa fa-print"></i> Print Invoice
                        </a>
                        <a id="invoice_download_btn" class="btn btn-lg btn-download">
                            <i class="fa fa-download"></i> Download Invoice
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Invoice 2 end -->

<script src="{{asset('admin/invoice_assets/js/jquery.min.js')}}"></script>
<script src="{{asset('admin/invoice_assets/js/jspdf.min.js')}}"></script>
<script src="{{asset('admin/invoice_assets/js/html2canvas.js')}}"></script>
<script src="{{asset('admin/invoice_assets/js/app.js')}}"></script>
</body>
</html>
