@extends('admin.layouts.app')
@section('title', 'Order')
@section('content')
<style>
.invoice-top .info {
    float: left;
}.invoice-top .title {
    float: right;
}.order-number {
    float: left;
}.order-date {
    float: right;
}.thead-bg {
    background-color: #007bff;
    color: #fff;
}.finalAmt {
    margin-left: 160px;
}.delivery-address, .final-amount {
    border: 1px solid #e3e6f0;
}.delivery-address th, .delivery-address td {
    border-top: none !important;
}.text-primary.order-number, .text-primary.order-date {
    color: #fff !important;
} table th, table td {
    text-align: left !important;
}.table{
    font-weight: normal !important;
}
#printInvoice {
    display:none;
}

</style>
<section class="content-header">
  <div class="container-fluid">

    <!-- Page Heading -->
    <div class="d-sm-flex align-items-center justify-content-between mb-4">
        <h1 class="h3 mb-0 text-gray-800">ORDER</h1>
        <div class="row">
            <ol class="breadcrumb float-sm-right">
                <a href="{{ route('admin.orders') }}" class="backBtn"><button class="btn btn-primary">Back</button></a>
                <button class="__printReport btn btn-primary">Print Invoice</button>
            </ol>
        </div>
        <!--<a href="size_edit.php" class="d-none d-sm-inline-block btn btn-sm btn-primary shadow-sm"><i class="fas fa-check fa-sm text-white-50"></i> Add New Sizes</a>-->
    </div>

    <div class="row">
        <div class="col-lg-12 mb-12">
            <div class="card card-primary">
                <div class="card-header py-3">
                    <h6 class="m-0 font-weight-bold text-primary order-number">ORDER : {{$data->order_id}}</h6>
                    <h6 class="m-0 font-weight-bold text-primary order-date">Date : {{$data->created_at}}</h6>
                </div>
                <div class="card-body">
                    <div class="invoice-top clearfix">
                        <div class="info col-4">
                            <h5><strong>Customer Details</strong></h5>
                            <p><strong>Name:</strong> {{$data->full_name}}</p>
                            <p><strong>Email:</strong> {{$data->email}}</p>
                            <p><strong>Contact No:</strong> {{$data->mobile}}</p>
                        </div>

                        <div class="info col-4">
                            <p>
                                <strong>Order Status:</strong>
                                <select id="change_order_status" data-id={{$data->id}} required="" name="order_status" class="form-control">
                                    <option value="">--Select Status--</option>
                                    <option value="new" @if($data->order_status=='new') selected @endif>New</option>
                                    <option value="Order Process" @if($data->order_status=='Order Process') selected @endif>Order Process</option>
                                    <option value="Order Shipped" @if($data->order_status=='Order Shipped') selected @endif>Order Shipped</option>
                                    <option value="Out For Delivery" @if($data->order_status=='Out For Delivery') selected @endif>Out For Delivery</option>
                                    <option value="Delivered" @if($data->order_status=='Delivered') selected @endif>Delivered</option>
                                    <option value="Cancelled" @if($data->order_status=='Cancelled') selected @endif>Cancelled</option>
                                </select>
                            </p>
                            <p><strong>Payment Type:</strong> {{$data->payment_type == 'Not cash' || $data->payment_type == 'KNET' ? 'KNET' : 'COD'}}</p>
                            @if(!empty($data->del_start_time))
                            <p><strong>Time Slot:</strong> {{$data->del_start_time}} -- {{$data->del_end_time}}</p>
                            @endif
                            <p><strong>Transaction ID:</strong> {{$data->transaction_id}}</p>
                            <p><strong>Total Amount:</strong> {{$data->grand_total}} KD </p>
                        </div>
                    </div>

                    <hr>

                    <div class="table-responsive">
                        <table class="table table-hover">
                            <thead class="thead-bg">
                                <tr>
                                    <th>S.No.</th>
                                    <th>Name</th>
                                    <th>Price</th>
                                    <th>Quantity</th>
                                    <th>Total</th>
                                </tr>
                            </thead>
                            <tbody>
                                @php
                                  $shipping = 0;
                                  $totalAmount = 0;
                                  $paidAmout = 0;
                                @endphp
                                @foreach ($data->orderItems as $k=> $iteam)
                                    @php $i = 1; @endphp
                                <tr>
                                    <td>{{$k+1}}</td>
                                    <td>{{$iteam->product->title ?? ''}}({{$iteam->product->arabic_title ?? ''}})</td>
                                    <td>{{$iteam->item_price}} KD</td>
                                    <td>{{$iteam->quantity}}</td>
                                    <td>{{$iteam->item_price * $iteam->quantity}}</td>
                                </tr>
                                @php
                                    $totalAmount +=$iteam->item_price * $iteam->quantity;
                                    $i++;
                                @endphp
                                @endforeach
                                <tr>
                                    <td></td>
                                    <td></td>
                                    <td></td>
                                    <td>Total</td>
                                    <td><?php echo number_format($totalAmount, 0); ?> KD</td>
                                <tr>
                            </tbody>
                        </table>
                    </div>
                    <hr>
                    <div class="row invoice-top clearfix">

                        <div class="info col-6 deliveryAddress">
                            <div class="table-responsive">
                                <table class="table table-hover delivery-address">
                                    <thead class="thead-bg">
                                        <tr>
                                            <th>Address</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td><strong>Governorate:</strong> {{$data->governorate}}</td>
                                        </tr>
                                        <tr>
                                            <td><strong>Area:</strong> {{$data->area}}</td>
                                        </tr>
                                        <tr>
                                            <td><strong>Street:</strong> {{$data->address}}</td>
                                        </tr>
                                        <tr>
                                            <td><strong>Near Location:</strong> {{$data->near_location}}</td>
                                        </tr>
                                        <tr>
                                            <td><strong>House No/Building No:</strong> {{$data->building_no??$data->appartment_no}}</td>
                                        </tr>
                                        <tr>
                                            <td><strong>Address Type:</strong> {{$data->userAddress ?$data->userAddress->address_type:'home'}}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="title col-4 finalAmt">
                            <div class="table-responsive">
                                <table class="table table-hover final-amount">
                                    <thead class="thead-bg">
                                        <tr>
                                            <th>Final Amount</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td><strong>Total Amount:</strong> <span> {{number_format($totalAmount, 0)}} KD</span></td>
                                        </tr>
                                        <tr>
                                            <td><strong>Discount:</strong> <span>{{$data->coupon_discount}}</span></td>
                                        </tr>
                                        <tr>
                                            <td><strong>Payable Amout:</strong> <span>{{$data->grand_total}} KD</span></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card card-primary" id="printInvoice">
                @include('admin.orders.invoice')
            </div>
        </div>
    </div>
  </div>
</section>
@endsection
