@extends('admin.layouts.app')
@section('title', 'page')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Pages Management</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Edit</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">Update Page Info</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
              {{ Html::ul($errors->all()) }}

              {{ Form::model($data, array('route' => array('admin.page.update', $data->id), 'method' => 'POST','files'=>true)) }}
              <div class="card card-primary card-outline">
          
              <div class="card-body">
                <h4>Fill details to submit</h4>
                <ul class="nav nav-tabs" id="custom-content-below-tab" role="tablist">
                  <li class="nav-item">
                    <a class="nav-link active" id="custom-content-below-home-tab" data-toggle="pill" href="#custom-content-below-home" role="tab" aria-controls="custom-content-below-home" aria-selected="true">English</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" id="custom-content-below-profile-tab" data-toggle="pill" href="#custom-content-below-profile" role="tab" aria-controls="custom-content-below-profile" aria-selected="false"> عربى </a>
                  </li>
                  
                </ul>
                <div class="tab-content" id="custom-content-below-tabContent">
                  <div class="tab-pane fade show active" id="custom-content-below-home" role="tabpanel" aria-labelledby="custom-content-below-home-tab">
                    <br>
                    <div class="form-group">
                        <label for="exampleInputEmail1">Title</label>
                        {{ Form::text('title', Request::old('title'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter meal name')) }}
                      </div>
                      <div class="form-group">
                        <label for="exampleInputEmail1">Description</label>
                        {{ Form::textarea('description', Request::old('description'), array('id'=>'exampleInputEmail1','class' => 'form-control summernote','placeholder' => '')) }}
                      </div>
                      
                      <div class="form-group">
                        <label for="exampleInputEmail1">Image</label>
                        <input type="file" name="image" class="form-control"><br>
                        @if($data->image)
                          <img src="{{asset('page_image/'.$data->image)}}" width="100" height="100">
                        @endif
                      </div>
                      
                  </div>
                  <!--Next Arabic Tab-->
                  <div class="tab-pane fade" id="custom-content-below-profile" role="tabpanel" aria-labelledby="custom-content-below-profile-tab">
                    <br>
                      <div class="form-group">
                        <label for="exampleInputEmail1">Title</label>
                        {{ Form::text('arabic_title', Request::old('arabic_title'), array('id'=>'exampleInputEmail1','class' => 'form-control','placeholder' => 'Enter meal name')) }}
                      </div>
                      <div class="form-group">
                        <label for="exampleInputEmail1">Description</label>
                        {{ Form::textarea('arabic_description', Request::old('arabic_description'), array('id'=>'exampleInputEmail1','class' => 'form-control summernote','placeholder' => '')) }}
                      </div>
                  </div>
                  
                </div>
                
                
              </div>
          <!-- /.card -->
        </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection