@extends('admin.layouts.app')
@section('title', 'page')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>All Pages</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Pages</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">
              <div class="card-header">
                <div class="title"><h3 class="card-title">{{__('All Pages listing')}}</h3></div>
                 <div class="actions"><a href="{{ route('admin.page.create') }}" class="btn btn-primary">Add</a></div>
                
              </div>

              <!-- /.card-header -->
              <div class="card-body">
                <!-- will be used to show any messages -->
                @if (Session::has('message'))
                    <div class="alert alert-info">{{ Session::get('message') }}</div>
                @endif
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>ID</th>
                    <th>Title</th>
                    <th>Arabic Title</th>
                    <th>Status</th>
                    <th>Date</th>
                    <th>Action</th>
                  </tr>
                  </thead>
                  <tbody>
                  @foreach($data as $datas)  
                  <tr>
                    <td>{{$datas->id}}</td>
                    <td>{{$datas->title}}</td>
                    <td>{{$datas->arabic_title}}</td>
                    <td>
                      @if($datas->status=='1')
                      <a href="{{url('admin/pages/update_status/'.$datas->id.'')}}" class="btn btn-success">Activated</a>
                      @else
                      <a href="{{url('admin/pages/update_status/'.$datas->id.'')}}" class="btn btn-danger">De-Activated</a>
                      @endif
                    </td>
                    <td>{{dateConvertFormat($datas->created_at)}}</td>
                    <td>
                      <a href="{{url('admin/pages/edit/'.$datas->id)}}" class="btn btn-warning">Edit</a> 
                       <a href="javascript:void();" onClick="deleteData({{$datas->id}},'pages');" class="btn btn-danger">Delete</a>
                     
                     </td>
                    
                  </tr>
                  @endforeach
                  </tbody>
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
@endsection