@extends('admin.layouts.app')
@section('title', 'page')
@section('content')
    <!-- Content Header (Page header) -->
   <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>All Pages</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Create Permission</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <!-- left column -->
                <div class="col-md-12">
                    <!-- jquery validation -->
                    <div class="card card-primary">
                        <div class="card-header">
                            <h3 class="card-title">Permission <small>create</small></h3>
                        </div>
                        <!-- /.card-header -->
                        @if ($error = Session::get('error'))
                            <div class="alert alert-danger">
                                <p>{{ $error }}</p>
                            </div>
                        @endif
                        @if ($message = Session::get('message'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                        @endif

                         <!-- Validation Errors -->
                        <form method="POST" action="{{ route('permission.store') }}">
                            <div class="card-body">
                                {{ csrf_field() }}
                                <!-- Input Role Name -->
                                <div class="form-group col-md-6">
                                    <label for="inputName4" class="form-label">Permission Module</label>
                                    <input type="text" class="form-control" name="name"  id="name" value="{{ old('name') }}" required autofocus/>
                                </div>

                                <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'category_id') !!}">
                                    <label for="category_id">{{__('Select Category')}} <small class="asterisk">*</small></label>
                                        {!! Form::select('permission[]',['create'=>'Create','view'=>'View','edit'=>'Edit','delete'=>'Delete'], '', array('class'=>'form-control select2 select2-multiple', 'id'=>'permission_id', 'multiple'=>'multiple')) !!}
                                </div>
                            </div>
                            <div class="card-footer">
                                <button type="submit" class="btn btn-primary">{{ __('Create') }}</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
