<div class="row card-body">
    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'title') !!}">
      <label for="exampleFormControlSelect1">{{__('Name')}} <small class="asterisk">*</small></label>
      {{ Form::text('title', $product->title, array('id'=>'title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'title')." ",'placeholder' => 'Enter name')) }}
      {!! APFrmErrHelp::showErrors($errors, 'title') !!}
    </div>
    <div class="form-group col-md-6">
      <label for="exampleInputEmail1">{{__('Arabic Name')}} <small class="asterisk">*</small></label>
      {{ Form::text('arabic_title',  $product->arabic_title, array('id'=>'arabic_title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_title')." ",'placeholder' => 'Enter arabic name')) }}
      {!! APFrmErrHelp::showErrors($errors, 'arabic_title') !!}
    </div>

    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'priority') !!}">
      <label for="priority">{{__('Priority')}} <small class="asterisk"></small></label>
      {{ Form::text('priority',  $product->priority, array('id'=>'priority','class' => "form-control ".APFrmErrHelp::hasError($errors, 'priority')." ",'placeholder' => 'Enter priority')) }}
      {!! APFrmErrHelp::showErrors($errors, 'priority') !!}
    </div>
    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'brand_id') !!}">
        <label for="brand_id">{{__('Select Brand')}} <small class="asterisk">*</small></label>
            {!! Form::select('brand_id',['' => __('Select Brand')]+$brands, (!empty($product->brand_id))?$product->brand_id:'', array('class'=>'form-control select2', 'id'=>'brand_id')) !!}
            {!! APFrmErrHelp::showErrors($errors, 'brand_id') !!}
    </div>
    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'category_id') !!}">
      <label for="category">{{__('Category')}} <small class="asterisk">*</small></label>
      {!! Form::select('category_id[]',$categories, (!empty($product->category_id))?json_decode($product->category_id,true):'', array('class'=>'form-control select2 select2-multiple', 'id'=>'category_id', 'multiple'=>'multiple')) !!}
      {!! APFrmErrHelp::showErrors($errors, 'category_id') !!}
    </div>
    @php
        $subCat = !empty($product->sub_category_id)?implode(',',json_decode($product->sub_category_id,true)):'';
    @endphp
    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'sub_category_id') !!}">
        <label for="sub_category_id">{{__('Select Sub Category')}} <small class="asterisk">*</small></label>
            {!! Form::select('sub_category_id[]',[], '', array('class'=>'form-control select2 select2-multiple', 'id'=>'sub_category_id', 'multiple'=>'multiple','data-ids'=>$subCat)) !!}
            {!! APFrmErrHelp::showErrors($errors, 'sub_category_id') !!}
    </div>

    <div class="form-group col-md-12 {!! APFrmErrHelp::hasError($errors, 'description') !!}">
      <label for="exampleInputEmail1">{{__('Description')}} <small class="asterisk">*</small></label>
      {{ Form::textarea('description', $product->description, array('id'=>'description','class' => "form-control ".APFrmErrHelp::hasError($errors, 'description')." ",'placeholder' => 'Enter description')) }}
      {!! APFrmErrHelp::showErrors($errors, 'description') !!}
    </div>
    <div class="form-group col-md-12 {!! APFrmErrHelp::hasError($errors, 'arabic_description') !!}">
      <label for="exampleInputEmail1">{{__('Arabic Description')}} <small class="asterisk">*</small></label>
      {{ Form::textarea('arabic_description', $product->arabic_description, array('id'=>'arabic_description','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_description')." ",'placeholder' => 'Enter arabic description')) }}
      {!! APFrmErrHelp::showErrors($errors, 'arabic_description') !!}
    </div>
  </div>
<!-- /.card-body -->
<div class="card-footer">
    <button type="submit" class="btn btn-primary">Next</button>
</div>
