<div class="row card-body">
    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'title') !!}">
        <label for="title">{{__('Title')}} <small class="asterisk">*</small></label>
        {{ Form::text('title', !empty($product->title)?$product->title:Request::old('title'), array('id'=>'title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'title')." ",'placeholder' => 'Enter title')) }}
        {!! APFrmErrHelp::showErrors($errors, 'title') !!}
    </div>
    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'arabic_title') !!}">
        <label for="arabic_title">{{__('Arabic Title')}} <small class="asterisk">*</small></label>
        {{ Form::text('arabic_title', !empty($product->arabic_title)?$product->arabic_title:Request::old('arabic_title'), array('id'=>'arabic_title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_title')." ",'placeholder' => 'Enter arabic title')) }}
        {!! APFrmErrHelp::showErrors($errors, 'arabic_title') !!}
    </div>
    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'priority') !!}">
        <label for="priority">{{__('Priority')}} <small class="asterisk"></small></label>
        {{ Form::text('priority', !empty($product->priority)?$product->priority:Request::old('priority'), array('id'=>'priority','class' => "form-control ".APFrmErrHelp::hasError($errors, 'priority')." ",'placeholder' => 'Enter priority')) }}
        {!! APFrmErrHelp::showErrors($errors, 'priority') !!}
    </div>
    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'brand_id') !!}">
        <label for="brand_id">{{__('Select Brand')}} <small class="asterisk">*</small></label>
            {!! Form::select('brand_id',['' => __('Select Brand')]+$brands,(!empty($product->brand_id))?$product->brand_id:'', array('class'=>'form-control select2', 'id'=>'brand_id')) !!}
            {!! APFrmErrHelp::showErrors($errors, 'brand_id') !!}
    </div>
    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'category_id') !!}">
        <label for="category_id">{{__('Select Category')}} <small class="asterisk">*</small></label>
            {!! Form::select('category_id[]',$categories, !empty($product->category_id)?json_decode($product->category_id,true):'', array('class'=>'form-control select2 select2-multiple', 'id'=>'category_id', 'multiple'=>'multiple')) !!}
            {!! APFrmErrHelp::showErrors($errors, 'category_id') !!}
    </div>

    <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'sub_category_id') !!}">
        <label for="sub_category_id">{{__('Select Sub Category')}} <small class="asterisk">*</small></label>
            {!! Form::select('sub_category_id[]',[], '', array('class'=>'form-control select2 select2-multiple', 'id'=>'sub_category_id', 'multiple'=>'multiple','data-ids'=>'')) !!}
            {!! APFrmErrHelp::showErrors($errors, 'sub_category_id') !!}
    </div>

    <div class="form-group col-md-12 {!! APFrmErrHelp::hasError($errors, 'description') !!}">
        <label for="description">{{__('Description')}} <small class="asterisk">*</small></label>
        {{ Form::textarea('description', !empty($product->description)?$product->description:Request::old('description'), array('id'=>'description','class' => "form-control ".APFrmErrHelp::hasError($errors, 'description')." ",'placeholder' => 'Enter description')) }}
        {!! APFrmErrHelp::showErrors($errors, 'description') !!}
    </div>
    <div class="form-group col-md-12 {!! APFrmErrHelp::hasError($errors, 'arabic_description') !!}">
        <label for="arabic_description">{{__('Arabic Description')}} <small class="asterisk">*</small></label>
        {{ Form::textarea('arabic_description', !empty($product->arabic_description)?$product->arabic_description:Request::old('arabic_description'), array('id'=>'arabic_description','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_description')." ",'placeholder' => 'Enter arabic description')) }}
        {!! APFrmErrHelp::showErrors($errors, 'arabic_description') !!}
    </div>
</div>
<!-- /.card-body -->
<div class="card-footer">
    <button type="submit" class="btn btn-primary">Next</button>
</div>
