@extends('admin.layouts.app')
@section('title', 'Area Report')
@section('content')
<style>
  .hide {
    display:none;
  }
  .pull-left {
    float:left;
  }
</style>

<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Area Report</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Area Report</li>
            </ol>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">   
              <div class="card-header py-3">
                  {!! Form::open(['route' => ['admin.area.report'], 'id' => 'filter_form']) !!}
                  {!! Form::hidden('governorate_id', $governorate_id,array('id' => 'governorate_id')) !!}
                  {!! Form::hidden('area_id', $area_id,array('id' => 'area_id')) !!}
                      <div class="row">
                          <div class="col-md-12">
                              
                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                      {!! Form::label('governorate', __('Governorate')) !!}
                                      {{ Form::select('governorate', $governorates, $governorate_id, ['id'=>'governorate','class' => 'form-control','placeholder' => 'Select Governorate']) }}
                                  </div>
                              </div>

                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                     {!! Form::label('area', __('Area')) !!}
                                     <span id="default_area_dd">{{ Form::select('area', [], [], ['id'=>'area','class' => 'form-control','placeholder' => 'Select Area']) }}</span>
                                  </div>
                              </div>
                              <div class="col-md-3 pull-left StartDate">
                                <div class="form-group">
                                  {!! Form::label('start_date', __('Start Date')) !!}
                                  {{ Form::date('start_date', $start_date, ['id'=>'date','class' => 'form-control','placeholder' => 'Select Date']) }}
                                </div>
                            </div>
                            <div class="col-md-3 pull-left EndDate">
                                <div class="form-group">
                                {!! Form::label('end_date', __('End Date')) !!}
                                  {{ Form::date('end_date', $end_date, ['id'=>'date','class' => 'form-control','placeholder' => 'Select Date']) }}
                                </div>
                            </div>
                          </div>
                      </div>
                      
                      <div class="row">
                          <div class="col-md-12">     
                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                  {!! Form::submit(__('Filter'), ['class' => 'btn btn-primary']) !!} 
                              </div>
                          </div>
                      </div> 
                  {!! Form::close() !!}
              </div>     
              <div class="card-body">
                
                <!-- will be used to show any messages -->
                @if (Session::has('message'))
                    <div class="alert alert-info">{{ Session::get('message') }}</div>
                @endif
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>Order ID</th>
                    <th>Username</th>
                    <th>Contact No</th>
                    <th>Governorate</th>
                    <th>Area</th>
                    <th>Order Status</th>
                    <th>Payment Type</th>     
                    <th>Total Amount</th>                                               
                    <th>Order Created</th>
                  </tr>
                  </thead>
                  <tbody>
                    @foreach($orders as $order)
                    @php 
                    $governorates = DB::table('governorates')->where('id', $order->userAddress->governorate)->first();
                    $area = DB::table('areas')->where('id', $order->userAddress->area)->first();
                    @endphp
                    <tr>
                      <td>{{$order->order_id}}</td>
                      <td>{{$order->user->name}}</td>                    
                      <td>{{$order->userAddress->contact_no}}</td>
                      <td>{{@$governorates->title}}</td>
                      <td>{{$area->title}}</td>
                      <td>{{$order->order_status}}</td>
                      <td>{{$order->payment_type}}</td>
                      <td>{{$order->grand_total}} KD</td>
                      <td>{{dateConvertFormat($order->created_at)}}</td>
                    </tr>
                    @php
                      $date = date('Y-m-d', strtotime($order->created_at));
                      $totalOrders[$date] = $order;
                    @endphp
                    @endforeach
                  </tbody>                  
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
    
    {{-- @php
      $optionGraphValues = [];
      if(count($datesArr) > 0){        
          foreach ($datesArr as $key => $value) {
              $optionArr[] = [
                  'label' => date('d M', strtotime($key)),
                  'y' => count($value),
              ];
          }
          $optionGraphValues = json_encode($optionArr);
      }
        
    @endphp --}}
@endsection
@push('scripts') 
<script>
     $(document).ready(function () {
      $(document).on('change','#governorate',function(){
        var governorate_id = $(this).val();
        var area_id = $('#area_id').val();
         filterDefaultAreas(governorate_id,area_id);
      });
      var governorate_id = $('#governorate_id').val();
      var area_id = $('#area_id').val();
      filterDefaultAreas(governorate_id,area_id)
      function filterDefaultAreas(governorate_id,area_id)
      {
        $.post("{{ route('filter.default.area.dropdown') }}", {governorate_id: governorate_id, area_id: area_id, _method: 'POST', _token: '{{ csrf_token() }}'})
                .done(function (response) {
                    $('#default_area_dd').html(response);
                });
      }
   });
</script>
@endpush