@extends('admin.layouts.app')
@section('title', 'Sale Report')
@section('content')
<style>
  .hide {
    display:none;
  }
  .pull-left {
    float:left;
  }
</style>
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Sales Report</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Sales Report</li>
            </ol>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">   
              <div class="card-header py-3">
                  {!! Form::open(['route' => ['admin.sales.report'], 'id' => 'filter_form']) !!}
                      <div class="row">
                          <div class="col-md-12">
                              
                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                      {!! Form::label('status', __('Status')) !!}
                                      {{ Form::select('status', $status, $status_filter, ['id'=>'status','class' => 'form-control','placeholder' => 'Select Status']) }}
                                  </div>
                              </div>

                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                     {!! Form::label('payment_type', __('Payment Type')) !!}
                                     {{ Form::select('payment_type', $paymentType, $payment_type, ['id'=>'payment_type','class' => 'form-control','placeholder' => 'Select Type']) }}
                                  </div>
                              </div>

                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                    {!! Form::label('date_selection', __('Date Selection')) !!}
                                    {{ Form::select('date', $dateSelction, $date, ['id'=>'date','class' => 'form-control','placeholder' => 'Select Date']) }}
                                  </div>
                              </div>
                          </div>
                      </div>
                      
                      <div class="row">
                          <div class="col-md-12">                              
                              <div class="col-md-3 pull-left StartDate {{!empty($start_date) && !empty($date == 'custom') ? '' : 'hide'}}">
                                  <div class="form-group">
                                    {!! Form::label('start_date', __('Start Date')) !!}
                                    {{ Form::date('start_date', $start_date, ['id'=>'date','class' => 'form-control','placeholder' => 'Select Date']) }}
                                  </div>
                              </div>
                              <div class="col-md-3 pull-left EndDate {{!empty($end_date) && !empty($date == 'custom') ? '' : 'hide' }}">
                                  <div class="form-group">
                                  {!! Form::label('end_date', __('End Date')) !!}
                                    {{ Form::date('end_date', $end_date, ['id'=>'date','class' => 'form-control','placeholder' => 'Select Date']) }}
                                  </div>
                              </div>
                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                  {!! Form::submit(__('Filter'), ['class' => 'btn btn-primary']) !!} 
                              </div>
                          </div>
                      </div> 
                  {!! Form::close() !!}
              </div>          
              <!-- /.card-header -->
              {{-- @if(count($orders) > 0)
              <div class="row">
                  <div id="chartContainer" style="height: 370px; width: 100%;"></div>
              </div>
              @endif --}}
              <div class="card-body">
                
                <!-- will be used to show any messages -->
                @if (Session::has('message'))
                    <div class="alert alert-info">{{ Session::get('message') }}</div>
                @endif
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>Order ID</th>
                    <th>Username</th>
                    {{-- <th>Delivery Charges</th> --}}
                    <th>Contact No</th>
                    <th>Order Status</th>
                    <th>Payment Type</th>     
                    <th>Total Amount</th>                                               
                    <th>Order Created</th>
                  </tr>
                  </thead>
                  <tbody>
                    @foreach($orders as $order)
                    <tr>
                      <td>{{$order->order_id}}</td>
                      <td>{{$order->user->name}}</td>                      
                      {{-- <td>{{$order->delivery_charges}}</td> --}}
                      <td>{{$order->userAddress->contact_no}}</td>
                      <td>{{$order->order_status}}</td>
                      <td>{{$order->payment_type}}</td>
                      <td>{{$order->grand_total}} KD</td>
                      <td>{{dateConvertFormat($order->created_at)}}</td>
                    </tr>
                    @php
                      $date = date('Y-m-d', strtotime($order->created_at));
                      $totalOrders[$date] = $order;
                    @endphp
                    @endforeach
                  </tbody>                  
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
    
    {{-- @php
      $optionGraphValues = [];
      if(count($datesArr) > 0){        
          foreach ($datesArr as $key => $value) {
              $optionArr[] = [
                  'label' => date('d M', strtotime($key)),
                  'y' => count($value),
              ];
          }
          $optionGraphValues = json_encode($optionArr);
      }
        
    @endphp --}}
@endsection