@extends('admin.layouts.app')
@section('title', 'page')
@section('content')
     <!-- Content Header (Page header) -->
 <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>All Pages</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">Assign Permission</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <!-- left column -->
                <div class="col-md-12">
                    <!-- jquery validation -->
                    <div class="card card-primary">
                        <div class="card-header">
                            <h3 class="card-title">Permission <small>assign</small></h3>
                        </div>
                        <!-- /.card-header -->
                        @if ($error = Session::get('error'))
                            <div class="alert alert-danger">
                                <p>{{ $error }}</p>
                            </div>
                        @endif
                        @if ($message = Session::get('message'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                        @endif

                         <!-- Validation Errors -->
                            <div class="card-body">
                                <form method="get">
                                    <!-- Input Role Name -->
                                    <div class="col-md-6">
                                        <div class="col-md-6">
                                            <label for="inputConfirmPassword" class="form-label" >Role</label>
                                            <select class="form-control" name="roleid" id="roleSelector" onchange="this.form.submit('index')" required>
                                                <option >Select...</option>
                                                @foreach($roles as $role)
                                                    <option value="{{ $role->id }}" @if(request()->get('roleid') == $role->id) selected=selected @endif>{{ $role->name }}</option>
                                                @endforeach
                                            </select>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <form method="post" action="{{ route('role.permission.store') }}">
                                <div class="card-body">
                                    {{ csrf_field() }}
                                    <div class="col-md-6">
                                        <div id="hidden_div" class="hidden_permissions">
                                            <input type="hidden" name="role" value="{{ request()->get('roleid') }}">
                                            @if(!empty($permissions) || !empty($chcked_permissions))
                                                @php $oldName = ''; @endphp
                                                @foreach($permissions as $key => $permission)
                                                    @php $module = explode('_', $permission->name);
                                                        $moduleName = !empty($module[0]) ? ucfirst($module[0]) : '';
                                                        $inputClass = str_replace(' ', '_', $moduleName);
                                                    @endphp
                                                @if(empty($moduleName))
                                                    <h2>Fristly, please create permissions</h2>
                                                @endif
                                                <div class="form-check">
                                                    @if($oldName != $moduleName)
                                                    <label class="form-check-label"><b>{{$moduleName}}</b></label>
                                                        <div class="checkbox pb-2">
                                                            <label class="form-check-label">
                                                            <input type="checkbox" class="form-check-input check checkAll" id="{{$inputClass}}">All
                                                            </label>
                                                        </div>
                                                    @endif
                                                    <label class="form-check-label">
                                                    <input type="checkbox" name="permission[]" class="form-check-input checkInput{{$inputClass}} inputchecked" id="{{$inputClass}}" value="{{ $permission->name }}" {{ in_array($permission->id, $chcked_permissions) ? 'checked' : '' }}>
                                                    {{ $permission->name }}
                                                    </label>
                                                </div>
                                                @php  $oldName = $moduleName; @endphp
                                                @endforeach
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">{{ __('Submit') }}</button>
                                </div>
                            </form>
                        </div>
                </div>
            </div>
        </div>
    </section>

    @push('scripts')
    <script>

        //Check all jquery
        $(".checkAll").click(function () {
            var Id = $(this).attr('id');
            $(".checkInput"+Id).not(this).prop('checked', $(this).prop('checked'));

        });
        $(".inputchecked").on('click',function(){
            var Id = $(this).attr('id');

            if($(".checkInput"+Id+":checked").length == $(".checkInput"+Id).length){
                $('.checkAll').prop('checked',true);
            }else{
                $('.checkAll').prop('checked',false);
            }
        });

    </script>
    @endpush
@endsection
