@extends('admin.layouts.app')
@section('title', 'Sub Categories')
@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <!-- <h1>Validation</h1> -->
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
              <li class="breadcrumb-item active">Settings</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <!-- left column -->
                <div class="col-md-12">
                    <!-- jquery validation -->
                    <div class="card card-primary">
                        <div class="card-header">
                            <h3 class="card-title">Settings <small>add</small></h3>
                        </div>
                        <!-- /.card-header -->
                        @if ($error = Session::get('error'))
                        <div class="alert alert-danger">
                            <p>{{ $error }}</p>
                        </div>
                        @endif
                        @if ($message = Session::get('message'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                        @endif

                            <form method="POST"  action="{{ route('settings.store') }}" enctype="multipart/form-data">
                                <div class="card-body">
                                    {{ csrf_field() }}
                                    <!-- Input Logo -->
                                    {{-- <div class="form-group col-md-6">
                                        <label for="logo" class="form-label">Logo</label>
                                        <input type="file" class="form-control-file" name="logo"  id="logo" value="{{ old('logo') }}" autofocus/>
                                    </div> --}}
                                     <!-- Input Logo -->
                                     <div class="form-group col-md-6">
                                        <label for="logo" class="form-label">Admin Email</label>
                                        <input type="text" class="form-control" name="admin_email"  id="admin_email" value="{{ old('admin_email') }}" autofocus/>
                                        {!! APFrmErrHelp::showErrors($errors, 'admin_email') !!}
                                    </div>
                                    <!-- Input facebook_link -->
                                    <div class="form-group col-md-6">
                                        <label for="facebook_link" class="form-label">Facebook_link</label>
                                        <input type="text" class="form-control" name="facebook_link"  id="facebook_link" value="{{ old('facebook_link') }}" autofocus/>
                                        {!! APFrmErrHelp::showErrors($errors, 'facebook_link') !!}
                                    </div>
                                    <!-- Input Instagram Link -->
                                    <div class="form-group col-md-6">
                                        <label for="insta_link" class="form-label">Instagram Link</label>
                                        <input type="text" class="form-control" name="insta_link"  id="insta_link" value="{{ old('insta_link') }}" autofocus/>
                                        {!! APFrmErrHelp::showErrors($errors, 'insta_link') !!}
                                    </div>
                                     <!-- Input Low Inventory Alert Value -->
                                     <div class="form-group col-md-6">
                                        <label for="low_inventory_alert_value" class="form-label">Low Inventory Alert Value</label>
                                        <input type="text" class="form-control" name="low_inventory_alert_value"  id="low_inventory_alert_value" value="{{ old('low_inventory_alert_value') }}" autofocus/>
                                        {!! APFrmErrHelp::showErrors($errors, 'low_inventory_alert_value') !!}
                                    </div>
                                    <!-- Input Default shipping Cost -->
                                    <div class="form-group col-md-6">
                                        <label for="default_shipping_cost" class="form-label">Default shipping Cost</label>
                                        <input type="text" class="form-control" name="default_shipping_cost"  id="default_shipping_cost" value="{{ old('default_shipping_cost') }}" autofocus/>
                                        {!! APFrmErrHelp::showErrors($errors, 'default_shipping_cost') !!}
                                    </div>
                                    <!-- Input Tax Rate -->
                                    <div class="form-group col-md-6">
                                        <label for="tax_prcnt" class="form-label">Tax (%)</label>
                                        <input type="text" class="form-control" name="tax_prcnt"  id="tax_prcnt" value="{{ old('tax_prcnt') }}" autofocus/>
                                        {!! APFrmErrHelp::showErrors($errors, 'tax_prcnt') !!}
                                    </div>
                                </div>
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">{{ __('Submit') }}</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
