@extends('admin.layouts.app')
@section('title', 'Sub Categories')
@section('content')    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <!-- <h1>Validation</h1> -->
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
              <li class="breadcrumb-item active">Edit Setting</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <!-- left column -->
                <div class="col-md-12">
                    <!-- jquery validation -->
                    <div class="card card-primary">
                        <div class="card-header">
                            <h3 class="card-title">Setting <small>edit</small></h3>
                        </div>
                        <!-- /.card-header -->
                        @if ($error = Session::get('error'))
                        <div class="alert alert-danger">
                            <p>{{ $error }}</p>
                        </div>
                        @endif
                        @if ($message = Session::get('message'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                        @endif

                            <form method="POST"  action="{{ route('settings.update', $settings->id) }}" enctype="multipart/form-data">
                                <div class="card-body">
                                    {{ csrf_field() }}
                                    <!-- Input title -->
                                    {{-- <div class="form-group col-md-6">
                                        <label for="logo" class="form-label">Logo</label>
                                        <input type="file" class="form-control-file" name="logo"  id="logo"/>
                                        @if($settings->logo && file_exists(public_path('/storage/'.$settings->logo)))
                                        <div class="mt-4">
                                            <img class="store-image" src="{{ asset('/storage/'.$settings->logo) }}">
                                            <a class="deleteimage" data-toggle="modal" data-target="#deletemodel" data-getid="{{ $settings->id }}">Delete</a>
                                        </div>
                                        @endif
                                    </div> --}}
                                    <div class="form-group col-md-6">
                                        <label for="logo" class="form-label">Admin Email</label>
                                        <input type="text" class="form-control" name="admin_email"  id="admin_email" value="{{ $settings->admin_email }}" autofocus/>
                                    </div>
                                    <!-- Input facebook_link -->
                                    <div class="form-group col-md-6">
                                        <label for="facebook_link" class="form-label">Facebook_link</label>
                                        <input type="text" class="form-control" name="facebook_link"  id="facebook_link" value="{{ $settings->facebook_link }}"/>
                                    </div>
                                    <!-- Input Instagram Link -->
                                    <div class="form-group col-md-6">
                                        <label for="insta_link" class="form-label">Instagram Link</label>
                                        <input type="text" class="form-control" name="insta_link"  id="insta_link" value="{{ $settings->insta_link }}" autofocus/>
                                    </div>
                                     <div class="form-group col-md-6">
                                        <label for="twitter_link" class="form-label">Twitter Link</label>
                                        <input type="text" class="form-control" name="twitter_link"  id="twitter_link" value="{{ $settings->twitter_link }}" autofocus/>
                                    </div>
                                     <div class="form-group col-md-6">
                                        <label for="linkedin_link" class="form-label">Linkedin Link</label>
                                        <input type="text" class="form-control" name="linkedin_link"  id="linkedin_link" value="{{ $settings->linkedin_link }}" autofocus/>
                                    </div>
                                     <div class="form-group col-md-6">
                                        <label for="pinterest_link" class="form-label">Pinterest Link</label>
                                        <input type="text" class="form-control" name="pinterest_link"  id="pinterest_link" value="{{ $settings->pinterest_link }}" autofocus/>
                                    </div>
                                    <!-- Input Low Inventory Alert Value -->
                                    <div class="form-group col-md-6">
                                        <label for="low_inventory_alert_value" class="form-label">Low Inventory Alert Value</label>
                                        <input type="text" class="form-control" name="low_inventory_alert_value"  id="low_inventory_alert_value" value="{{ $settings->low_inventory_alert_value }}" autofocus/>
                                    </div>
                                      <!-- Input Default shipping Cost -->
                                      <div class="form-group col-md-6">
                                        <label for="default_shipping_cost" class="form-label">Default shipping Cost</label>
                                        <input type="text" class="form-control" name="default_shipping_cost"  id="default_shipping_cost" value="{{ $settings->default_shipping_cost }}" autofocus/>
                                    </div>
                                    <!-- Input Tax Rate -->
                                    <div class="form-group col-md-6">
                                        <label for="tax_prcnt" class="form-label">Tax (%)</label>
                                        <input type="text" class="form-control" name="tax_prcnt"  id="tax_prcnt" value="{{ $settings->tax_prcnt }}" autofocus/>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="contact_us_email" class="form-label">Contact Us Email</label>
                                        <input type="text" class="form-control" name="contact_us_email"  id="contact_us_email" value="{{ $settings->contact_us_email }}" autofocus/>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="contact_us_phone" class="form-label">Contact Us Phone</label>
                                        <input type="text" class="form-control" name="contact_us_phone"  id="contact_us_phone" value="{{ $settings->contact_us_phone }}" autofocus/>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label for="contact_us_address" class="form-label">Contact Us Address</label>
                                        <input type="text" class="form-control" name="contact_us_address"  id="contact_us_address" value="{{ $settings->contact_us_address }}" autofocus/>
                                    </div>
                                </div>
                                <div class="card-footer">
                                    <button type="submit" class="btn btn-primary">{{ __('Submit') }}</button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
      <!-- Modal -->
    {{-- <div class="modal fade" id="deletemodel" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Delete</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">
                    Are you sure you want to delete?
                </div>
                <div class="modal-footer">
                    <form method="POST" id="deleteImageForm" action="{{ route('delete.logo') }}">
                        {{ csrf_field() }}
                        <input type="hidden" name="id" value="" id="Id">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                        <button type="submit" class="btn btn-primary" id="deleteimageBtn">Yes</button>
                    </form>
                </div>
            </div>
        </div>
    </div> --}}
    @push('scripts')
    <script>
        $(".deleteimage").click(function(e){
            var getId = $(this).attr("data-getid");
            $('#Id').val(getId);
        });
    </script>
    @endpush
@endsection
