@extends('admin.layouts.app')
@section('title', 'Sub Categories')
@section('content')
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                <!-- <h1>DataTables</h1> -->
                </div>
                <div class="col-sm-6">
                <ol class="breadcrumb float-sm-right">
                    <li class="breadcrumb-item"><a href="{{ route('home') }}">Home</a></li>
                    <li class="breadcrumb-item active">Settings</li>
                </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->
    </section>
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                        <h3 class="card-title">Settings Listing</h3>
                            <div class="col-md-12">
                                <a href="{{ route('settings.add') }}" class="float-right">
                                    <button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button>
                                </a>
                            </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                        @if ($error = Session::get('error'))
                        <div class="alert alert-danger">
                            <p>{{ $error }}</p>
                        </div>
                        @endif
                        @if ($message = Session::get('message'))
                        <div class="alert alert-success">
                            <p>{{ $message }}</p>
                        </div>
                        @endif
                            <table id='brandTable' class="table table-bordered table-striped" width="100%">
                                <thead>
                                    <tr>
                                    <td>S.No</td>
                                    {{-- <td>Logo</td> --}}
                                    <td>Facebook Link</td>
                                    <td>Insta Link</td>
                                    <td>Twitter Link</td>
                                    <td>Linkedin Link</td>
                                    <td>Pinterest Link</td>
                                    <td>Low Inventory Alert Value</td>
                                    <td>Default Shipping Cost</td>
                                    <td>Action</td>
                                    </tr>
                                </thead>
                            </table>
                            </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
</section>


    @push('scripts')
    <script>

        $(document).ready(function(){
            // DataTable
            $('#brandTable').DataTable({
                processing: true,
                serverSide: true,
                pageLength: 20,
                ajax: "{{route('settings.ajaxList')}}",
                columns: [
                    { data: 'id' },
                    /*{ data: 'logo' },*/
                    { data: 'facebook_link' },
                    { data: 'insta_link' },
                    { data: 'twitter_link' },
                    { data: 'linkedin_link' },
                    { data: 'pinterest_link' },
                    { data: 'low_inventory_alert_value' },
                    { data: 'default_shipping_cost' },
                    {
                        data: null,
                        bSortable: false,
                        mRender: function (data, type, row) {
                            var actionHTml =  '<div class="dropdown"> <button class="btn btn-primary dropdown-toggle" type="button" id="dropdownMenuButton1" data-toggle="dropdown" aria-expanded="false"> Action </button><ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">';
                            actionHTml += '<a class="dropdown-item" href="{{ url('admin/settings/edit') }}/'+row.id+'">Edit</a>';
                            actionHTml += '</ul></div>';
                            return actionHTml;
                        }
                    },
                ],
                "fnRowCallback" : function(nRow, aData, iDisplayIndex){
                    var info = $(this).DataTable().page.info();
                    $("td:nth-child(1)", nRow).html(info.start + iDisplayIndex + 1);
                    return nRow;
                },
            });

        });
    </script>
    @endpush
@endsection
