@extends('admin.layouts.app')
@section('title', 'Sub Categories')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Sub Categories')}}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{ url('admin/sub_categories') }}">{{__('Sub Categories')}}</a></li>
              <li class="breadcrumb-item active">{{__('Create')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
    @if (Session::has('message'))
        <div class="alert alert-info">{{ Session::get('message') }}</div>
    @endif
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">{{__('Add Sub Category')}}</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                
                <div class="card-body row">
                  <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'category_id') !!}">
                    <label for="category_id">{{__('Parent Category')}} <small class="asterisk">*</small></label>
                    {!! Form::select('category_id', ['' =>__('Select Parent Category')]+$categories, null, array('class'=>"form-control ".APFrmErrHelp::hasError($errors, 'category_id')." ", 'id'=>'category_id')) !!}
                    {!! APFrmErrHelp::showErrors($errors, 'category_id') !!}
                  </div>

                  <div class="form-group col-md-6 {!! APFrmErrHelp::hasError($errors, 'title') !!}">
                    <label for="title">{{__('Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('title', Request::old('title'), array('id'=>'title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'title')." ",'placeholder' => 'Enter name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'title') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="arabic_title">{{__('Arabic Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('arabic_title', Request::old('arabic_title'), array('id'=>'arabic_title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_title')." ",'placeholder' => 'Enter arabic name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'arabic_title') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label class="pt-2 mt-1" for="image">{{__('Image')}} </label>
                    {!! Form::file('image', ['id'=>'image','class' => 'form-control file-chose', 'accept' => 'image/*']) !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="description">{{__('Description')}} <small class="asterisk">*</small></label>
                    {{ Form::textarea('description', Request::old('description'), array('id'=>'description','class' => "form-control ".APFrmErrHelp::hasError($errors, 'description')." ",'placeholder' => 'Enter description')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'description') !!}
                  </div>
                  <div class="form-group col-md-6">
                    <label for="arabic_description">{{__('Arabic Description')}} <small class="asterisk">*</small></label>
                    {{ Form::textarea('arabic_description', Request::old('arabic_description'), array('id'=>'arabic_description','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_description')." ",'placeholder' => 'Enter arabic description')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'arabic_description') !!}
                  </div>
                  <div class="form-group col-md-6">
                      <label for="exampleInputPassword1">{{__('Status')}}</label>
                      <input type="radio" name="status" checked value="1"> Active
                      <input type="radio" name="status" value="0"> Inactive
                  </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>

        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection
