@extends('admin.layouts.app')
@section('title', 'Users')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Users')}}</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/users')}}">{{__('Users')}} </a></li>
              <li class="breadcrumb-item active">{{__('Update')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title">{{__('Update User')}}</h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                {{ Form::model($user, array('route' => array('admin.user.update', $user->id), 'method' => 'POST','files'=>true)) }}
                {!! Form::hidden('id', $user->id) !!}     
                <div class="card-body">
                  <div class="form-group {!! APFrmErrHelp::hasError($errors, 'Name') !!}">
                    <label for="name">{{__('Name')}} <small class="asterisk">*</small></label>
                    {{ Form::text('name', $user->name, array('id'=>'name','autocomplete'=>'off','class' => "form-control ".APFrmErrHelp::hasError($errors, 'name')." ",'placeholder' => 'Enter name')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'name') !!}
                  </div>
                  <div class="form-group">
                    <label for="phone_number">{{__('Phone Number')}} <small class="asterisk">*</small></label>
                    {{ Form::text('phone_number', $user->phone_number, array('id'=>'phone_number','autocomplete'=>'off','maxlength' => 13,'onkeypress'=>"return /[0-9 +]/.test(String.fromCharCode(((event||window.event).which||(event||window.event).which)))",'class' => "form-control ".APFrmErrHelp::hasError($errors, 'phone_number')." ",'placeholder' => 'Enter phone number')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'phone_number') !!}
                  </div>

                  <div class="form-group">
                    <label for="email">{{__('Email')}}</label>
                    {{ Form::text('email',  $user->email, array('id'=>'email','autocomplete'=>'off','class' => "form-control ".APFrmErrHelp::hasError($errors, 'email')." ",'placeholder' => 'Enter email', 'readonly'=>'true')) }}
                    {!! APFrmErrHelp::showErrors($errors, 'email') !!}
                  </div>
                  <div class="form-group {{ $errors->has('password') ? ' has-error' : '' }}">
                      <label for="exampleInputPassword1">{{ __('Password') }} <small class="asterisk">*</small></label>
                      <div class="password">
                          <input type="password" class="form-control" name="password" id="password" placeholder="Enter Password" autocomplete="off" value="">
                      </div>
                      {!! APFrmErrHelp::showErrors($errors, 'password') !!}
                  </div>

                  <div class="form-group {{ $errors->has('confirm_password') ? ' has-error' : '' }}">
                      <label for="exampleInputPassword1">{{ __('Confirm Password') }} <small class="asterisk">*</small></label>
                      <div class="password">
                          <input type="password" class="form-control" name="confirm_password" id="confirm_password" autocomplete="off" placeholder="Enter Confirm Password">
                      </div>
                      {!! APFrmErrHelp::showErrors($errors, 'confirm_password') !!}
                  </div>
                  <div class="form-group">
                      <label for="exampleInputPassword1">{{__('Status')}}</label>
                      <input type="radio" name="status" @if($user->status=='1') checked @endif value="1"> Active
                      <input type="radio" name="status"  @if($user->status=='0') checked @endif value="0"> Inactive
                  </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Update</button>
                </div>
              {{ Form::close() }}
            </div>
            <!-- /.card -->

          </div>

        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
@endsection

