@extends('admin.layouts.app')
@section('title', 'Users')
@section('content')
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>{{__('Users')}} </h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="{{url('admin/home')}}">Home</a></li>
              <li class="breadcrumb-item active">{{__('Users')}}</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card">
          <div class="card-header">
              <div class="title"><h3 class="card-title">{{__('All Users listing')}}</h3></div>
              <div class="actions"><a href="{{ route('admin.user.create') }}" class="btn btn-primary">{{__('Add')}}</a></div>
          </div>

          <!-- /.card-header -->
          <div class="card-body">
            <!-- will be used to show any messages -->
            @if (Session::has('message'))
                <div class="alert alert-info">{{ Session::get('message') }}</div>
            @endif
            <table id="example1" class="table table-bordered table-striped">
              <thead>
              <tr>
                <th>ID</th>
                <th>Name </th>
                <th>Email</th>
                <th>Phone Number</th>
                <th>Role</th>
                <th>Addresses</th>
                <th>Status</th>
                {{-- <th>Date</th> --}}
                <th>Action</th>
              </tr>
              </thead>
              <tbody>
              @if(!empty($users))
                @foreach($users as $k => $datas)
                  <tr>
                    <td>{{$k+1}}</td>
                    <td>{{$datas->name}}</td>
                    <td>{{$datas->email}}</td>
                    <td>{{$datas->phone_number}}</td>
                    <td>{{$datas->role}}</td>
                    <td><a href="{{url('admin/user/addresses/'.$datas->id.'')}}" class="btn btn-warning">Addresses</a></td>
                    <td>
                      @if($datas->status=='1')
                      <a href="{{url('admin/user/update_status/'.$datas->id.'')}}" class="btn btn-success">Activated</a>
                      @else
                      <a href="{{url('admin/user/update_status/'.$datas->id.'')}}" class="btn btn-danger">De-Activated</a>
                      @endif
                    </td>
                    {{-- <td>{{ dateConvertFormat($datas->created_at) }}</td> --}}
                    <td>
                      <a href="{{url('admin/user/edit/'.$datas->id.'')}}" class="btn btn-warning">Edit</a>
                      <a href="javascript:void();" onClick="deleteData({{$datas->id}},'user');" class="btn btn-danger">Delete</a>
                    </td>

                  </tr>
                  @endforeach
                  @else
                  <tr>
                    <td colspan="7">{{__('No record found')}}</td>
                  </tr>
                  @endif
              </tbody>
            </table>
          </div>
          <!-- /.card-body -->
        </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>
  <!-- /.container-fluid -->
</section>
    <!-- /.content -->
@endsection
