@extends('layouts.guest')

@section('content')
<section class="login-reg-main">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <form method="POST" action="{{ route('userLogin') }}">
                        @csrf
                    <div class="login-reg" data-aos="fade-up">
                        <h2>@lang('pages.login')</h2>
                        <div class="form-floating mb-3">
                            <input id="floatingInput" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                            <label for="floatingInput">@lang('pages.email_address') </label>
                            @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                            @enderror
                        </div>

                        <div class="form-floating mb-3">
                            <input id="floatingPassword" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
                            <label for="floatingPassword">@lang('pages.password')</label>
                                @error('password')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                        </div>

                        <div class="form-floating mb-3">
                            <div class="col-md-6">
                                <div class="form-check">
                                    <input class="form-check-input" type="checkbox" name="remember" id="remember" {{ old('remember') ? 'checked' : '' }}>
                                    <label class="form-check-label" for="remember">
                                        @lang('pages.remember_me')
                                    </label>
                                </div>
                            </div>
                        </div>

                        <div class="form-floating mb-3 d-flexalign-items-center">
                            <button class="btn" type="submit">{{ __('Login') }}</button>
                            @if (Route::has('password.request'))
                                    <a class="forgot ms-4" href="{{ route('password.request') }}">
                                        @lang('pages.forgot_password')
                                    </a>
                            @endif
                        </div>
                        </form>
                        <p class="mt-3 mb-0">@lang('pages.are_you_new') ? <a href="{{ route('register') }}">@lang('pages.register_here')</a></p>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
