@extends('layouts.guest')
@section('title', 'Career')

<section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.careers')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="shopping-flow">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.careers')</span></h1></div>
                @if (Session::has('message'))
                    <div class="alert alert-info">{{ Session::get('message') }}</div>
                @endif
            </div>
            <form method="post" action="{{route('career.store')}}" enctype="multipart/form-data">
                <div class="row">
                        @csrf
                    <div class="col-lg-4 col-md-4 col-sm-6" data-aos="fade-up">
                        <div class="form-floating mb-3">
                            <select name ="job_id" class="form-select" id="floatingSelect" aria-label="Floating label select example">
                            <option selected>@lang('pages.applied_for')</option>
                                @foreach ($jobs as $job )
                                    <option value="{{$job->id}}">{{$job->$title}}</option>
                                @endforeach
                            </select>
                            <label for="floatingSelect">@lang('pages.work_with_select')</label>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-6" data-aos="fade-up">
                        <div class="form-floating mb-3">
                            <input id="first_name" type="text" class="form-control @error('first_name') is-invalid @enderror" name="first_name" required autocomplete="First Name" autofocus>
                            @error('first_name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                            <label for="first_name">@lang('pages.first_name')</label>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-6" data-aos="fade-up">
                        <div class="form-floating mb-3">
                            <input id="last_name" type="text" class="form-control @error('last_name') is-invalid @enderror" name="last_name" required autocomplete="Last Name" autofocus>
                            @error('last_name')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                            <label for="last_name">@lang('pages.last_name')</label>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-6" data-aos="fade-up">
                        <div class="form-floating mb-3">
                            <input id="email" type="text" class="form-control @error('email') is-invalid @enderror" name="email" required autocomplete="Email" autofocus>
                            @error('email')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                            <label for="email">@lang('pages.email')</label>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-6" data-aos="fade-up">
                        <div class="form-floating mb-3">
                            <input id="mobile" type="text" class="form-control @error('mobile') is-invalid @enderror" name="mobile" required autocomplete="Mobile" autofocus>
                            @error('mobile')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                            <label for="mobile">@lang('pages.mobile')</label>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-6" data-aos="fade-up">
                        <div class="form-floating mb-3">
                            <input type="text"  name="dob" class="form-control" id="datepickerCareer" placeholder="Birthdate">
                            <label for="Birthdate">@lang('pages.birthdate')</label>
                        </div>
                    </div>
                    <div class="col-12" data-aos="fade-up">
                        <div class="form-floating mb-3">
                            <textarea name="additional_info" class="form-control @error('additional_info') is-invalid @enderror" placeholder="Leave a comment here" id="floatingTextarea2" style="height: 100px"></textarea>
                            @error('additional_info')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                            <label for="floatingTextarea2">@lang('pages.additional_information')</label>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-6" data-aos="fade-up">
                        <div class="mb-3">
                            <label for="cvfile" class="form-label">@lang('pages.uplaod_cv')</label>
                            <input id="cvfile" name="cvfile" type="file" class="form-control @error('cvfile') is-invalid @enderror" name="cvfile" required autocomplete="cvfile" autofocus>
                            @error('cvfile')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-6" data-aos="fade-up">
                        <div class="mb-3">
                            <label class="form-label height27 d-block"> </label>
                            <button class="btn" name="career_submit">@lang('pages.submit')</button>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </section>
