@extends('layouts.guest')
@section('title', 'Cart')

<section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.shopping_cart')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="shopping-flow">
        <div id="cartPage">
            <div class="container">
                <div class="row">
                    <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.shopping_cart')</span></h1></div>
                </div>
                <div class="row">
                    <div class="col-lg-8 col-md-8 col-sm-8" data-aos="fade-up">
                        <div class="cart-row cart-row-title">
                            <div class="cart-item">
                                @lang('pages.product')
                            </div>
                            <div class="cart-price">
                                <div>@lang('pages.price')</div>
                            </div>
                            <div class="cart-quantity"><div>@lang('pages.quantity')</div></div>
                            <div class="cart-total"><div>@lang('pages.total')</div></div>
                        </div>
                        <?php
                            $total=0;
                            $currency='';
                        ?>
                        @foreach ($cart as $prod )
                            <?php
                            $detail =  productDetail($prod->product_id,$prod->variant_id,$prod->attribute_id,$prod->attribute_val_id);
                            if(empty($detail['product'])){
                                    continue;
                            }
                            $currency = isset($detail['variant'])?$detail['variant']->currency:'';
                            $prodPrice = productPrice($prod->variant_id,false,$prod->quantity);
                            $total +=$prodPrice;
                            ?>
                            <div class="cart-row">
                                <div class="cart-item">
                                    <div class="item-img position-relative" data-src="{{asset('product_gallery/'.$detail['image'])}}" data-fancybox><div class="product-img-item"><img src="{{asset('product_gallery/'.$detail['image'])}}" class="w-100" alt="Men's Shop" /></div></div>
                                    <div class="pro-color-size">
                                        <h3>{{$detail['product']->$title}}</h3>
                                        @foreach ($detail['attributes'] as $attr)
                                            <p>{{$attr->attribute->$title}}: {{$attr->attributeValue->$title}}</p>
                                        @endforeach
                                    </div>
                                </div>
                                <div class="cart-price">
                                    <div>{{productPrice($prod->variant_id,true)}}</div>
                                </div>
                                <div class="cart-quantity"><div><div class="quantity-control-div plus-minus">
                                    <a href="javascript:void(0);" class="minus-btn plusMinus" data-id="{{$prod->id}}" data-val=-1><span>-</span></a>
                                    <div class="quantity-control"><input type="text" disabled data-max="11" name="quantity" price={{productPrice($prod->variant_id)}} class="form-control noValue quantity{{$prod->id}}" value="{{$prod->quantity}}"></div>
                                    <a href="javascript:void(0);" data-max="11" class="plus-btn plusMinus" data-id="{{$prod->id}}" data-val=1><span>+</span></a>
                                </div></div></div>
                                <div class="cart-total"><div>{{$currency}} <span class="price{{$prod->id}}">{{$prodPrice}}</span></div></div>
                                <a href="javascript:void(0);" class="remove_item removeCartItem" pid="{{$prod->id}}"><img src="{{ asset('guest/images/remove_icon.svg') }}" alt="remove"/></a>
                            </div>
                        @endforeach
                        <?php
                            $setting = settingData();
                            $grandTotal=0;
                            if(!empty($setting)){
                                $grandTotal = grandTotal($total,$setting->default_shipping_cost,$setting->tax_prcnt);
                            }
                        ?>
                        <div class="mt-3">
                            <a href="listing.html" class="btn mt-2">@lang('pages.continue_shopping')</a>
                        </div>
                    </div>
                    <div class="col-lg-4 col-md-4 col-sm-4 cart-right" data-aos="fade-up" data-aos-delay="100">
                        <div class="cart-dtl">
                            <h4>@lang('pages.there_are') {{$cart->count()}} @lang('pages.items_in_your_cart')</h4>
                            <ul class="cart-dtl-ul">
                                <li>
                                    <div class="cart-dtl-left">@lang('pages.sub_total') :</div>
                                    <div class="cart-dtl-right">{{$currency}} <span class="sub_total">{{$total}}</span></div>
                                </li>
                                <li class="d-block">
                                    <p class="w-100"><strong>@lang('pages.shipping'):</strong></p>
                                    <ul class="shipping-div">
                                        <li>
                                            <div class="cart-dtl-left">
                                                <div class="form-check">
                                                    <input class="form-check-input shipping" type="radio" name="shipping" value="0" id="flexRadioFree">
                                                    <label class="form-check-label" for="flexRadioFree">
                                                        @lang('pages.free_shipping'):
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="cart-dtl-right">{{$currency}} 0.000</div>
                                        </li>
                                        <li>
                                            <div class="cart-dtl-left">
                                                <div class="form-check">
                                                    <input class="form-check-input shipping" type="radio" name="shipping" checked value={{$setting->default_shipping_cost??0}} id="flexRadioStandard">
                                                    <label class="form-check-label" for="flexRadioStandard">
                                                        @lang('pages.standard'):
                                                    </label>
                                                </div>
                                            </div>
                                            <div class="cart-dtl-right">{{$currency}} {{$setting->default_shipping_cost??0}}</div>
                                        </li>
                                    </ul>
                                </li>
                                <li>
                                    <div class="cart-dtl-left">@lang('pages.total')<small>(tax incl.)</small>:</div>
                                    <div class="cart-dtl-right">{{$currency}} <span class="total">{{$grandTotal}}</span></div>
                                </li>
                            </ul>
                            <a href="{{route('checkout')}}" class="btn w-100 mt-2">@lang('pages.checkout')</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
