@extends('layouts.guest')
@section('title', 'Contact-us')

<section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.contact_us')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="shopping-flow">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center mb-3" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.contact_us')</span></h1></div>
            </div>
            <div class="row">
                <div class="col-lg-5 col-md-5 col-sm-6" data-aos="fade-up">
                     <div class="contact-box">
                        <h1>@lang('pages.have_questions')</h1>
                        <ul class="contact-us">
                        <?php
                            $setting = settingData('contact');
                        ?>
                            <li>{{$setting->contact_us_email??''}}</li>
                            <li><a href="+965 45645645">{{$setting->contact_us_phone??''}}</a></li>
                            <li><a href="mailto:info@email.com">{{$setting->contact_us_email??''}}</a></li>
                        </ul>
                     </div>
                </div>
                <div class="col-lg-7 col-md-7 col-sm-6" data-aos="fade-up">
                <form method="post">
                    @csrf
                    <div class="row">
                        @if(Session::has('success'))
                            <div class="alert alert-success">
                            {{ Session::get('success') }}
                            </div>
                        @endif
                        {{ \Session::forget('success') }}
                        <div class="col-lg-6 col-md-6 col-sm-6" data-aos="fade-up">
                            <div class="form-floating mb-3">
                                <input id="first_name" type="text" class="form-control @error('first_name') is-invalid @enderror" name="first_name" required autocomplete="First Name" autofocus>
                                @error('first_name')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                                <label for="first_name">@lang('pages.first_name')</label>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6" data-aos="fade-up">
                            <div class="form-floating mb-3">
                            <input id="last_name" type="text" class="form-control @error('last_name') is-invalid @enderror" name="last_name" required autocomplete="Last Name" autofocus>
                                @error('last_name')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                                <label for="last_name">@lang('pages.last_name')</label>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6" data-aos="fade-up">
                            <div class="form-floating mb-3">
                                <input id="email" type="text" class="form-control @error('email') is-invalid @enderror" name="email" required autocomplete="Email" autofocus>
                                @error('email')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                                <label for="email">@lang('pages.email')</label>
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6" data-aos="fade-up">
                            <div class="form-floating mb-3">
                                <input id="mobile" type="text" class="form-control @error('mobile') is-invalid @enderror" name="mobile" required autocomplete="Mobile" autofocus>
                                @error('mobile')
                                    <span class="invalid-feedback" role="alert">
                                        <strong>{{ $message }}</strong>
                                    </span>
                                @enderror
                                <label for="mobile">@lang('pages.mobile')</label>
                            </div>
                        </div>
                        <div class="col-12" data-aos="fade-up">
                            <div class="form-floating mb-3">
                                <textarea name="comment" class="form-control @error('comment') is-invalid @enderror" placeholder="Leave a comment here" id="floatingTextarea2" style="height: 100px"></textarea>
                                    @error('comment')
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $message }}</strong>
                                        </span>
                                    @enderror
                                    <label for="floatingTextarea2">@lang('pages.additional_information')</label>
                            </div>
                            <button class="btn" name="contact_submit">@lang('pages.submit')</button>
                        </div>
                    </div>
                </form>
               </div>
            </div>
            <div class="row">
                <div class="col-12 pt-3" data-aos="fade-up">
                    <h2>@lang('pages.location')</h2>
                    <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d27814.413055176792!2d47.94289830633103!3d29.37609693381336!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3fcf9c83ce455983%3A0xc3ebaef5af09b90e!2sKuwait%20City%2C%20Kuwait!5e0!3m2!1sen!2sin!4v1681822317928!5m2!1sen!2sin" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                </div>
            </div>
        </div>
    </section>
