@extends('layouts.guest')
@section('title', 'Home')
  <section class="banner" id="homepage">
    @if($content->banner_type == 0)
        <div class="swiper slideshow">
			<div class="swiper-wrapper">
				@foreach ($banners as $banner )
                    <div class="swiper-slide">
                        <div class="slideshow-slide">
                            <picture>
                                <source media="(min-width:641px)" srcset="{{asset('banners_images/'.$banner->image)}}">
                                <source media="(max-width: 640px)" srcset="{{asset('banners_images/'.$banner->image)}}">
                                <img src="{{asset('banners_images/'.$banner->image)}}" class="w-100" alt="Men's Shop" />
                            </picture>
                        </div>
                        <div class="slideshow-contents position-absolute">
                            <div class="container">
                                <h1>{{$banner->title}}</h1>
                                <p>{{$banner->description}}</p>
                                <div class="slideshow-btn"><a href="{{$banner->banner_url}}" class="btn btn-black">@lang('pages.read_more')</a></div>
                            </div>
                        </div>
                    </div>
                @endforeach
			</div>
			<div class="swiper-button-next slideshow-button-next"><img src="{{ asset('guest/images/arrow.svg')}}" class="arrow" alt=""/></div>
			<div class="swiper-button-prev slideshow-button-prev"><img src="{{ asset('guest/images/arrow.svg')}}" class="arrow" alt=""/></div>
			<div class="swiper-pagination slideshow-pagination"></div>
		</div>
    @else
        <div class="row">
            @foreach ($banners as $banner )
            <div class="col-6 col-lg-6 col-md-6 col-sm-6 left-banner">
                <a href="{{$banner->banner_url}}">
                    <img src="{{asset('banners_images/'.$banner->image)}}" class="w-100" alt="Men's Shop" />
                    <span class="position-absolute">{{$banner->title}}</span>
                </a>
            </div>
            @endforeach
        </div>
    @endif
    </section>
    <section class="product">
        <div class="container">
            <div class="row card-row">
                <div class="col-lg-5 col-md-5 col-sm-5 leftcol">
                    <div class="small-title" data-aos="fade-up">@lang('pages.the_best_design')</div>
                    <h1 data-aos="fade-up">{{$product1->title??''}}</h1>
                    <div class="product-text" data-aos="fade-up">
                        {{$product1->description??''}}
                    </div>
                    <div class="shop-now" data-aos="fade-up"><a href="{{$product1->banner_url??''}}" class="shop-now-link">@lang('pages.shop_now')</a></div>
                </div>
                <div class="col-lg-7 col-md-7 col-sm-7 rightcol">
                    <div class="img-holder" data-aos="fade-up"><img src="{{$product1?asset('banners_images/'.$product1->image):''}}" class="w-100" alt="Women's shop" /></div>
                </div>
            </div>
            <div class="row card-row">
                <div class="col-lg-7 col-md-7 col-sm-7 rightcol">
                    <div class="img-holder" data-aos="fade-up"><img src="{{$product2?asset('banners_images/'.$product2->image):''}}" class="w-100" alt="Women's shop" /></div>
                </div>
                <div class="col-lg-5 col-md-5 col-sm-5 leftcol">
                    <div class="small-title" data-aos="fade-up">@lang('pages.the_best_design')</div>
                    <h1 data-aos="fade-up">{{$product1->title??''}}</h1>
                    <div class="product-text" data-aos="fade-up">
                        {{$product1->description??''}}
                    </div>
                    <div class="shop-now" data-aos="fade-up"><a href="{{$product2->banner_url??''}}" class="shop-now-link">@lang('pages.shop_now')</a></div>
                </div>
            </div>
            <div class="row card-row">
                <div class="col-lg-5 col-md-5 col-sm-5 leftcol">
                    <div class="small-title" data-aos="fade-up">@lang('pages.the_best_design')</div>
                    <h1 data-aos="fade-up">{{$product1->title??''}}</h1>
                    <div class="product-text" data-aos="fade-up">
                        {{$product1->description??''}}
                    </div>
                    <div class="shop-now" data-aos="fade-up"><a href="{{$product3->banner_url??''}}" class="shop-now-link">@lang('pages.shop_now')</a></div>
                </div>
                <div class="col-lg-7 col-md-7 col-sm-7 rightcol">
                    <div class="img-holder" data-aos="fade-up"><img src="{{$product3?asset('banners_images/'.$product3->image):''}}" class="w-100" alt="Women's shop" /></div>
                </div>
            </div>
        </div>
    </section>
    <section class="must-have">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.must_have')</span></h1></div>
            </div>
            <div class="row">
                @foreach ($mustHave as $k=>$prod)
                <?php
                    $price = $style=$specialPrice=$currency=$vid=$iconStyle='';
                    $added = '0';
                    $label = 'Add to wishlist';
                    $image = $prod->galleryOne?$prod->galleryOne->image:'';
                    if($prod->productVariantOne){
                        $price = $prod->productVariantOne->price;
                        $specialPrice = $prod->productVariantOne->special_price;
                        $currency = $prod->productVariantOne->currency;
                        $vid = $prod->productVariantOne->id;
                    }
                    if(checkWishlist($prod->id,$vid)){
                        $style="background:black";
                        $iconStyle = "filter: invert(1);";
                        $added='1';
                        $label ='Remove from Wishlist';
                    }
                ?>
                    <div class="col-6 col-lg-3 col-md-3 col-sm-4 item-col">
                        <a href="javascript:void(0);" class="item-th position-relative" data-aos="fade-up">
                            <div class="item-th-sub w-100 position-relative">
                                <div class="item-holder position-relative">
                                    <img src='{{ asset("product_gallery/$image") }}' class="w-100" alt="Men's Shop" /></div>
                                <div class="item-dtl">
                                    <div class="w-100">
                                        <div class="overlay"></div>
                                        <div class="bls__product-action d-flex">
                                            <div class="bls__product-action-inner flex">
                                                @if(checkLogin())
                                                    <button style="{{$style}}" type="button" name="add" data-added={{$added}} role="button" aria-label="button" pid="{{$prod->id}}" vid="{{$vid}}" class="bls_tooltip addWishlist">
                                                        <img class="wislist-img-{{$prod->id}}" style="{{$iconStyle}}" src="{{ asset('guest/images/favorite.svg') }}" alt="favorite"/>
                                                        <span class="bls_tooltip-content"><span class="wislist-tooltip-{{$prod->id}}">{{$label}}</span></span>
                                                    </button>
                                                @endif
                                                <button  onclick="location.href='{{route('productView', ['id' => $prod->id])}}'" type="button" name="add" role="button" aria-label="button" class="bls_tooltip">
                                                    <img src="{{ asset('guest/images/view.svg') }}" alt="view"/>
                                                    <span class="bls_tooltip-content">@lang('pages.view_detail')</span>
                                                </button>
                                                {{-- addCart --}}
                                                <button onclick="location.href='{{route('productView', ['id' => $prod->id])}}'" type="button"  pid="{{$prod->id}}" vid="{{$vid}}" name="add" role="button" aria-label="button" class="bls_tooltip">
                                                    <img src="{{ asset('guest/images/cart.svg') }}" alt="cart"/>
                                                    <span class="bls_tooltip-content">@lang('pages.add_to_cart')</span>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="price-discount">
                                <h2>{{$prod->title}}</h2>
                                <div class="price-kd"><div>{{$currency.' '.$price}}</div></div>
                            </div>
                        </a>
                    </div>
                @endforeach
            </div>
        </div>
    </section>
    <section class="subbanner">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <div class="carousel position-relative" data-aos="fade-up">
                        <div class="swiper mySubBanner">
                            <div class="swiper-wrapper">
                            @foreach ($mid_slider as $slider )
                                <div class="swiper-slide">
                                    <div class="sub-banner-holder"><img src="{{$slider?asset('banners_images/'.$slider->image):''}}" class="w-100" alt="banner"></div>
                                    <div class="sub-banner-dtl position-absolute text-center">
                                        <h3>{{$slider->description??''}}</h3>
                                        <a href="{{$slider->banner_url??''}}" class="btn">@lang('pages.view_more')</a>
                                    </div>
                                </div>
                            @endforeach
                            </div>
                        </div>
                        <div class="swiper-pagination subBanner-pagination"></div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="must-have new-arrival">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center"><h1 class="d-inline-block" data-aos="fade-up"><span class="d-inline-block text-uppercase">@lang('pages.new_arrival')</span></h1></div>
            </div>
            <div class="row">
                <div class="col-12">
                    <ul class="nav nav-pills justify-content-center mb-3" id="pills-tab" role="tablist" data-aos="fade-up" data-aos-delay="100">
                         <li class="nav-item active " role="presentation">
                            <button class="nav-link" id="pills-all-tab" data-bs-toggle="pill" data-bs-target="#pills-all" type="button" role="tab" aria-controls="pills-all" aria-selected="false">@lang('pages.all')</button>
                        </li>
                        @foreach ($categories as $category )
                                <li class="nav-item" role="presentation">
                                    <button class="nav-link" id="pills-{{$category->key}}-tab" data-bs-toggle="pill" data-bs-target="#pills-{{$category->key}}" type="button" role="tab" aria-controls="pills-{{$category->key}}" aria-selected="false">{{$category->title}}</button>
                                </li>
                        @endforeach
                    </ul>
                      <div class="tab-content" id="pills-tabContent">
                        @foreach ($newArrival as $key => $products)
                            <div class="tab-pane fade show {{$key == 'all'?'active':'fade'}}" id="pills-{{$key}}" role="tabpanel" aria-labelledby="pills-{{$key}}-tab">
                                <div class="row">
                                    @foreach ($products as $k=>$prod)
                                    <?php
                                        $price = $style=$specialPrice=$currency=$vid=$iconStyle='';
                                        $added = '0';
                                        $label = 'Add to wishlist';
                                        $image = $prod->galleryOne?$prod->galleryOne->image:'';
                                        if($prod->productVariantOne){
                                            $price = $prod->productVariantOne->price;
                                            $specialPrice = $prod->productVariantOne->special_price;
                                            $currency = $prod->productVariantOne->currency;
                                            $vid = $prod->productVariantOne->id;
                                        }
                                        if(checkWishlist($prod->id,$vid)){
                                            $style="background:black";
                                            $iconStyle = "filter: invert(1);";
                                            $added='1';
                                            $label ='Remove from Wishlist';
                                        }
                                    ?>
                                        <div class="col-6 col-lg-3 col-md-3 col-sm-4 item-col">
                                            <a href="javascript:void(0);" class="item-th position-relative" data-aos="fade-up">
                                                <div class="item-th-sub w-100 position-relative">
                                                    <div class="item-holder position-relative">
                                                        <img src='{{ asset("product_gallery/$image") }}' class="w-100" alt="Men's Shop" /></div>
                                                    <div class="item-dtl">
                                                        <div class="w-100">
                                                            <div class="overlay"></div>
                                                            <div class="bls__product-action d-flex">
                                                                <div class="bls__product-action-inner flex">
                                                                    @if(checkLogin())
                                                                        <button style="{{$style}}" type="button" name="add" data-added={{$added}} role="button" aria-label="button" pid="{{$prod->id}}" vid="{{$vid}}" class="bls_tooltip addWishlist">
                                                                            <img class="wislist-img-{{$prod->id}}" style="{{$iconStyle}}" src="{{ asset('guest/images/favorite.svg') }}" alt="favorite"/>
                                                                            <span class="bls_tooltip-content"><span class="wislist-tooltip-{{$prod->id}}">{{$label}}</span></span>
                                                                        </button>
                                                                    @endif
                                                                    <button  onclick="location.href='{{route('productView', ['id' => $prod->id])}}'" type="button" name="add" role="button" aria-label="button" class="bls_tooltip">
                                                                        <img src="{{ asset('guest/images/view.svg') }}" alt="view"/>
                                                                        <span class="bls_tooltip-content">@lang('pages.view_detail')</span>
                                                                    </button>
                                                                    {{-- class addCart --}}
                                                                    <button onclick="location.href='{{route('productView', ['id' => $prod->id])}}'"  type="button"  pid="{{$prod->id}}" vid="{{$vid}}" name="add" role="button" aria-label="button" class="bls_tooltip">
                                                                        <img src="{{ asset('guest/images/cart.svg') }}" alt="cart"/>
                                                                        <span class="bls_tooltip-content">@lang('pages.add_to_cart')</span>
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="price-discount">
                                                    <h2>{{$prod->title}}</h2>
                                                    <div class="price-kd"><div>{{$currency.' '.$price}}</div></div>
                                                </div>
                                            </a>
                                        </div>
                                    @endforeach
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="offer">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <a href="javascript:void(0);" class="offer-link w-100 d-block" data-aos="fade-up"><img src="{{$sales_banner1?asset('banners_images/'.$sales_banner1->image):''}}" alt="offer"/></a>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 pe-0">
                    <a href="javascript:void(0);" class="offer-link w-100 d-block" data-aos="fade-up" data-aos-delay="100"><img src="{{$sales_banner2?asset('banners_images/'.$sales_banner2->image):''}}" alt="offer"/></a>
                </div>
                <div class="col-lg-6 col-md-6 col-sm-6 ps-0">
                    <a href="javascript:void(0);" class="offer-link w-100 d-block" data-aos="fade-up" data-aos-delay="200"><img src="{{$sales_banner3?asset('banners_images/'.$sales_banner3->image):''}}" alt="offer"/></a>
                </div>
            </div>
        </div>
    </section>
    <section class="newsletter" style="background: url('{{$signup?asset('banners_images/'.$signup->image):''}}') center top no-repeat;">
        <div class="container">
            <div class="newsletter-sub">
            <div class="row">
                <div class="col-12">
                    <h2 data-aos="fade-up">{{$signup->title??''}}</h2>
                    <h4 data-aos="fade-up" data-aos-delay="100">{{$signup->description??''}}</h4>
                    <div class="newsletter-card" data-aos="fade-up" data-aos-delay="200">
                        <div class="signup position-relative">
                            <input type="text" class="form-control" name="email" id="subscribe-email" placeholder="Enter your email">
                            <div class="newsletter-btn"><button class="btn subscribe-btn">@lang('pages.subscribe')</button></div>
                        </div>
                         <p class="subscribe-msg mt-2"></p>
                    </div>
                </div>
            </div>
            </div>
        </div>
    </section>
