@extends('layouts.guest')
@section('title', 'Checkout')

<section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.checkout')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="shopping-flow">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.checkout')</span></h1></div>
            </div>
            <div class="row">
                @if(!checkLogin())
                    <div class="col-lg-8 col-md-8 col-sm-8" data-aos="fade-up">
                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item" role="presentation">
                            <button class="nav-link active" id="home-tab" data-bs-toggle="tab" data-bs-target="#home" type="button" role="tab" aria-controls="home" aria-selected="true">@lang('pages.login')</button>
                            </li>
                            <li class="nav-item" role="presentation">
                            <button class="nav-link" id="profile-tab" data-bs-toggle="tab" data-bs-target="#profile" type="button" role="tab" aria-controls="profile" aria-selected="false">@lang('pages.create_account')</button>
                            </li>
                            <li class="nav-item" role="presentation">
                            <button class="nav-link" id="contact-tab" data-bs-toggle="tab" data-bs-target="#contact" type="button" role="tab" aria-controls="contact" aria-selected="false">@lang('pages.as_guest')</button>
                            </li>
                        </ul>
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                                <form method="POST" action="{{ route('userLogin') }}">
                                    @csrf
                                    <div class="address-personal-info">
                                        <h2 class="text-uppercase">@lang('pages.login')</h2>
                                        <div class="address-personal">
                                            <div class="form-floating mb-3">
                                                <input id="floatingInput" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus>
                                                <label for="floatingInput">@lang('pages.email_address')</label>
                                                @error('email')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                @enderror
                                            </div>
                                            <div class="form-floating mb-3">
                                                <input id="floatingPassword" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password">
                                                <label for="floatingPassword">@lang('pages.password')</label>
                                                    @error('password')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                            </div>
                                            <div class="form-floating mb-3 d-flexalign-items-center">
                                                <button class="btn" type="submit">@lang('pages.login')</button>
                                                @if (Route::has('password.request'))
                                                        <a class="forgot ms-4" href="{{ route('password.request') }}">
                                                            {{ __('Forgot Password?') }}
                                                        </a>
                                                @endif
                                            </div>
                                            <div class="reset-password collapse" id="collapseExample">
                                                <div class="signup position-relative">
                                                    <input type="text" class="form-control" name="" id="" placeholder="Enter your email">
                                                    <div class="newsletter-btn"><button class="btn">@lang('pages.reset_password')</button></div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                                <form method="POST" action="{{ route('registerCheckout') }}">
                                    @csrf
                                    <div class="address-personal-info">
                                        <h2>@lang('pages.create_account')</h2>
                                        <div class="address-personal">
                                            <div class="row">
                                                <div class="col-lg-12 col-md-12 col-sm-12">
                                                    <div class="form-floating mb-3">
                                                        <input id="name" type="text" class="form-control @error('name') is-invalid @enderror" name="name"
                                                        value="{{ old('name') }}" required autocomplete="name" autofocus>
                                                        <label for="name">@lang('pages.name')</label>
                                                        @error('name')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                    <div class="form-floating mb-3">
                                                        <input id="phone_number" type="text" class="form-control @error('phone_number') is-invalid @enderror" name="phone_number" required autocomplete="Phone number">
                                                        <label for="phone_number">@lang('pages.phone_number')</label>

                                                        @error('phone_number')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                    <div class="form-floating mb-3">
                                                        <input id="email" type="email" class="form-control @error('cemail') is-invalid @enderror" name="cemail" value="{{ old('cemail') }}" required autocomplete="email">
                                                        <label for="email">@lang('pages.email_address')</label>

                                                        @error('cemail')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                   <div class="form-floating mb-3">
                                                       <input id="password" type="password" class="form-control @error('cpassword') is-invalid @enderror" name="cpassword" required autocomplete="new-password">
                                                        <label for="password">@lang('pages.password')</label>

                                                        @error('cpassword')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                    <div class="form-floating mb-3">
                                                        <input id="password-confirm" type="password" class="form-control @error('password_confirmation') is-invalid @enderror" name="password_confirmation" required autocomplete="new-password">
                                                        <label for="password-confirm">@lang('pages.confirm_password')</label>
                                                        @error('password_confirmation')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-12"><button class="btn">@lang('pages.submit')</div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">
                                <form method="POST" id="placeOrderForm" action="{{ route('placeOrder') }}">
                                    @csrf
                                    <input type="hidden" id="product_id" name="product_id" value="{{$product_id}}" />
                                    <input type="hidden" id="address_id" name="address_id" data-val="ignore" />
                                    <div class="address-personal-info">
                                        <h2>@lang('pages.checkout_as_guest')</h2>
                                        <div class="address-personal">
                                            <div class="row">
                                                <div class="col-lg-12 col-md-12 col-sm-12">
                                                    <div class="form-floating mb-3">
                                                        <input type="text" name="full_name" class="form-control @error('full_name') is-invalid @enderror" id="name" placeholder="First Name">
                                                        <label for="password">@lang('pages.full_name')</label>

                                                        @error('full_name')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                    <div class="row">
                                                        <div class="col-lg-4 col-md-4 col-sm-4">
                                                            <div class="form-floating mb-3">
                                                                <select class="form-select" id="floatingSelectCode" aria-label="Floating label select example">
                                                                    <option value="1">+965</option><option value="2">+1</option><option value="3">+91</option><option value="4">+11</option>
                                                                </select>
                                                                <label for="floatingSelectCode">@lang('pages.code')</label>
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-8 col-md-8 col-sm-8">
                                                            <div class="form-floating mb-3">
                                                                <input type="text" class="form-control @error('mobile') is-invalid @enderror"  name="mobile" id="mobile" placeholder="Mobile">
                                                                <label for="mobile">@lang('pages.mobile')</label>
                                                                @error('mobile')
                                                                    <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $message }}</strong>
                                                                    </span>
                                                                @enderror
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                    <div class="form-floating mb-3">
                                                        <input type="gemail"name="gemail" class="form-control @error('gemail') is-invalid @enderror" id="floatingInput" placeholder="name@example.com">
                                                        <label for="floatingInput">@lang('pages.email_address')</label>
                                                        @error('gemail')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-12 home-office-form">
                                                    <div class="form-check">
                                                        <input class="form-check-input" type="radio" name="HomeOffice" id="flexRadioDefault1" value="home" checked>
                                                        <label class="form-check-label" for="flexRadioDefault1">@lang('pages.home')</label>
                                                    </div>
                                                    <div class="form-check">
                                                        <input class="form-check-input" type="radio" name="HomeOffice" id="flexRadioDefault2" value="office">
                                                        <label class="form-check-label" for="flexRadioDefault2">@lang('pages.office')</label>
                                                    </div>
                                                </div>
                                                <div class="col-12">
                                                    <div class="form-floating mb-3">
                                                        <input type="text" name="address" class="form-control @error('address') is-invalid @enderror" id="block" placeholder="Block">
                                                        <label for="block">@lang('pages.address')</label>
                                                        @error('address')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                    <div class="form-floating mb-3">
                                                        <select class="form-select @error('governorate') is-invalid @enderror" name="governorate" id="floatingSelectGrid" aria-label="Floating label select example">
                                                            <option value="0">- Select Governorate -</option><option value="1">AL FARWANIYA</option><option value="2">AL ASIMAH</option><option value="3">HAWALLY</option><option value="4">AL AHMADY</option><option value="5">AL JAHRA</option><option value="6">MUBARK AL KABEER</option>
                                                        </select>
                                                        <label for="floatingSelectGrid">Your Governorate</label>
                                                        @error('governorate')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                    <div class="form-floating mb-3">
                                                        <select class="form-select @error('area') is-invalid @enderror" name="area" id="floatingSelectGrid2" aria-label="Floating label select example">
                                                            <option value="0">- Select Area -</option><option value="1">ABDULLAH ALMUBARAK - West</option><option value="2">AIRPORT</option><option value="3">ANDALOUS</option><option value="4">APRAQ KHAITAN</option><option value="5">ARDHIYA</option><option value="6">ARDHIYA-5</option><option value="7">ARDHIYA-6</option><option value="8">ASHBELIAH</option><option value="9">DHAJEEJ</option><option value="10">FARWANIYA</option><option value="11">FERDOUS</option><option value="12">JALEEB ALSHIYOUKH</option><option value="13">KHAITAN</option><option value="14">OLD KHAITAN</option><option value="15">OMARIYA</option><option value="16">RABIYA</option><option value="17">RAI</option><option value="18">REHAB</option><option value="19">RIQAI</option><option value="20">SUBAH ALNASSER</option><option value="147">ABDULLAH ALMUBARAK</option>
                                                        </select>
                                                        <label for="floatingSelectGrid2">Your Area</label>
                                                    </div>
                                                    @error('area')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                    <div class="form-floating mb-3">
                                                        <input type="text" name="near_location" class="form-control @error('near_location') is-invalid @enderror" id="near_location" placeholder="New Loaction">
                                                        <label for="near_location">@lang('pages.near_location')</label>
                                                        @error('near_location')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                                <div class="col-lg-6 col-md-6 col-sm-6">
                                                    <div class="form-floating mb-3">
                                                        <input type="text" class="form-control @error('notes') is-invalid @enderror" name="notes" id="notes" placeholder="Notes">
                                                        <label for="notes">@lang('pages.notes')</label>
                                                    </div>
                                                    @error('notes')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                                <div class="col-12 office-form">
                                                    <div class="row">
                                                        <div class="col-12">
                                                            <div class="form-floating mb-3">
                                                                <input type="text" name="building_no" class="form-control @error('building_no') is-invalid @enderror" id="building" placeholder="Building">
                                                                <label for="building">@lang('pages.Building')</label>
                                                                @error('building_no')
                                                                    <span class="invalid-feedback" role="alert">
                                                                        <strong>{{ $message }}</strong>
                                                                    </span>
                                                                @enderror
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-12 home-form">
                                                    <div class="form-floating mb-3">
                                                        <input type="text" name="appartment_no" class="form-control @error('appartment_no') is-invalid @enderror" id="appartment_no" placeholder="Appartment No.">
                                                        <label for="appartment_no">@lang('pages.appartment_no').</label>
                                                        @error('appartment_no')
                                                            <span class="invalid-feedback" role="alert">
                                                                <strong>{{ $message }}</strong>
                                                            </span>
                                                        @enderror
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                        </div>
                    </div>
                @else
                <div class="col-lg-8 col-md-8 col-sm-8" data-aos="fade-up">
                    <div class="address-personal-info all-side-bdr">
                        <h2>Add Address</h2>
                        <div id="address_content">
                            @foreach ($userAddresss as $k=> $address )
                                <div class="accordion" id="accordionExample{{$k}}">
                                    <div class="accordion-item">
                                        <h2 class="accordion-header" id="headingOne{{$k}}">
                                            <input class="form-check-input addressRadio" name="addressRadio" {{$k == 0?"checked":""}} type="radio" value="{{$address->id}}">
                                            <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne{{$k}}" aria-expanded={{$k == 0?"true":"false"}} aria-controls="collapseOne{{$k}}">
                                            @lang('pages.address') #{{$k+1}}
                                            </button>
                                        </h2>
                                    </div>
                                    <div id="collapseOne{{$k}}" class="accordion-collapse collapse" aria-labelledby="headingOne{{$k}}" data-bs-parent="#accordionExample{{$k}}">
                                        <div class="accordion-body">
                                            <div class="address-card">
                                                <div class="collapse multi-collapse show" id="multiCollapseExample2">
                                                    <div class="profile-card">
                                                        <ul class="">
                                                            <li><label>@lang('pages.full_name')</label><div>{{$address->first_name.' '.$address->last_name}}</div></li>
                                                            <li><label>@lang('pages.house_no').</label><div>{{$address->house_no}}</div></li>
                                                            <li><label>@lang('pages.contact_no')</label><div>{{$address->contact_no}}</div></li>
                                                            <li><label>@lang('pages.appartment')</label><div>{{$address->appartment}}</div></li>
                                                            <li><label>@lang('pages.landmark')</label><div>{{$address->landmark}}</div></li>
                                                            <li><label>@lang('pages.pincode')</label><div>{{$address->pincode}}</div></li>
                                                            <li><label>@lang('pages.address_type')</label><div>{{$address->address_type}}</div></li>
                                                            <li><label>@lang('pages.governorate')</label><div>{{$address->governorate}}</div></li>
                                                            <li><label>@lang('pages.area')</label><div>{{$address->area}}</div></li>
                                                            <li><label>@lang('pages.address')</label><div>{{$address->address}}</div></li>
                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endforeach
                        </div>

                        <button class="btn my-3" type="button" id="addAddressBtn">@lang('pages.add_address') </button>

                        <div class="address-personal d-none">
                            <form method="POST" id="addAddress" action="{{ route('addAddress') }}">
                                @csrf
                                <div class="row">
                                    <div class="alert address_alert" style="display:none;"></div>
                                    <div class="col-12 home-office-form">
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="address_type" id="flexRadioDefault1" value="home" checked>
                                            <label class="form-check-label" for="flexRadioDefault1">@lang('pages.Home')</label>
                                        </div>
                                        <div class="form-check">
                                            <input class="form-check-input" type="radio" name="address_type" id="flexRadioDefault2" value="office">
                                            <label class="form-check-label" for="flexRadioDefault2">@lang('pages.office')</label>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <div class="form-floating mb-3">
                                            <input type="text" class="form-control" name="first_name" id="first_name" placeholder="Title">
                                            <label for="first_name">@lang('pages.first_name')</label>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <div class="form-floating mb-3">
                                            <input type="text" class="form-control" name="last_name" id="last_name" placeholder="Title">
                                            <label for="last_name">@lang('pages.last_name')</label>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <div class="form-floating mb-3">
                                            <select class="form-select"  name="governorate" id="governorate" aria-label="Floating label select example">
                                                <option value="0">- Select Governorate -</option><option value="1">AL FARWANIYA</option><option value="2">AL ASIMAH</option><option value="3">HAWALLY</option><option value="4">AL AHMADY</option><option value="5">AL JAHRA</option><option value="6">MUBARK AL KABEER</option>
                                            </select>
                                            <label for="governorate">Your Governorate</label>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <div class="form-floating mb-3">
                                            <select class="form-select" name="area" id="area" aria-label="Floating label select example">
                                                <option value="0">- Select Area -</option><option value="1">ABDULLAH ALMUBARAK - West</option><option value="2">AIRPORT</option><option value="3">ANDALOUS</option><option value="4">APRAQ KHAITAN</option><option value="5">ARDHIYA</option><option value="6">ARDHIYA-5</option><option value="7">ARDHIYA-6</option><option value="8">ASHBELIAH</option><option value="9">DHAJEEJ</option><option value="10">FARWANIYA</option><option value="11">FERDOUS</option><option value="12">JALEEB ALSHIYOUKH</option><option value="13">KHAITAN</option><option value="14">OLD KHAITAN</option><option value="15">OMARIYA</option><option value="16">RABIYA</option><option value="17">RAI</option><option value="18">REHAB</option><option value="19">RIQAI</option><option value="20">SUBAH ALNASSER</option><option value="147">ABDULLAH ALMUBARAK</option>
                                            </select>
                                            <label for="area">Your Area</label>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <div class="form-floating mb-3">
                                            <input type="text" class="form-control" name="contact_no" id="contact_no" placeholder="Contact No">
                                            <label for="contact_no">@lang('pages.contact_no').</label>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <div class="form-floating mb-3">
                                            <input type="text" class="form-control" name="appartment" id="appartment" placeholder="Appartment">
                                            <label for="appartment">@lang('pages.appartment')</label>
                                        </div>
                                    </div>
                                    <div class="col-12">
                                        <div class="form-floating mb-3">
                                            <input type="text" class="form-control" name="address" id="address" placeholder="Address">
                                            <label for="address">@lang('pages.address')</label>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <div class="form-floating mb-3">
                                            <input type="text" class="form-control" name="pincode" id="pincode" placeholder="Pincode">
                                            <label for="pincode">@lang('pages.pincode')</label>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-md-6 col-sm-6">
                                        <div class="form-floating mb-3">
                                            <input type="text" class="form-control" id="landmark" name="landmark" placeholder="Landmark">
                                            <label for="landmark">@lang('pages.landmark')</label>
                                        </div>
                                    </div>
                                    <div class="col-12 home-form">
                                        <div class="form-floating mb-3">
                                            <input type="text" class="form-control" name="house_no" id="house_no" placeholder="House No.">
                                            <label for="house_no">@lang('pages.house_no').</label>
                                        </div>
                                    </div>
                                </div>
                                <button type="button" class="btn submitAddress">@lang('pages.submit')</button>
                            </form>
                        </div>

                    </div>
                    <form method="POST" id="placeOrderForm" action="{{ route('placeOrder') }}">
                        @csrf
                        <input type="hidden" id="product_id" name="product_id" value="{{$product_id}}" />
                        <input type="hidden" id="address_id" name="address_id" data-val="" val="" />
                </div>
                @endif
                <div class="col-lg-4 col-md-4 col-sm-4 cart-right" data-aos="fade-up" data-aos-delay="100">
                    <div class="cart-dtl">
                        <h4>@lang('pages.there_are') <span class="cart_count">{{$cart->count()}}</span> @lang('pages.items_in_your_cart')</h4>
                        <?php
                            $total=0;
                            $currency='';
                        ?>
                        @foreach ($cart as $prod )
                            <?php
                            $detail =  productDetail($prod->product_id,$prod->variant_id,$prod->attribute_id,$prod->attribute_val_id);
                            if(empty($detail['product'])){
                                    continue;
                            }
                            $currency = isset($detail['variant'])?$detail['variant']->currency:'';
                            $prodPrice = productPrice($prod->variant_id,false,$prod->quantity);
                            $total +=$prodPrice;
                            ?>
                            <div class="cart-row">
                                <div class="cart-item">
                                    <div class="item-img position-relative" data-src="{{asset('product_gallery/'.$detail['image'])}}" data-fancybox><div class="product-img-item"><img src="{{asset('product_gallery/'.$detail['image'])}}" class="w-100" alt="Men's Shop" /></div></div>
                                    <div class="pro-color-size">
                                        <h3>{{$detail['product']->$title}}</h3>
                                        @foreach ($detail['attributes'] as $attr)
                                            <p>{{$attr->attribute->$title}}: {{$attr->attributeValue->$title}}</p>
                                        @endforeach
                                    </div>
                                </div>
                            </div>
                        @endforeach
                        <?php
                        $setting = settingData();
                        $grandTotal=0;
                        if(!empty($setting)){
                            $grandTotal = grandTotal($total,$setting->default_shipping_cost,$setting->tax_prcnt);
                        }
                        ?>
                        <ul class="cart-dtl-ul">
                            <li>
                                <div class="cart-dtl-left">@lang('pages.sub_total'):</div>
                                <input name="checkout_total" type='hidden' value="{{$total}}"/>
                                <div class="cart-dtl-right">{{$currency}} {{$total}}</div>
                            </li>
                            <li>
                                <div class="cart-dtl-left">@lang('pages.shipping'):</div>
                                {{-- todo --}}
                                <div class="cart-dtl-right">{{$currency}} {{$setting->default_shipping_cost}}</div>
                            </li>
                            <li>
                                <div class="cart-dtl-left">@lang('pages.total')<small>(@lang('pages.tax_incl').)</small></div>
                                <input name='grand_total' type='hidden' value="{{$grandTotal}}" />
                                <div class="cart-dtl-right">{{$currency}} {{$grandTotal}}</div>
                            </li>
                        </ul>
                        <p><strong>@lang('pages.payment_option'):</strong></p>

                        <ul class="shipping-div payment-option ">
                            <li class="@error('payment_type') is-invalid @enderror">
                                <div class="form-check">
                                    <input class="form-check-input payment_type" type="radio" name="payment_type" id="flexRadioKNet" value="KNet">
                                    <label class="form-check-label" for="flexRadioKNet">
                                        K-Net:
                                    </label>
                                </div>
                                <div class="payment-dtl">
                                    <p>Quisque volutpat mattis eros. Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec odio. Quisque volutpat mattis eros.</p>
                                </div>
                            </li>
                            <li>
                                <div class="form-check">
                                    <input class="form-check-input payment_type" type="radio" name="payment_type" id="flexRadioCod" title="Cash on Delivery" value="cod">
                                    <label class="form-check-label" for="flexRadioCod">
                                        @lang('pages.cod'):
                                    </label>
                                </div>
                                <div class="payment-dtl">
                                    <img src="{{asset('guest/images/payments.png')}}" class="w-100" alt="payment"/>
                                    <p>Donec nec justo eget felis facilisis fermentum.Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec odio. Quisque volutpat mattis eros. Lorem ipsum dolor sit ame.</p>
                                </div>
                            </li>
                             @error('payment_type')
                                <span class="invalid-feedback" role="alert">
                                    <strong>{{ $message }}</strong>
                                </span>
                            @enderror
                            <span class="text-danger d-none errorOrder" role="alert">
                            </span>
                        </ul>
                        <div class="mt-4"><button class="btn placeOrder">@lang('pages.place_order')</button></div>
                    </div>
                </div>
                </form>
            </div>
        </div>
    </section>
