@extends('layouts.guest')
@section('title', 'Career')

<section class="inner-banner" data-aos="fade-up">
    <div class="breadcrumb-main position-absolute">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                        <li class="breadcrumb-item active" aria-current="page">{{$product->$title}}</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
</section>
<section>
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-6 gallery-left">
                <div class="gallery-vertical">
                    <div class="swiper myVertical">
                        <div class="swiper-wrapper">
                        @foreach ($images as $image)
                            <div class="swiper-slide"><div class="vertical-img"><img src="{{asset('product_gallery/'.$image->image)}}" alt="Gallery" /></div></div>
                        @endforeach
                        </div>
                    </div>
                    <div class="swiper-button-prev vertical-button-prev">↑</div>
                    <div class="swiper-button-next vertical-button-next">↓</div>
                </div>
                <div class="gallery-carousel position-relative" data-aos="fade-up" data-aos-delay="100">
                    <div class="swiper myGallery">
                        <div class="swiper-wrapper">
                            @foreach ($images as $image)
                                <div class="swiper-slide">
                                    <div class="gallery-holder" data-src="{{asset('product_gallery/'.$image->image)}}" data-fancybox="gallery"><img src="{{asset('product_gallery/'.$image->image)}}" alt="Gallery" /></div>
                                </div>
                            @endforeach
                        </div>
                        <div class="swiper-button-next gallery-button-next">→</div>
                        <div class="swiper-button-prev gallery-button-prev">←</div>
                        <div class="swiper-pagination gallery-pagination"></div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-md-6 col-sm-6 detail-right">
                <div class="prouct-detail" data-aos="fade-up" data-aos-delay="300">
                    <h2>{{$product->$title}}</h2>
                    <div class="price-tax">
                        <div class="prices-kd">{{$price}}</div>
                        {{-- <del>KD 56.000</del> --}}
                    </div>
                    <div class="variants">
                        @foreach ($product->productVariant as $prodVar)
                            <?php $p = productPrice($prodVar->id,true); ?>
                            <button type="button" pid="{{$product->id}}" value="{{$prodVar->id}}" class="btn btn-outline-dark variant_btn">{{$p}}</button>
                        @endforeach
                    </div>
                    <div class="product-size">
                        <div class="size-title text-uppercase">@lang('pages.size'):</div>
                        <div class="product-size-form sizeDiv">
                        </div>
                    </div>
                    <div class="product-size product-color">
                        <div class="size-title text-uppercase">@lang('pages.color'):</div>
                        <div class="product-size-form colorDiv">
                        </div>
                    </div>
                    <div class="product-size product-quantity">
                        <div class="size-title text-uppercase">@lang('pages.quantity'):</div>
                        <div class="quantity-addtocart">
                            <div class="my-cart-ul-dtl">
                                <div class="quantity-control-div plus-minus">
                                    <a href="javascript:void(0);" class="minus-btn minusBtn pminus"><span>-</span></a>
                                    <div class="quantity-control"><input type="text" data-max="11" disabled name="quantity" class="form-control noValue quantity quantityInp" value="1"></div>
                                    <a href="javascript:void(0);" data-max="11" class="plus-btn plusBtn pplus"><span>+</span></a>
                                </div>
                            </div>
                            <button pid="{{$product->id}}" vid="{{$v_id}}" class="gray-btn width20 addCartCurrent">@lang('pages.add_to_cart')</button>
                        </div>
                    </div>
                    <div class="product-size wishlist-buybtn">
                        <button id='buynow' data-buy="true" pid="{{$product->id}}" vid="{{$v_id}}" class="buy-btn addCartCurrent text-uppercase">@lang('pages.buy_it_now')</button>
                        @if(checkLogin())
                        <?php
                            $label ='Add to Wishlist';
                            $added='0';
                            $style='';
                            if(checkWishlist($product->id,$v_id)){
                                $style="opacity: 1;";
                                $added='1';
                                $label ='Remove from Wishlist';
                            }
                        ?>
                            <a href="javascript:void(0);"pid="{{$product->id}}" vid="{{$v_id}}" data-added="{{$added}}" class="wishlist-link addWishlistBtn">
                                <img class="fav_icon" style="{{$style}}" src="{{ asset('guest/images/favorites_icon.svg') }}" alt="favorites"/> <span class="wishlist_text">{{$label}}</span>
                            </a>
                        @endif
                    </div>
<!--
                    <div class="product-size">
                        <div class="size-title">GUARANTEED SAFE CHECKOUT:</div>
                        <div class="payment-type">
                            <img src="images/payments.png" alt="payment"/>
                        </div>
                    </div>
-->
                </div>
            </div>
            <div class="col-12 product-description" data-aos="fade-up" data-aos-delay="100">
                <ul class="nav nav-pills justify-content-center" id="pills-tab" role="tablist">
                    <li class="nav-item" role="presentation">
                    <button class="nav-link active" id="pills-description-tab" data-bs-toggle="pill" data-bs-target="#pills-description" type="button" role="tab" aria-controls="pills-description" aria-selected="true">@lang('pages.description')</button>
                    </li>
                    <li class="nav-item" role="presentation">
                    <button class="nav-link" id="pills-addInfo-tab" data-bs-toggle="pill" data-bs-target="#pills-addInfo" type="button" role="tab" aria-controls="pills-addInfo" aria-selected="false">@lang('pages.additional_information')</button>
                    </li>
                    <li class="nav-item" role="presentation">
                    <button class="nav-link" id="pills-shipping-tab" data-bs-toggle="pill" data-bs-target="#pills-shipping" type="button" role="tab" aria-controls="pills-shipping" aria-selected="false">@lang('pages.shipping_and')</button>
                    </li>
                    <li class="nav-item" role="presentation">
                        <button class="nav-link" id="pills-reviews-tab" data-bs-toggle="pill" data-bs-target="#pills-reviews" type="button" role="tab" aria-controls="pills-reviews" aria-selected="false">@lang('pages.reviews') ({{$reviews->count()}})</button>
                    </li>
                </ul>
                <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="pills-description" role="tabpanel" aria-labelledby="pills-description-tab">
                        {!!$product->$desc!!}
                    </div>
                    <div class="tab-pane fade" id="pills-addInfo" role="tabpanel" aria-labelledby="pills-addInfo-tab">
                        <h2>Information</h2>
                        <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Donec odio. Quisque volutpat mattis eros. Nullam malesuada erat ut turpis. Suspendisse urna viverra non, semper suscipit, posuere a, pede. Donec nec justo eget felis facilisis fermentum. Aliquam porttitor mauris sit amet orci. Aenean dignissim pellentesque felis. Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus.</p>
                        <p><strong>Fabric & care</strong></p>
                        <ul>
                            <li>Faux suede fabric</li>
                            <li>Gold tone metal hoop handles.</li>
                            <li>RI branding</li>
                            <li>Snake print trim interior</li>
                            <li>Adjustable cross body strap</li>
                            <li>Height: 31cm; Width: 32cm; Depth: 12cm; Handle Drop: 61cm</li>
                        </ul>
                        <p><strong>Fabric & care</strong></p>
                        <p>one size</p>
                    </div>
                    <div class="tab-pane fade" id="pills-shipping" role="tabpanel" aria-labelledby="pills-shipping-tab">
                        <h2>Delivery & returns</h2>
                        <p>We deliver to over 100 countries around the world. For full details of the delivery options we offer, please view our Delivery information
                        </p>
                        <p>We hope you’ll love every purchase, but if you ever need to return an item you can do so within a month of receipt. For full details of how to make a return, please view our Returns information

                        </p>
                    </div>
                    <div class="tab-pane fade" id="pills-reviews" role="tabpanel" aria-labelledby="pills-reviews-tab">
                        <div id="add-a-review">
                            <h3>@lang('pages.reviews') ({{$reviews->count()}})</h3>
                            <div class="row">
                                <div class="col-12 reviews-row-list">
                                    @foreach ($reviews as $review)
                                        <div class="reviews-row">
                                            <div class="reviews-left">
                                                <a href="javascript:void(0);">{{$review->user->name}}</a>
                                                <div class="rating-main">
                                                    <ul>
                                                    @for($i = 1; $i < 6; $i++)
                                                        @if($i<= $review->rating)
                                                            <li class="active"></li>
                                                        @else
                                                            <li></li>
                                                        @endif
                                                    @endfor
                                                    </ul>
                                                </div>
                                                <span class="review-date mb-1">{{ now()->diffInDays(\Carbon\Carbon::parse($review->created_at))}} @lang('pages.days_ago')</span>
                                            </div>
                                            <div class="reviews-right">
                                                <h4>{{$review->title}}</h4>
                                                <div class="review-content">
                                                    <p>{{$review->comment}}</p>
                                                </div>
                                                <div class="review-action">
                                                    <a href="javascript:void(0);" data-id="{{$review->id}}" data-val="up" class="thumb"><img src="{{ asset('guest/images/thumb_up_icon.svg') }}" alt="thumb up"/>@lang('pages.helpful') (<span id="thumb_up{{$review->id}}">{{$review->helpful}}</span>)</a>
                                                    <a href="javascript:void(0);" data-id="{{$review->id}}" data-val="down" class="thumb"><img src="{{ asset('guest/images/down_thumb_icon.svg') }}" alt="down thumb"/>@lang('pages.unhelpful') (<span id="thumb_down{{$review->id}}">{{$review->unhelpful}}</span>)</a>
                                                </div>
                                            </div>
                                        </div>
                                    @endforeach
                                </div>
                                <div class="col-12 add-a-review">
                                    <div class="alert d-none reviewAlert" role="alert">
                                    </div>
                                    <h2>@lang('pages.add_a_review') </h2>
                                    <p>@lang('pages.your_email_address_will') *</p>
                                    <form method="POST" id="addReviewForm" action="{{ route('addReview') }}">
                                        <div class="row">
                                            @csrf
                                            <input type="hidden" name="product_id" value="{{$product->id}}" />

                                            <div class="col-12">
                                                <div class="form-floating mb-3">
                                                    <textarea class="form-control @error('comment') is-invalid @enderror" name="comment" value="{{ old('comment') }}" required  id="floatingCpmments"  autocomplete="comment" autofocus placeholder="Comment"></textarea>
                                                    <label for="floatingCpmments">@lang('pages.comments')</label>
                                                    @error('comment')
                                                        <span class="invalid-feedback" role="alert">
                                                            <strong>{{ $message }}</strong>
                                                        </span>
                                                    @enderror
                                                </div>
                                            </div>
                                            <div class="col-lg-4 col-md-4 col-sm-4">
                                                <div class="form-floating mb-3">
                                                    <input type="text" class="form-control @error('name') is-invalid @enderror" name="name" value="{{ old('name') }}" required autocomplete="name" autofocus id="floatingName" placeholder="Name">
                                                    <label for="floatingName">@lang('pages.name')</label>
                                                </div>
                                                @error('name')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-lg-4 col-md-4 col-sm-4">
                                                <div class="form-floating mb-3">
                                                    <input type="email" id="floatingInput" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required  placeholder="name@example.com">
                                                    <label for="floatingInput">@lang('pages.email_address')</label>
                                                </div>
                                                @error('email')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-lg-4 col-md-4 col-sm-4">
                                                <div class="form-floating">
                                                    <select class="form-select @error('rating') is-invalid @enderror" name="rating" value="{{ old('rating') }}" required  id="floatingSelect" aria-label="Floating label select example">
                                                    <option selected value="0">0</option>
                                                    <option value="1">1</option>
                                                    <option value="2">2</option>
                                                    <option value="3">3</option>
                                                    <option value="3">4</option>
                                                    <option value="3">5</option>
                                                    </select>
                                                    <label for="floatingSelect">@lang('pages.your_rating')</label>
                                                </div>
                                                @error('rating')
                                                    <span class="invalid-feedback" role="alert">
                                                        <strong>{{ $message }}</strong>
                                                    </span>
                                                @enderror
                                            </div>
                                            <div class="col-12">
                                                <button class="btn addReview">@lang('pages.submit')</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<section class="similar-carousel position-relative">
    <div class="container">
        <div class="row">
            <div class="col-12" data-aos="fade-up"><h1>@lang('pages.similar_products')</h1></div>
            <div class="col-12 position-relative" data-aos="fade-up">
                <div class="swiper mySimilar">
                    <div class="swiper-wrapper">

                    @foreach ($similarProduct as $k=>$prod)
                    <?php
                        $price = $style=$specialPrice=$currency=$vid=$iconStyle='';
                        $added = '0';
                        $label = 'Add to wishlist';
                        $image = $prod->galleryOne?$prod->galleryOne->image:'';
                        if($prod->productVariantOne){
                            $price = $prod->productVariantOne->price;
                            $specialPrice = $prod->productVariantOne->special_price;
                            $currency = $prod->productVariantOne->currency;
                            $vid = $prod->productVariantOne->id;
                        }
                        if(checkWishlist($prod->id,$vid)){
                            $style="background:black";
                            $iconStyle = "filter: invert(1);";
                            $added='1';
                            $label ='Remove from Wishlist';
                        }
                    ?>
                        <div class="swiper-slide">
                            <div class="item-th position-relative">
                                <div class="item-th-sub w-100 position-relative">
                                    <div class="item-holder position-relative"><img src="{{ asset("product_gallery/$image")}}" class="w-100" alt="Men's Shop" /></div>
                                    <div class="item-dtl">
                                        <div class="w-100">
                                            <div class="overlay"></div>
                                            <div class="bls__product-action d-flex">
                                                <div class="bls__product-action-inner flex">
                                                    @if(checkLogin())
                                                        <button style="{{$style}}" type="button" name="add" data-added={{$added}} role="button" aria-label="button" pid="{{$prod->id}}" vid="{{$vid}}" class="bls_tooltip addWishlist">
                                                            <img class="wislist-img-{{$prod->id}}" style="{{$iconStyle}}" src="{{ asset('guest/images/favorite.svg') }}" alt="favorite"/>
                                                            <span class="bls_tooltip-content"><span class="wislist-tooltip-{{$prod->id}}">{{$label}}</span></span>
                                                        </button>
                                                    @endif
                                                    <button  onclick="location.href='{{route('productView', ['id' => $prod->id])}}'" type="button" name="add" role="button" aria-label="button" class="bls_tooltip">
                                                        <img src="{{ asset('guest/images/view.svg') }}" alt="view"/>
                                                        <span class="bls_tooltip-content">@lang('pages.view_detail')</span>
                                                    </button>
                                                    {{-- addCart --}}
                                                    <button onclick="location.href='{{route('productView', ['id' => $prod->id])}}'" type="button"  pid="{{$prod->id}}" vid="{{$vid}}" name="add" role="button" aria-label="button" class="bls_tooltip">
                                                        <img src="{{ asset('guest/images/cart.svg') }}" alt="cart"/>
                                                        <span class="bls_tooltip-content">@lang('pages.add_to_cart')</span>
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="price-discount">
                                    <h2>{{$prod->title}}</h2>
                                    <div class="price-kd"><div>{{$currency.' '.$price}}</div></div>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
                <div class="swiper-button-next similar-button-next">→</div>
                <div class="swiper-button-prev similar-button-prev">←</div>
            </div>
        </div>
    </div>
</section>
<script src="{{ asset('admin/js/jquery.min.js') }}"></script>

<script type="text/javascript">
    function variantData(pid,vid){
        var url = "{{route('variantData')}}";
        $.ajax({
            type:'GET',
            url: url,
            data: {'id':pid,'vid':vid},
            dataType: 'json',
            success: function(response){
                if(response.status == 'success'){
                    $('.prices-kd').empty().html(response.price);
                    $('.colorDiv').empty().html(response.colorHtml);
                    $('.sizeDiv').empty().html(response.sizeHtml);
                    $('.addCartCurrent').attr('vid',vid);
                    $('.addCartCurrent').attr('data-attr',response.attrId);
                }
            },
        });
    }
    variantData({{$product->id}},{{$v_id}});
</script>
