@extends('layouts.guest')
@section('title', 'listing')

<section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.product_listing')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="listing">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.product_listing')</span></h1></div>
            </div>
            <div class="row">
                <div class="col-lg-3 col-md-3 col-sm-3 listing-filter">
                    <a href="javascript:void(0)" class="filter-link"><span>→</span></a>
                    <div class="listing-filter-div" data-aos="fade-up">
                        <form method="POST" id="filterForm">
                        <div class="filter-header d-flex">
                            <div>@lang('pages.filters') :</div>
                            <div><button id="filterBy" type="submit">@lang('pages.filter')</button> <button id="clearAll" type="reset">@lang('pages.clear_all')</button></div>
                        </div>
                            @csrf
                            <div class="accordion" id="accordionPanelsStayOpenExample">
                                <div class="accordion-item">
                                <h2 class="accordion-header" id="panelsStayOpen-headingOne">
                                    <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#panelsStayOpen-collapseOne" aria-expanded="true" aria-controls="panelsStayOpen-collapseOne">
                                    @lang('pages.brand')
                                    </button>
                                </h2>
                                <div id="panelsStayOpen-collapseOne" class="accordion-collapse collapse show" aria-labelledby="panelsStayOpen-headingOne">
                                    <div class="accordion-body">
                                        <div class="filter-items">
                                        @foreach ($brands as $brand)
                                            <div class="form-check">
                                                <input class="form-check-input clear" type="checkbox" {{in_array($brand->id,$brandId)?'checked':''}} name="brandCheckbox[]" value="{{$brand->id}}">
                                                <label class="form-check-label">{{$brand->title}}</label>
                                            </div>
                                        @endforeach
                                        </div>
                                    </div>
                                </div>
                                </div>
                                <div class="accordion-item">
                                <h2 class="accordion-header" id="panelsStayOpen-headingTwo">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panelsStayOpen-collapseTwo" aria-expanded="false" aria-controls="panelsStayOpen-collapseTwo">
                                    @lang('pages.size')
                                    </button>
                                </h2>
                                <div id="panelsStayOpen-collapseTwo" class="accordion-collapse collapse show" aria-labelledby="panelsStayOpen-headingTwo">
                                    <div class="accordion-body">
                                        <div class="filter-items">
                                            @foreach (attributeValues('size') as $aVal )
                                                <div class="form-check">
                                                    <input class="form-check-input clear" type="checkbox" {{in_array($aVal->id,$sizeId)?'checked':''}} name="size[]" value="{{$aVal->id}}">
                                                    <label class="form-check-label">{{$aVal->$title}}</label>
                                                </div>
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                                </div>
                                <div class="accordion-item">
                                <h2 class="accordion-header" id="panelsStayOpen-headingThree">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panelsStayOpen-collapseThree" aria-expanded="false" aria-controls="panelsStayOpen-collapseThree">
                                    @lang('pages.color')
                                    </button>
                                </h2>
                                <div id="panelsStayOpen-collapseThree" class="accordion-collapse collapse show" aria-labelledby="panelsStayOpen-headingThree">
                                    <div class="accordion-body">
                                        <div class="filter-items color-items">
                                            <?php
                                                $atValues = attributeValues('color')??attributeValues('colour');
                                            ?>
                                            @foreach ($atValues as $atVal )
                                                <div class="form-check">
                                                    <input class="form-check-input clear" {{in_array($atVal->id,$colorId)?'checked':''}} name="color[]" type="checkbox" value="{{$atVal->id}}">
                                                    <label class="form-check-label" style="background:{{$atVal->color_code}};"></label>
                                                </div>
                                            @endforeach
                                        </div>
                                    </div>
                                </div>
                                </div>
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="panelsStayOpen-headingFour">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#panelsStayOpen-collapseFour" aria-expanded="false" aria-controls="panelsStayOpen-collapseFour">
                                        @lang('pages.price')
                                    </button>
                                    </h2>
                                    <div id="panelsStayOpen-collapseFour" class="accordion-collapse collapse show" aria-labelledby="panelsStayOpen-headingFour">
                                    <div class="accordion-body">
                                        <div class="filter-items">
                                            <div class="price-range-slider">
                                                <p class="range-value">
                                                <input type="text" name ="amount" value='24' id="amount" readonly>
                                                </p>
                                                <div id="slider-range" class="range-bar"></div>
                                            </div>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-lg-9 col-md-9 col-sm-9 listing-data">
                    <div class="col-12 showing-sortby">
                        <?php
                        $perPage = $product->perPage();
                        $totalP = $product->total();

                        ?>
                        <div class="showing" data-aos="fade-right">@lang('pages.showing') <strong>{{$perPage < $totalP?$perPage:$totalP}}</strong> of <strong>{{$totalP}}</strong> @lang('pages.products')</div>
                        <div class="sort-by" data-aos="fade-left">
                            <label for="sortby">@lang('pages.sort_by'):</label>
                            <div class="select-custom">
                                <form method="POST" id="sortByForm">
                                    @csrf
                                    <select name="sortBy" class="form-select sortBy" aria-label="Default select example">
                                        <option {{$sortBy == 'default'?'selected':''}} value="default">@lang('pages.default')</option>
                                        <option {{$sortBy == 'featured'?'selected':''}} value="featured">@lang('pages.most_popular')</option>
                                        <option {{$sortBy == 'rating'?'selected':''}} value="rating">@lang('pages.most_rated')</option>
                                        <option {{$sortBy == 'new'?'selected':''}} value="new">@lang('pages.date')</option>
                                    </select>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        @foreach ($product as $k=>$prod)
                        <?php
                            $price = $style=$specialPrice=$currency=$vid=$iconStyle='';
                            $added = '0';
                            $label = 'Add to wishlist';
                            $image = $prod->galleryOne?$prod->galleryOne->image:'';
                            if($prod->productVariantOne){
                                $price = $prod->productVariantOne->price;
                                $specialPrice = $prod->productVariantOne->special_price;
                                $currency = $prod->productVariantOne->currency;
                                $vid = $prod->productVariantOne->id;
                            }
                            if(checkWishlist($prod->id,$vid)){
                                $style="background:black";
                                $iconStyle = "filter: invert(1);";
                                $added='1';
                                $label ='Remove from Wishlist';
                            }
                        ?>
                            <div class="col-6 col-lg-3 col-md-3 col-sm-4 item-col">
                                <a href="javascript:void(0);" class="item-th position-relative" data-aos="fade-up">
                                    <div class="item-th-sub w-100 position-relative">
                                        <div class="item-holder position-relative">
                                            <img src='{{ asset("product_gallery/$image") }}' class="w-100" alt="Men's Shop" /></div>
                                        <div class="item-dtl">
                                            <div class="w-100">
                                                <div class="overlay"></div>
                                                <div class="bls__product-action d-flex">
                                                    <div class="bls__product-action-inner flex">
                                                        @if(checkLogin())
                                                            <button style="{{$style}}" type="button" name="add" data-added={{$added}} role="button" aria-label="button" pid="{{$prod->id}}" vid="{{$vid}}" class="bls_tooltip addWishlist">
                                                                <img class="wislist-img-{{$prod->id}}" style="{{$iconStyle}}" src="{{ asset('guest/images/favorite.svg') }}" alt="favorite"/>
                                                                <span class="bls_tooltip-content"><span class="wislist-tooltip-{{$prod->id}}">{{$label}}</span></span>
                                                            </button>
                                                        @endif
                                                        <button  onclick="location.href='{{route('productView', ['id' => $prod->id])}}'" type="button" name="add" role="button" aria-label="button" class="bls_tooltip">
                                                            <img src="{{ asset('guest/images/view.svg') }}" alt="view"/>
                                                            <span class="bls_tooltip-content">@lang('pages.view_detail')</span>
                                                        </button>
                                                        {{-- addCart --}}
                                                        <button onclick="location.href='{{route('productView', ['id' => $prod->id])}}'"  type="button"  pid="{{$prod->id}}" vid="{{$vid}}" name="add" role="button" aria-label="button" class="bls_tooltip">
                                                            <img src="{{ asset('guest/images/cart.svg') }}" alt="cart"/>
                                                            <span class="bls_tooltip-content">@lang('pages.add_to_cart')</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="price-discount">
                                        <h2>{{$prod->title}}</h2>
                                        <div class="price-kd"><div>{{$currency.' '.$price}}</div></div>
                                    </div>
                                </a>
                            </div>
                        @endforeach
                        <div class="d-flex justify-content-center">
                            {!!$product->links("pagination::bootstrap-4")!!}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
