@extends('layouts.guest')
@section('title', 'Order Confirmation')

<section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.order_confirmation')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="shopping-flow">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.order_confirmation')</span></h1></div>
            </div>
            <div class="row">
                <div class="col-lg-5 col-md-5 col-sm-5 listing-data" data-aos="fade-up">
                    <p><strong>@lang('pages.your_order_has').</strong></p>
                    <h4 class="mt-4">@lang('pages.order_details'):</h4>
                    <ul class="order-ul">
                        <li><label>@lang('pages.order_placed'):</label><div>{{date_format($order->created_at,'Y/m/d')}} | {{date_format($order->created_at,'H:iA')}}</div></li>
                        <li><label>@lang('pages.order_id'):</label><div>{{$order->order_id}}</div></li>
                        <li><label>@lang('pages.transaction_id'):</label><div> </div></li>
                        <li><label>@lang('pages.order_status'):</label><div>{{$order->order_status}}</div></li>
                    </ul>
                    <h4 class="mt-4">@lang('pages.shipping_address'):</h4>
                    <h5>{{$order->appartment_no??$order->building_no}}</h5>
                    <p>{{$order->area}}, {{$order->governorate}}, {{$order->near_location}}</p>
                    <p>{{$order->address}}</p>
                </div>
                <div class="col-lg-7 col-md-7 col-sm-7 listing-data" data-aos="fade-up">
                    <div class="row">
                        <div class="col-lg-6 col-md-6 col-sm-6 cart-right" data-aos="fade-up" data-aos-delay="100">
                            <div class="cart-dtl">
                                <h4>@lang('pages.there_are') {{$orderItem->count()}} @lang('pages.items_in_your_cart')</h4>
                                <?php
                                    $currency='';
                                ?>
                                @foreach ($orderItem as $prod )
                                    <?php
                                    $detail =  productDetail($prod->product_id,$prod->variant_id,$prod->attribute_id,$prod->attribute_val_id);
                                    if(empty($detail['product'])){
                                            continue;
                                    }
                                    $currency = isset($detail['variant'])?$detail['variant']->currency:'';
                                    ?>
                                    <div class="cart-row">
                                        <div class="cart-item">
                                            <div class="item-img position-relative" data-src="{{asset('product_gallery/'.$detail['image'])}}" data-fancybox><div class="product-img-item"><img src="{{asset('product_gallery/'.$detail['image'])}}" class="w-100" alt="Men's Shop" /></div></div>
                                            <div class="pro-color-size">
                                                <h3>{{$detail['product']->$title}}</h3>
                                                @foreach ($detail['attributes'] as $attr)
                                                    <p>{{$attr->attribute->$title}}: {{$attr->attributeValue->$title}}</p>
                                                @endforeach
                                                <p>@lang('pages.quantity'): {{$prod->quantity}}</p>
                                                <p>@lang('pages.price'): {{$currency}} {{$prod->item_price}}</p>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                            </div>
                        </div>
                        <div class="col-lg-6 col-md-6 col-sm-6 cart-right" data-aos="fade-up" data-aos-delay="200">
                            <div class="cart-dtl">
                                <ul class="cart-dtl-ul">
                                    <li>
                                        <div class="cart-dtl-left">@lang('pages.sub_total'):</div>
                                        <div class="cart-dtl-right">{{$currency}} {{$order->checkout_total}}</div>
                                    </li>
                                    <li>
                                        <div class="cart-dtl-left">@lang('pages.shipping'):</div>
                                        <div class="cart-dtl-right">{{$currency}} {{settingData()?settingData()->default_shipping_cost:'0.000'}}</div>
                                    </li>
                                    <li>
                                        <div class="cart-dtl-left">@lang('pages.total')<small>(@lang('pages.tax_incl').)</small></div>
                                        <div class="cart-dtl-right">{{$currency}} {{$order->grand_total}}</div>
                                    </li>
                                </ul>
                                <p><strong>@lang('pages.payment_option'):  {{$order->payment_type}}</strong></p>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </section>
