@extends('layouts.guest')
@section('title', 'My Addresses')
    <section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.my_address')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="shopping-flow">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.my_address')</span></h1></div>
            </div>
            <div class="row">
                <div class="col-lg-4 col-md-4 col-sm-4 dashboard-left" data-aos="fade-up">
                      @include('layouts.template.profileDashboard')
                </div>
                <div class="col-lg-8 col-md-8 col-sm-8 dashboard-right" data-aos="fade-up">
                    <div class="my-order">
                        <div class="alert address_alert" style="display:none;"></div>
                        @foreach ($userAddresss as $k=> $address )
                            <div class="accordion" id="accordionExample{{$k}}">
                                <div class="accordion-item">
                                    <h2 class="accordion-header" id="headingOne{{$k}}">
                                        <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne{{$k}}" aria-expanded={{$k == 0?"true":"false"}} aria-controls="collapseOne{{$k}}">
                                        @lang('pages.address') #{{$k+1}}
                                        </button>
                                    </h2>
                                <div id="collapseOne{{$k}}" class="accordion-collapse collapse {{$k == 0?"show":""}}" aria-labelledby="headingOne{{$k}}" data-bs-parent="#accordionExample{{$k}}">
                                    <div class="accordion-body">
                                        <div class="address-card">
                                            <div class="collapse multi-collapse show" id="multiCollapseExample2">
                                                <div class="profile-card">
                                                    <ul class="">
                                                        <li><label>@lang('pages.full_name')</label><div>{{$address->first_name.' '.$address->last_name}}</div></li>
                                                        <li><label>@lang('pages.house_no')</label><div>{{$address->house_no}}</div></li>
                                                        <li><label>@lang('pages.contact_no')</label><div>{{$address->contact_no}}</div></li>
                                                        <li><label>@lang('pages.appartment')</label><div>{{$address->appartment}}</div></li>
                                                        <li><label>@lang('pages.landmark')</label><div>{{$address->landmark}}</div></li>
                                                        <li><label>@lang('pages.pincode')</label><div>{{$address->pincode}}</div></li>
                                                        <li><label>@lang('pages.address_type')</label><div>{{$address->address_type}}</div></li>
                                                        <li><label>@lang('pages.governorate')</label><div>{{$address->governorate}}</div></li>
                                                        <li><label>@lang('pages.area')</label><div>{{$address->area}}</div></li>
                                                        <li><label>@lang('pages.address')</label><div>{{$address->address}}</div></li>
                                                    </ul>
                                                    <button class="btn" type="button" data-bs-toggle="collapse" data-bs-target=".multi-collapse" aria-expanded="false" aria-controls="multiCollapseExample{{$k}}">@lang('pages.edit')</button>
                                                    <button class="btn" type="button">@lang('pages.delete')</button>
                                                </div>
                                            </div>
                                            <div class="collapse multi-collapse" id="multiCollapseExample{{$k}}">
                                                <div class="profile-card">
                                                {{ Form::model($address, array('route'=>array('updateAddress', $address->id),'id'=>"addressForm$address->id",'method' => 'POST','files'=>true)) }}
                                                    @csrf
                                                    <input id="error" type="hidden" name="user_id" value="{{$address->user_id}}" />
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('first_name', $address->first_name, array('id'=>'first_name','class' => "form-control ".APFrmErrHelp::hasError($errors, 'first_name')." ",'placeholder' => 'First name')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'first_name') !!}
                                                        <label for="first_name">First Name</label>
                                                    </div>
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('last_name', $address->last_name, array('id'=>'last_name','class' => "form-control ".APFrmErrHelp::hasError($errors, 'last_name')." ",'placeholder' => 'Last name')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'last_name') !!}
                                                        <label for="last_name">Last Name</label>
                                                    </div>
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('house_no', $address->house_no, array('id'=>'house_no','class' => "form-control ".APFrmErrHelp::hasError($errors, 'house_no')." ",'placeholder' => 'House No.')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'house_no') !!}
                                                        <label for="house_no">House No</label>
                                                    </div>
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('contact_no', $address->contact_no, array('id'=>'contact_no','class' => "form-control ".APFrmErrHelp::hasError($errors, 'contact_no')." ",'placeholder' => 'Contact No.')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'contact_no') !!}
                                                        <label for="contact_no">Contact No</label>
                                                    </div>
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('appartment', $address->appartment, array('id'=>'appartment','class' => "form-control ".APFrmErrHelp::hasError($errors, 'appartment')." ",'placeholder' => 'Appartment')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'appartment') !!}
                                                        <label for="appartment">Appartment</label>
                                                    </div>
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('landmark', $address->landmark, array('id'=>'landmark','class' => "form-control ".APFrmErrHelp::hasError($errors, 'landmark')." ",'placeholder' => 'Landmark')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'landmark') !!}
                                                        <label for="landmark">Landmark</label>
                                                    </div>
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('pincode', $address->pincode, array('id'=>'pincode','class' => "form-control ".APFrmErrHelp::hasError($errors, 'pincode')." ",'placeholder' => 'Pincode')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'pincode') !!}
                                                        <label for="pincode">Pincode</label>
                                                    </div>
                                                     <div class="form-floating mb-3">
                                                        <ul class="unstyled">
                                                            <li><input type="radio" <?php if($address->address_type == 'office'){ echo 'checked="checked"'; }?> class="styled-checkbox add_type" id="apartment" name="address_type" value="office">
                                                                <label for="apartment">
                                                                    @lang('pages.office')
                                                                </label>
                                                            </li>
                                                            <li><input type="radio"  <?php if($address->address_type == 'home'){ echo 'checked="checked"'; }?> class="styled-checkbox add_type" id="home" name="address_type" value="home">
                                                                <label for="home">
                                                                    @lang('pages.home')
                                                                </label>
                                                            </li>
                                                            <li><input type="radio"  <?php if($address->address_type == 'other'){ echo 'checked="checked"'; }?> class="styled-checkbox add_type" id="other" name="address_type" value="other">
                                                                <label for="other">
                                                                    @lang('pages.other')
                                                                </label>
                                                            </li>
                                                        </ul>
                                                        {!! APFrmErrHelp::showErrors($errors, 'address_type') !!}
                                                        {{-- <label for="landmark">Address Type</label> --}}
                                                    </div>
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('governorate', $address->governorate, array('id'=>'governorate','class' => "form-control ".APFrmErrHelp::hasError($errors, 'governorate')." ",'placeholder' => 'Governorate')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'governorate') !!}
                                                        <label for="governorate">@lang('pages.governorate')</label>
                                                    </div>
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('area', $address->area, array('id'=>'area','class' => "form-control ".APFrmErrHelp::hasError($errors, 'area')." ",'placeholder' => 'Area')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'area') !!}
                                                        <label for="area">@lang('pages.area')</label>
                                                    </div>
                                                    <div class="form-floating mb-3">
                                                        {{ Form::text('address', $address->address, array('id'=>'address','class' => "form-control ".APFrmErrHelp::hasError($errors, 'address')." ",'placeholder' => 'Address')) }}
                                                        {!! APFrmErrHelp::showErrors($errors, 'address') !!}
                                                        <label for="address">@lang('pages.address')</label>
                                                    </div>
                                                    <button class="btn submit_address" data-id="{{$address->id}}" type="button" data-bs-toggle="collapse" data-bs-target=".multi-collapse" aria-expanded="false" aria-controls="multiCollapseExample{{$k}} multiCollapseExample{{$k}}">@lang('pages.submit')</button>
                                                    <button class="btn" type="button" data-bs-toggle="collapse" data-bs-target=".multi-collapse" aria-expanded="false" aria-controls="multiCollapseExample{{$k}} multiCollapseExample{{$k}}">@lang('pages.close')</button>
                                                </div>
                            {{ Form::close() }}

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </div>
    </section>
