@extends('layouts.guest')
@section('title', 'Change Password')

<section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.change_password')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="shopping-flow">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.change_password')</span></h1></div>
            </div>
            <div class="row">
                <div class="col-lg-4 col-md-4 col-sm-4 dashboard-left" data-aos="fade-up">
                    @include('layouts.template.profileDashboard')
                </div>
                <div class="col-lg-8 col-md-8 col-sm-8 dashboard-right" data-aos="fade-up">
                 @if(Session::has('success'))
                    <div class="alert alert-success">
                    {{ Session::get('success') }}
                    </div>
                @endif
                {{ \Session::forget('success') }}
                 @if(Session::has('error'))
                    <div class="alert alert-danger">
                    {{ Session::get('error') }}
                    </div>
                @endif
                {{ \Session::forget('error') }}
                    <div class="">
                        <div class="collapse multi-collapse show" id="multiCollapseExample2">
                            <div class="profile-card">
                                <div class="profile-card">
                                <form method="POST" action="{{ route('changePassword') }}">
                                    @csrf
                                    <div class="form-floating mb-3">
                                        <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="Old Password" autofocus>
                                        @error('password')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <label for="password">@lang('pages.old_password')</label>
                                    </div>
                                    <div class="form-floating mb-3">
                                        <input id="new_password" type="password" class="form-control @error('new_password') is-invalid @enderror" name="new_password" required autocomplete="New Password" autofocus>
                                        @error('new_password')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <label for="new_password">@lang('pages.new_password')</label>
                                    </div>
                                    <div class="form-floating mb-3">

                                        <input id="confim_password" type="password" class="form-control @error('confim_password') is-invalid @enderror" name="confim_password" required autocomplete="Confirm Password" autofocus>
                                        @error('confim_password')
                                            <span class="invalid-feedback" role="alert">
                                                <strong>{{ $message }}</strong>
                                            </span>
                                        @enderror
                                        <label for="confim_password">@lang('pages.confirm_password')</label>
                                    </div>
                                    <button class="btn" type="submit">@lang('pages.submit')</button>
                                </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
