@extends('layouts.guest')
@section('title', 'My Profile')
    <section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                                <li class="breadcrumb-item active" aria-current="page">@lang('pages.profile')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="shopping-flow">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.profile')</span></h1></div>
            </div>
            <div class="row">
                <div class="col-lg-4 col-md-4 col-sm-4 dashboard-left" data-aos="fade-up">
                      @include('layouts.template.profileDashboard')
                </div>
                <div class="col-lg-8 col-md-8 col-sm-8 dashboard-right" data-aos="fade-up">
                    <div class="">
                        <div class="collapse multi-collapse show" id="multiCollapseExample2">
                            <div class="profile-card">
                                <ul class="">
                                    <li><label>@lang('pages.first_name')</label><div>{{$user->name}}</div></li>
                                    <li><label>@lang('pages.mobile')</label><div>{{$user->phone_number}}</div></li>
                                    <li><label>@lang('pages.email')</label><div>{{$user->email}}</div></li>
                                </ul>
                                <button class="btn editBtn" type="button" data-bs-toggle="collapse" data-bs-target=".multi-collapse" aria-expanded="false" aria-controls="multiCollapseExample1 multiCollapseExample2">@lang('pages.edit')</button>
                            </div>
                        </div>
                        <div class="collapse multi-collapse" id="multiCollapseExample1">
                                {{ Form::model($user, array('route'=>array('profileUpdte', $user->id),'method' => 'POST','files'=>true)) }}
                                @csrf
                                <div class="profile-card">
                                    <input id="error" type="hidden" value="{{!empty($errors->count())?1:0}}" />
                                    <div class="form-floating mb-3">
                                        {{ Form::text('name', $user->name, array('id'=>'name','class' => "form-control ".APFrmErrHelp::hasError($errors, 'name')." ",'placeholder' => 'Full name')) }}
                                        {!! APFrmErrHelp::showErrors($errors, 'name') !!}
                                    </div>
                                    <div class="form-floating mb-3">
                                        {{ Form::text('phone_number', $user->phone_number, array('id'=>'phone_number','class' => "form-control ".APFrmErrHelp::hasError($errors, 'phone_number')." ",'placeholder' => 'Mobile')) }}
                                        {!! APFrmErrHelp::showErrors($errors, 'phone_number') !!}
                                    </div>
                                    <div class="form-floating mb-3">
                                        {{ Form::text('email', $user->email, array('id'=>'email','class' => "form-control ".APFrmErrHelp::hasError($errors, 'email')." ",'placeholder' => 'Email')) }}
                                        {!! APFrmErrHelp::showErrors($errors, 'email') !!}
                                    </div>
                                    <button class="btn" type="submit" data-bs-toggle="collapse" data-bs-target=".multi-collapse" aria-expanded="false" aria-controls="multiCollapseExample1 multiCollapseExample2">@lang('pages.submit')</button>
                                    <button class="btn" type="button" data-bs-toggle="collapse" data-bs-target=".multi-collapse" aria-expanded="false" aria-controls="multiCollapseExample1 multiCollapseExample2">@lang('pages.close')</button>
                                </div>
                            {{ Form::close() }}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
