@extends('layouts.guest')
@section('title', 'Search List')

    <section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.search_result')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <div class="container">
        <div class="row">
            <div class="col-md-2"></div>
            <div class="col-md-8" style="min-height: 60vh">
                @foreach ($product as $prod )
                <?php
                    $image = $prod->galleryOne?$prod->galleryOne->image:'';
                ?>
                    <div class="product-list border" >
                        <img src="{{ asset("product_gallery/$image") }}" alt="Product 1">
                        <div class="details col-md-8">
                            <h2>{{$prod->title}}</h2>
                            <p>{{$prod->description}}</p>
                            {{-- <p class="price">$19.99</p> --}}
                        </div>
                        <div class="col-md-4">
                            <a href="{{route('productView', ['id' => $prod->id])}}" class="btn" >@lang('pages.view')</a>
                        </div>
                </div>
                @endforeach
            </div>
            <div class="col-md-2"></div>
            <div class="d-flex justify-content-center">
                {!!$product->links("pagination::bootstrap-4")!!}
            </div>
        </div>
    </div>
