@extends('layouts.guest')
@section('title', 'Wishlist')
<section class="inner-banner" data-aos="fade-up">
        <div class="breadcrumb-main position-absolute">
            <div class="container">
                <div class="row">
                    <div class="col-12">
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                              <li class="breadcrumb-item"><a href="{{route('home')}}">@lang('pages.home')</a></li>
                              <li class="breadcrumb-item active" aria-current="page">@lang('pages.wishlist')</li>
                            </ol>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section class="shopping-flow">
        <div class="container">
            <div class="row">
                <div class="col-12 title text-center" data-aos="fade-up"><h1 class="d-inline-block"><span class="d-inline-block text-uppercase">@lang('pages.wishlist')</span></h1></div>
            </div>
            <div class="row">
                <div class="col-lg-12 col-md-12 col-sm-12 wishlist-data" data-aos="fade-up">
                    <div class="cart-row cart-row-title">
                        <div class="cart-item">
                            @lang('pages.product')
                        </div>
                        <div class="cart-price">
                            <div>@lang('pages.price')</div>
                        </div>
                        <div class="stock-status"><div>@lang('pages.stock_status')</div></div>
                        <div class="addtocart"><div> </div></div>
                    </div>
                    @foreach ($wishlist as $prod )
                        <?php
                        $detail =  productDetail($prod->product_id,$prod->variant_id);
                        if(empty($detail['product'])){
                                continue;
                        }
                        ?>
                        <div class="cart-row">
                            <div class="cart-item wishlistItem{{$prod->id}}">
                                <div class="item-img position-relative" data-src="{{asset('product_gallery/'.$detail['image'])}}" data-fancybox><div class="product-img-item"><img src="{{asset('product_gallery/'.$detail['image'])}}" class="w-100" alt="Men's Shop" /></div></div>
                                <div class="pro-color-size">
                                    <h3>{{$detail['product']->$title}}</h3>
                                    @foreach ($detail['attributes'] as $attr)
                                        <p>{{$attr->attribute->$title}}: {{$attr->attributeValue->$title}}</p>
                                    @endforeach
                                </div>
                            </div>
                            <div class="cart-price">
                                <div>{{productPrice($prod->variant_id,true)}}</div>
                            </div>
                            {{-- todo --}}
                            <div class="stock-status"><div>@lang('pages.in_stock') </div></div>
                            {{-- addCart --}}
                            <div class="addtocart"><div><button onclick="location.href='{{route('productView', ['id' => $prod->product_id])}}'" pid="{{$prod->product_id}}" vid="{{$prod->variant_id}}" class="btn">@lang('pages.add_to_cart')</button></div></div>
                            <a href="javascript:void(0);" data-vid="{{$prod->variant_id}}" data-id="{{$prod->product_id}}" class="remove_item removeWishlist" title="Remove"><img src="{{ asset('guest/images/remove_icon.svg') }}" alt="remove"/></a>
                        </div>
                    @endforeach
                </div>
            </div>
        </div>
    </section>
