<?php
use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\WishlistController;
use App\Http\Controllers\ProfileController;
use App\Http\Controllers\CartController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\LanguageController;
use App\Http\Controllers\Auth\RegisterController;


Route::get('/lang/{lang}', [LanguageController::class, 'switchLang'])->name('lang.switch');

Route::get('/download/{filename}', [HomeController::class, 'download'])->name('file.download');
Route::get('/search', [HomeController::class, 'search'])->name('search');


Route::get('/home', [HomeController::class, 'index'])->name('home');
Route::post('/subscribe', [HomeController::class, 'subscriberFrontsAjax'])->name('home.subscribe');
Route::get('/about-us/{slug}', [HomeController::class, 'aboutUs'])->name('home.aboutUs');

//Contact
Route::post('/contact-us', [HomeController::class, 'contactUs'])->name('contactUs');
Route::get('/contact-us', [HomeController::class, 'contactUs'])->name('getContactUs');

//Career
Route::post('/careers', [HomeController::class, 'careers'])->name('careers');
Route::get('/careers', [HomeController::class, 'careers'])->name('getCareers');

//Cart
Route::get('/cart', [CartController::class, 'cart'])->name('cart');
Route::post('/add-to-cart', [CartController::class, 'addToCart'])->name('addToCart');
Route::post('/remove-from-cart', [CartController::class, 'removeCart'])->name('removeFromCart');
Route::post('/product-quantity', [CartController::class, 'productQuantity'])->name('productQuantity');
// Get grand total on the basis of shipping cost
Route::post('/get-total', [CartController::class, 'getTotal'])->name('getTotal');
//

//Product detail
Route::get('/product-detail', [ProductController::class, 'productView'])->name('productView');
Route::get('/variant-data', [ProductController::class, 'variantData'])->name('variantData');
Route::post('/add-review', [ProductController::class, 'addReview'])->name('addReview');
Route::post('/reviews-like', [ProductController::class, 'reviewsLike'])->name('reviewsLike');
Route::get('/product-listing/{category?}/{sub_category?}/{brand?}', [ProductController::class, 'productListing'])->name('productListing');
Route::post('/product-listing/{category?}/{sub_category?}/{brand?}', [ProductController::class, 'productListing'])->name('postProductListing');
Route::get('/products-listing/{category?}/{brand?}', [ProductController::class, 'productListing'])->name('BrandProductListing');
Route::post('/products-listing/{category?}/{brand?}', [ProductController::class, 'productListing'])->name('BProductListing');
//checkout
Route::get('/checkout', [ProductController::class, 'checkout'])->name('checkout');
Route::post('/place-order', [ProductController::class, 'placeOrder'])->name('placeOrder');
Route::get('/order-confirmation/{order}', [ProductController::class, 'orderConfirmation'])->name('orderConfirmation');

//
Route::post('/register-checkout', [RegisterController::class, 'registerCheckout'])->name('registerCheckout');

// careers
Route::post('/career/store', [HomeController::class, 'careers'])->name('career.store');

Route::group(['middleware' => ['checkLogin']], function()
{
    //wishlist
    Route::post('/add-wishlist', [WishlistController::class, 'addWishlist'])->name('addWishlist');
    Route::post('/remove-wishlist', [WishlistController::class, 'removeWishlist'])->name('removeWishlist');
    Route::get('/wishlist', [WishlistController::class, 'wishlist'])->name('wishlist');

    //Profile
    Route::get('/my-profile', [ProfileController::class, 'myProfile'])->name('profile');
    Route::post('/profile-update/{id}', [ProfileController::class, 'profileUpdte'])->name('profileUpdte');
    Route::get('/my-orders', [ProfileController::class, 'myOrders'])->name('myOrders');
    Route::get('/my-address', [ProfileController::class, 'myAddress'])->name('myAddress');
    Route::post('/update-address/{id}', [ProfileController::class, 'updateAddress'])->name('updateAddress');
    Route::post('/add-address', [ProfileController::class, 'addAddress'])->name('addAddress');
    Route::get('/change', [ProfileController::class, 'changePasswordView'])->name('changePasswordview');
    Route::post('/change-password', [ProfileController::class, 'changePassword'])->name('changePassword');

});

?>
