
<?php $__env->startSection('title', 'Area Report'); ?>
<?php $__env->startSection('content'); ?>
<style>
  .hide {
    display:none;
  }
  .pull-left {
    float:left;
  }
</style>

<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Area Report</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/home')); ?>">Home</a></li>
              <li class="breadcrumb-item active">Area Report</li>
            </ol>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>
<!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            <div class="card">   
              <div class="card-header py-3">
                  <?php echo Form::open(['route' => ['admin.area.report'], 'id' => 'filter_form']); ?>

                  <?php echo Form::hidden('governorate_id', $governorate_id,array('id' => 'governorate_id')); ?>

                  <?php echo Form::hidden('area_id', $area_id,array('id' => 'area_id')); ?>

                      <div class="row">
                          <div class="col-md-12">
                              
                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                      <?php echo Form::label('governorate', __('Governorate')); ?>

                                      <?php echo e(Form::select('governorate', $governorates, $governorate_id, ['id'=>'governorate','class' => 'form-control','placeholder' => 'Select Governorate'])); ?>

                                  </div>
                              </div>

                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                     <?php echo Form::label('area', __('Area')); ?>

                                     <span id="default_area_dd"><?php echo e(Form::select('area', [], [], ['id'=>'area','class' => 'form-control','placeholder' => 'Select Area'])); ?></span>
                                  </div>
                              </div>
                              <div class="col-md-3 pull-left StartDate">
                                <div class="form-group">
                                  <?php echo Form::label('start_date', __('Start Date')); ?>

                                  <?php echo e(Form::date('start_date', $start_date, ['id'=>'date','class' => 'form-control','placeholder' => 'Select Date'])); ?>

                                </div>
                            </div>
                            <div class="col-md-3 pull-left EndDate">
                                <div class="form-group">
                                <?php echo Form::label('end_date', __('End Date')); ?>

                                  <?php echo e(Form::date('end_date', $end_date, ['id'=>'date','class' => 'form-control','placeholder' => 'Select Date'])); ?>

                                </div>
                            </div>
                          </div>
                      </div>
                      
                      <div class="row">
                          <div class="col-md-12">     
                              <div class="col-md-3 pull-left">
                                  <div class="form-group">
                                  <?php echo Form::submit(__('Filter'), ['class' => 'btn btn-primary']); ?> 
                              </div>
                          </div>
                      </div> 
                  <?php echo Form::close(); ?>

              </div>     
              <div class="card-body">
                
                <!-- will be used to show any messages -->
                <?php if(Session::has('message')): ?>
                    <div class="alert alert-info"><?php echo e(Session::get('message')); ?></div>
                <?php endif; ?>
                <table id="example1" class="table table-bordered table-striped">
                  <thead>
                  <tr>
                    <th>Order ID</th>
                    <th>Username</th>
                    <th>Contact No</th>
                    <th>Governorate</th>
                    <th>Area</th>
                    <th>Order Status</th>
                    <th>Payment Type</th>     
                    <th>Total Amount</th>                                               
                    <th>Order Created</th>
                  </tr>
                  </thead>
                  <tbody>
                    <?php $__currentLoopData = $orders; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php 
                    $governorates = DB::table('governorates')->where('id', $order->userAddress->governorate)->first();
                    $area = DB::table('areas')->where('id', $order->userAddress->area)->first();
                    ?>
                    <tr>
                      <td><?php echo e($order->order_id); ?></td>
                      <td><?php echo e($order->user->name); ?></td>                    
                      <td><?php echo e($order->userAddress->contact_no); ?></td>
                      <td><?php echo e(@$governorates->title); ?></td>
                      <td><?php echo e($area->title); ?></td>
                      <td><?php echo e($order->order_status); ?></td>
                      <td><?php echo e($order->payment_type); ?></td>
                      <td><?php echo e($order->grand_total); ?> KD</td>
                      <td><?php echo e(dateConvertFormat($order->created_at)); ?></td>
                    </tr>
                    <?php
                      $date = date('Y-m-d', strtotime($order->created_at));
                      $totalOrders[$date] = $order;
                    ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                  </tbody>                  
                </table>
              </div>
              <!-- /.card-body -->
            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
    
    
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?> 
<script>
     $(document).ready(function () {
      $(document).on('change','#governorate',function(){
        var governorate_id = $(this).val();
        var area_id = $('#area_id').val();
         filterDefaultAreas(governorate_id,area_id);
      });
      var governorate_id = $('#governorate_id').val();
      var area_id = $('#area_id').val();
      filterDefaultAreas(governorate_id,area_id)
      function filterDefaultAreas(governorate_id,area_id)
      {
        $.post("<?php echo e(route('filter.default.area.dropdown')); ?>", {governorate_id: governorate_id, area_id: area_id, _method: 'POST', _token: '<?php echo e(csrf_token()); ?>'})
                .done(function (response) {
                    $('#default_area_dd').html(response);
                });
      }
   });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\ibrah_laravel\resources\views/admin/reports/area_wise_report.blade.php ENDPATH**/ ?>