<?php
header("X-Frame-Options: deny");  // Anti clickjacking
header("X-XSS-Protection: 1; mode=block"); // Anti cross site scripting (XSS)
header("X-Content-Type-Options: nosniff"); // Reduce exposure to drive-by dl attacks
// header("Content-Security-Policy: 'default-src' 'self'");
header("Cache-Control: nocache, no-store, max-age=0, must-revalidate"); //HTTP 1.1
header("Pragma: no-cache"); //HTTP 1.0
header("Expires: Sat, 26 Jul 1997 05:00:00 GMT");  // Date in the past
header("strict-transport-security: max-age=600");
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title><?php echo e(config('app.name')); ?></title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/all.min.css')); ?>">
  <!-- Ionicons -->
  
  <!-- Tempusdominus Bootstrap 4 -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/all.min.css')); ?>">
  <!-- iCheck -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/icheck-bootstrap.min.css')); ?>">
  <!-- JQVMap -->
  

  <link rel="stylesheet" href="<?php echo e(asset('admin/datatables-bs4/css/dataTables.bootstrap4.min.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(asset('admin/datatables-responsive/css/responsive.bootstrap4.min.css')); ?>">
  <link rel="stylesheet" href="<?php echo e(asset('admin/datatables-buttons/css/buttons.bootstrap4.min.css')); ?>">


  <!-- Theme style -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/adminlte.min.css')); ?>">
  <!-- overlayScrollbars -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/OverlayScrollbars.min.css')); ?>">
  <!-- Daterange picker -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/daterangepicker.css')); ?>">
  <!-- summernote -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/summernote-bs4.min.css')); ?>">

  <link href="<?php echo e(asset('css/toastr.css')); ?>" rel="stylesheet" />
  <link href="<?php echo e(asset('css/sweetalert2.css')); ?>" rel="stylesheet" />
  <link href="<?php echo e(asset('admin/css/style.css')); ?>" rel="stylesheet" />
  <link href="<?php echo e(asset('css/style.css')); ?>" rel="stylesheet" />
</head>
<body class="hold-transition sidebar-mini layout-fixed">
  <div class="wrapper">

    <!-- Preloader -->
    
  
    <!-- Navbar -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
      <!-- Left navbar links -->
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
        </li>
        <li class="nav-item d-none d-sm-inline-block">
          <a href="<?php echo e(route('admin-home')); ?>" class="nav-link"><?php echo e(__('Home')); ?></a>
        </li>
      </ul>
  
       <!-- Right navbar links -->
       <?php if(Auth::guard('admin')->check()): ?>
      <ul class="navbar-nav ml-auto">
        <li class="nav-item">
          <a class="nav-link" href="<?php echo e(route('adminLogout')); ?>" onclick="event.preventDefault(); document.getElementById('logout-form').submit();">
            <button type="button" class="btn btn-block bg-gradient-secondary"><?php echo e(__('Logout')); ?></button>
            <form id="logout-form" action="<?php echo e(route('adminLogout')); ?>" method="POST" style="display: none;">
                <?php echo e(csrf_field()); ?>

            </form>
          </a>
        </li>
      </ul>
    <?php endif; ?>
    </nav>
    <!-- /.navbar -->

  <!-- Sidebar -->
  <?php echo $__env->make('admin.layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
  <!-- /.Sidebar -->
  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    
    <!-- /.content-header -->

    <!-- Main content -->
    <section class="content">
      <?php echo $__env->yieldContent('content'); ?>
    </section>
    <!-- /.content -->
  </div>
<!-- /.login-box -->
<?php echo $__env->make('admin.layouts.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
 <!-- Control Sidebar -->
 <aside class="control-sidebar control-sidebar-dark">
  <!-- Control sidebar content goes here -->
</aside>
<!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->
<!-- jQuery -->
<script src="<?php echo e(asset('admin/js/jquery.min.js')); ?>"></script>
<!-- jQuery UI 1.11.4 -->
<script src="<?php echo e(asset('admin/js/jquery-ui.min.js')); ?>"></script>
<!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
<script>
  $.widget.bridge('uibutton', $.ui.button)
</script>
<!-- Bootstrap 4 -->
<script src="<?php echo e(asset('admin/js/bootstrap.bundle.min.js')); ?>"></script>

<script src="<?php echo e(asset('admin/datatables/jquery.dataTables.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/datatables-bs4/js/dataTables.bootstrap4.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/datatables-responsive/js/dataTables.responsive.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/datatables-responsive/js/responsive.bootstrap4.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/datatables-buttons/js/dataTables.buttons.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/datatables-buttons/js/buttons.bootstrap4.min.js')); ?>"></script>
<!-- ChartJS -->

<!-- Sparkline -->

<!-- JQVMap -->


<!-- jQuery Knob Chart -->

<!-- daterangepicker -->
<script src="<?php echo e(asset('admin/js/moment.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/daterangepicker.js')); ?>"></script>
<!-- Tempusdominus Bootstrap 4 -->
<script src="<?php echo e(asset('admin/js/tempusdominus-bootstrap-4.min.js')); ?>"></script>
<!-- Summernote -->
<script src="<?php echo e(asset('admin/js/summernote-bs4.min.js')); ?>"></script>
<!-- overlayScrollbars -->
<script src="<?php echo e(asset('admin/js/jquery.overlayScrollbars.min.js')); ?>"></script>
<!-- AdminLTE App -->
<script src="<?php echo e(asset('admin/js/adminlte.min.js')); ?>"></script>
<!-- AdminLTE for demo purposes -->

<!-- AdminLTE dashboard demo (This is only for demo purposes) -->

<script src="<?php echo e(asset('js/sweetalert2.all.min.js')); ?>"></script>
<script src="<?php echo e(asset('js/toastr.min.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/custom.js')); ?>"></script>
<script>
  $(document).ready(function() {
      toastr.options.timeOut = 10000;
      <?php if(Session::has('error')): ?>
          toastr.error('<?php echo e(Session::get('error')); ?>');
      <?php elseif(Session::has('success')): ?>
          toastr.success('<?php echo e(Session::get('success')); ?>');
      <?php endif; ?>
  });

</script>
</body>
</html><?php /**PATH E:\xampp\htdocs\Ibrah\resources\views/admin/layouts/app.blade.php ENDPATH**/ ?>