<?php $__env->startSection('title', 'Users'); ?>
<?php $__env->startSection('content'); ?>
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1><?php echo e(__('Users')); ?></h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/users')); ?>"><?php echo e(__('Users')); ?> </a></li>
              <li class="breadcrumb-item active"><?php echo e(__('Update')); ?></li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title"><?php echo e(__('Update User')); ?></h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                <?php echo e(Form::model($user, array('route' => array('admin.user.update', $user->id), 'method' => 'POST','files'=>true))); ?>

                <?php echo Form::hidden('id', $user->id); ?>     
                <div class="card-body">
                  <div class="form-group <?php echo APFrmErrHelp::hasError($errors, 'Name'); ?>">
                    <label for="name"><?php echo e(__('Name')); ?> <small class="asterisk">*</small></label>
                    <?php echo e(Form::text('name', $user->name, array('id'=>'name','autocomplete'=>'off','class' => "form-control ".APFrmErrHelp::hasError($errors, 'name')." ",'placeholder' => 'Enter name'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'name'); ?>

                  </div>
                  <div class="form-group">
                    <label for="phone_number"><?php echo e(__('Phone Number')); ?> <small class="asterisk">*</small></label>
                    <?php echo e(Form::text('phone_number', $user->phone_number, array('id'=>'phone_number','autocomplete'=>'off','maxlength' => 13,'onkeypress'=>"return /[0-9 +]/.test(String.fromCharCode(((event||window.event).which||(event||window.event).which)))",'class' => "form-control ".APFrmErrHelp::hasError($errors, 'phone_number')." ",'placeholder' => 'Enter phone number'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'phone_number'); ?>

                  </div>

                  <div class="form-group">
                    <label for="email"><?php echo e(__('Email')); ?></label>
                    <?php echo e(Form::text('email',  $user->email, array('id'=>'email','autocomplete'=>'off','class' => "form-control ".APFrmErrHelp::hasError($errors, 'email')." ",'placeholder' => 'Enter email', 'readonly'=>'true'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'email'); ?>

                  </div>
                  <div class="form-group <?php echo e($errors->has('password') ? ' has-error' : ''); ?>">
                      <label for="exampleInputPassword1"><?php echo e(__('Password')); ?> <small class="asterisk">*</small></label>
                      <div class="password">
                          <input type="password" class="form-control" name="password" id="password" placeholder="Enter Password" autocomplete="off" value="">
                      </div>
                      <?php echo APFrmErrHelp::showErrors($errors, 'password'); ?>

                  </div>

                  <div class="form-group <?php echo e($errors->has('confirm_password') ? ' has-error' : ''); ?>">
                      <label for="exampleInputPassword1"><?php echo e(__('Confirm Password')); ?> <small class="asterisk">*</small></label>
                      <div class="password">
                          <input type="password" class="form-control" name="confirm_password" id="confirm_password" autocomplete="off" placeholder="Enter Confirm Password">
                      </div>
                      <?php echo APFrmErrHelp::showErrors($errors, 'confirm_password'); ?>

                  </div>
                  <div class="form-group">
                      <label for="exampleInputPassword1"><?php echo e(__('Status')); ?></label>
                      <input type="radio" name="status" <?php if($user->status=='1'): ?> checked <?php endif; ?> value="1"> Active
                      <input type="radio" name="status"  <?php if($user->status=='0'): ?> checked <?php endif; ?> value="0"> Inactive
                  </div>
                </div>
                <!-- /.card-body -->
                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Update</button>
                </div>
              <?php echo e(Form::close()); ?>

            </div>
            <!-- /.card -->

          </div>

        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
<?php $__env->stopSection(); ?>


<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\ibrah_laravel\resources\views/admin/users/edit.blade.php ENDPATH**/ ?>