<?php $__env->startSection('title', 'Dashboard'); ?>

<?php $__env->startSection('content'); ?>
<!-- Content Wrapper. Contains page content -->
    <!-- Content Header (Page header) -->
    <div class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1 class="m-0"><?php echo e(__('Dashboard')); ?></h1>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#"><?php echo e(__('Home')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e(__('Dashboard')); ?></li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->
    </div>
    <!-- /.content-header -->

    <!-- Main content -->
      <div class="container-fluid">
        <?php echo Form::open(['route' => ['admin-home'], 'id' => 'filter_form']); ?>

            <div class="row filter-row">
              <div class="col-md-4 pull-left StartDate">
                <div class="form-group">
                    <label>Start Date</label>
                    <input type="date" class="form-control" name="start_date" value="<?php echo e($start_date); ?>">
                </div>      
              </div>
              <div class="col-md-4 pull-left EndDate">
                <div class="form-group">
                  <label>End Date</label>
                  <input type="date" class="form-control" name="end_date" value="<?php echo e($end_date); ?>">
                </div>
              </div>
              <div class="col-md-3 pull-left">
                <div class="form-group">
                    <input id="filter-btn" type="submit" class="btn btn-success" name="submit" value="Filter">
                </div>
              </div>
            </div>
          <?php echo Form::close(); ?>

        <!-- Small boxes (Stat box) -->
        <div class="row">  
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-warning">
              <div class="inner">
                <h4><?php echo e($totalUsers); ?></h4>

                <p><?php echo e(__('Registered users')); ?></p>
              </div>
              <div class="icon">
                <i class="ion ion-person-add"></i>
              </div>
              <a href="#" class="small-box-footer"><?php echo e(__('More info ')); ?> <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->        
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-success">
              <div class="inner">
                <h4><?php echo e($totalProducts); ?></h4>

                <p><?php echo e(__('No of Products')); ?></p>
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <a href="#" class="small-box-footer"><?php echo e(__('More info ')); ?> <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-info">
              <div class="inner">
                <h4><?php echo e($totalOrders); ?></h4>

                <p><?php echo e(__('Total Orders')); ?></p>
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <a href="#" class="small-box-footer"><?php echo e(__('More info ')); ?> <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-danger">
              <div class="inner">
                <h4><?php echo e($failedOrders); ?></h4>

                <p><?php echo e(__('Failed Orders')); ?></p>
              </div>
              <div class="icon">
                <i class="ion ion-bag"></i>
              </div>
              <a href="#" class="small-box-footer"><?php echo e(__('More info ')); ?> <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-secondary">
              <div class="inner">
                <?php if($totalSale > 0): ?>
                  <h4>KWD <?php echo e(number_format($totalSale,2)); ?></h4>
                <?php else: ?>
                  <h4>KWD 0.00</h4>
                <?php endif; ?>

                <p><?php echo e(__('Total Sales')); ?></p>
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <a href="#" class="small-box-footer"><?php echo e(__('More info ')); ?> <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-info">
              <div class="inner">
                <?php if($cancelledItems[0]->cancelamount == ''): ?>
                  <h4><?php echo e($cancelledItems[0]->cancelledcount); ?>(0.00)</h4>
                <?php else: ?>
                  <h4><?php echo e($cancelledItems[0]->cancelledcount); ?> (KWD <?php echo e(number_format($cancelledItems[0]->cancelamount,2)); ?> )</h4>
                <?php endif; ?> 
                <p><?php echo e(__('Cancelled Items')); ?></p>
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <a href="#" class="small-box-footer"><?php echo e(__('More info ')); ?> <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-danger">
              <div class="inner">
                <?php if($todayRevenue[0]->todaycount == ''): ?>
                  <h4>0.00</h4>
                <?php else: ?>
                  <h4>KWD <?php echo e(number_format($todayRevenue[0]->todaycount,2)); ?></h4>
                <?php endif; ?> 
                <p><?php echo e(__('Today\'s Revenue')); ?></p>
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <a href="#" class="small-box-footer"><?php echo e(__('More info ')); ?> <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->

          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-success">
              <div class="inner">
                <?php if($totalRevenue[0]->totalcount == ''): ?>
                  <h4>0.00</h4>
                <?php else: ?>
                  <h4>KWD <?php echo e(number_format($totalRevenue[0]->totalcount,2)); ?></h4>
                <?php endif; ?> 
                <p><?php echo e(__('Revenue Till Date')); ?></p>
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <a href="#" class="small-box-footer"><?php echo e(__('More info ')); ?> <i class="fas fa-arrow-circle-right"></i></a>
            </div>
          </div>
          <!-- ./col -->
          <?php /* Chart Js ?>
           <div class="col-md-6 col-sm-6 col-xs-6 sec_col">
              <div class="card card-danger">
                <div class="card-header">
                  <h3 class="card-title">Orders By Area</h3>

                  <div class="card-tools">
                    <button type="button" class="btn btn-tool" data-card-widget="collapse">
                      <i class="fas fa-minus"></i>
                    </button>
                    <button type="button" class="btn btn-tool" data-card-widget="remove">
                      <i class="fas fa-times"></i>
                    </button>
                  </div>
                </div>
              
                  <div class="row">
                      <div class="col-md-6">
                           <div class="form-group">
                              <form method="post">
                                  <label>Area</label>
                                  <select id="selct-sale" name="area" class="form-control">
                                      <option value="">Select Area</option>
                                      <?php 
                                      $i = 1;
                                          if(!empty($areas)){
                                              foreach($areas as $area){

                                               ?>
                                                  <option class="<?= $i ?>" value="<?php echo $area['id']; ?>" <?php echo (!empty($_REQUEST['area']) && $_REQUEST['area'] == $area['id'] ? 'selected' : (empty($_REQUEST['area']) && $i == 1)?'selected':'') ?>><?php echo $area['title'];?></option>
                                              <?php $i++; 
                                              }
                                          }
                                      ?>
                                  </select>
                                </form>
                              </div>
                       </div>
                  </div>
            
          
                <div class="card-body">
                    <div id="chartContainer" style="width: 100%; height: 300px"></div> 
                </div>
              </div>                               
           </div>
           <?php */ ?>


        </div>
        <!-- /.row -->
        <!-- Main row -->
        <!-- /.row (main row) -->
      </div><!-- /.container-fluid -->
    <!-- /.content -->
  <!-- /.content-wrapper -->
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?> 
<script>
   $( document ).ready(function() {
      var sareaId =  $('#selct-sale').find(":selected").val();
      loadSaleData(sareaId);

      $("#selct-sale").on('change', function(){
            var sareaId = $(this).val(); 
            loadSaleData(sareaId);
      });
   });
   
  function loadSaleData(id){
      var sareaId = id;
      var start_date =  $("input[name='start_date']").val();
      var end_date =  $("input[name='end_date']").val();
        $.ajax({
            url: "<?php echo e(url('admin/filter_area_chart_data')); ?>",    //the page containing php script
            type: "post",    //request type,
            dataType: 'json',
            data: {sareaId: sareaId, start_date: start_date, end_date: end_date, _token: '<?php echo e(csrf_token()); ?>'},
            success:function(data){
              if(data != ''){             
                  $("#chartContainer").CanvasJSChart({ 
                      title: { 
                        text: "Top Selling Areas",
                        fontSize: 24
                      }, 
                      axisY: { 
                        title: "Orders" 
                      }, 
                      legend :{ 
                        verticalAlign: "center", 
                        horizontalAlign: "right" 
                      }, 
                      data: [ 
                      { 
                        type: "pie", 
                        showInLegend: true, 
                        toolTipContent: "{label} <br/> {y}", 
                        indexLabel: "{y}", 
                        dataPoints: data

                      } 
                      ] 
                      }); 
              }
              else{
                $('#chartContainer').html('<div class="nodata">No data Available</div>')
              }
            }
        });
  }
</script>
 <?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\ibrah_laravel\resources\views/admin/home.blade.php ENDPATH**/ ?>