<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo e(config('app.name')); ?></title>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo e(config('app.name')); ?></title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/all.min.css')); ?>">
  <!-- icheck bootstrap -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/icheck-bootstrap.min.css')); ?>">
  <!-- Theme style -->
  <link rel="stylesheet" href="<?php echo e(asset('admin/css/adminlte.min.css')); ?>">
</head>
<body class="hold-transition login-page">
<div class="login-box">
    <div class="login-logo">
        <a href="#"><img src="<?php echo e(asset('admin/images/IBRAH.png')); ?>" alt="User Image"></a>
    </div>
    <!-- /.login-logo -->
    <div class="card">
      <div class="card-body login-card-body">
        <p class="login-box-msg">You forgot your password? Here you can easily retrieve a new password.</p>
            <?php if(\Session::get('success')): ?>
            <div class="alert alert-success alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong><?php echo e(\Session::get('success')); ?></strong>
            </div>
            <?php endif; ?>
            <?php echo e(\Session::forget('success')); ?>

            <?php if(\Session::get('error')): ?>
            <div class="alert alert-danger alert-block">
                <button type="button" class="close" data-dismiss="alert">×</button>
                <strong><?php echo e(\Session::get('error')); ?></strong>
            </div>
            <?php endif; ?>
            <?php echo e(\Session::forget('error')); ?>    
            <?php 
                $uriSegments = explode("/", parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH));
                // print_r($uriSegments);die;
                $email = array_pop($uriSegments);
                $token = $uriSegments[4];
            ?>
            <form action="<?php echo e(route('admin-reset-password')); ?>" method="post">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="token" value="<?php echo e($token); ?>">
                <div class="input-group mb-3">
                    <input name="email" type="email" class="form-control" placeholder="Email" required>
                    
                </div>
                <?php if($errors->has('email')): ?>
                    <span class="help-block">
                        <strong><?php echo e($errors->first('email')); ?></strong>
                    </span>
                <?php endif; ?>
                <div class="input-group mb-3">
                    <input name="password" type="password" class="form-control" placeholder="password" required>
                </div>
                <?php if($errors->has('password')): ?>
                    <span class="help-block">
                        <strong><?php echo e($errors->first('password')); ?></strong>
                    </span>
                <?php endif; ?>
                <div class="input-group mb-3">
                    <input name="confirm_email" type="password" class="form-control" placeholder="confirm email" required>
                </div>
                <?php if($errors->has('confirm_email')): ?>
                    <span class="help-block">
                        <strong><?php echo e($errors->first('confirm_email')); ?></strong>
                    </span>
                <?php endif; ?>
                <div class="row">
                    <div class="col-12">
                    <button type="submit" class="btn btn-primary btn-block">Submit</button>
                    </div>
                    <!-- /.col -->
                </div>
            </form>
      </div>
      <!-- /.login-card-body -->
    </div>
  </div>
<!-- jQuery -->
<script src="<?php echo e(asset('admin/js/jquery.min.js')); ?>"></script>
<!-- Bootstrap 4 -->
<script src="<?php echo e(asset('admin/js/bootstrap.bundle.min.js')); ?>"></script>
<!-- AdminLTE App -->
<script src="<?php echo e(asset('admin/js/adminlte.min.js')); ?>"></script>
</body>
</html><?php /**PATH E:\xampp\htdocs\ibrah_laravel\resources\views/admin/auth/passwords/reset.blade.php ENDPATH**/ ?>