<script>
    // Subscribe newsletter ajax
    $(document).on("click", ".subscribe-btn", function(e) {
        let mail = $('#subscribe-email').val();
        $.ajax({
            type:'POST',
            url: "<?php echo e(route('home.subscribe')); ?>",
            data: {email : mail, "_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                if(response.success){
                    $('.subscribe-msg').addClass('text-success');
                } else {
                    $('.subscribe-msg').addClass('text-danger');
                }
                $('.subscribe-msg').text(response.msg);
            },
        });
    });

    // Add to wishlist
    $(document).on("click", ".addWishlist", function(e) {

        let id = $(this).attr('pid');
        let vid = $(this).attr('vid');
        let added = $(this).attr('data-added');
        let url = "<?php echo e(route('removeWishlist')); ?>";
        let data_added ="0";
        let style = '';
        let msg = 'Add to wishlist';
        let iconStyle = '';
        if(added == '0'){
            url="<?php echo e(route('addWishlist')); ?>";
            data_added='1';
            style = 'black';
            iconStyle = 'invert(1)';
            msg = 'Remove from Wishlist';
        }
        var self = this;

        $.ajax({
            type:'POST',
            url: url,
            data: {id : id,vid : vid ,"_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                $(self).attr('data-added',data_added)
                $(self).css('background',style)
                $(".wislist-tooltip-"+id).text(msg);
                $(".wislist-img-"+id).css('filter',iconStyle)
                Swal.fire({
                    text: response.message,
                    icon: response.status,
                    confirmButtonColor: '#3085d6',
                    confirmButtonText: 'Ok'
                })
            },
        });
    });

// Add to wishlist from product detail page
    $(document).on("click", ".addWishlistBtn", function(e) {

        let id = $(this).attr('pid');
        let vid = $(this).attr('vid');
        let added = $(this).attr('data-added');
        let url = "<?php echo e(route('removeWishlist')); ?>";
        let data_added ="0";
        let style = '';
        let msg = 'Add to wishlist';
        let iconStyle = '';
        if(added == '0'){
            url="<?php echo e(route('addWishlist')); ?>";
            data_added='1';
            style = '1';
            msg = 'Remove from Wishlist';
        }
        var self = this;

        $.ajax({
            type:'POST',
            url: url,
            data: {id : id,vid : vid ,"_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                $(self).attr('data-added',data_added)
                $('.fav_icon').css('opacity',style)
                $('.wishlist_text').text(msg);
                Swal.fire({
                    text: response.message,
                    icon: response.status,
                    confirmButtonColor: '#3085d6',
                    confirmButtonText: 'Ok'
                })
            },
        });
    });

// profile page
    if($('#error').attr('value') == "1"){
        $('.editBtn').click();
    }

    // address
    $(document).on("click", ".submit_address", function(e) {

        let id = $(this).attr('data-id');
        var data = $("#addressForm"+id).serialize();
        var url = $("#addressForm"+id).attr('action');

        $.ajax({
            type:'POST',
            url: url,
            data: data,
            dataType: 'json',
            success: function(response){
                $('.address_alert').show();
                $('.address_alert').addClass('alert-'+response.status);
                $('.address_alert').text(response.msg);
            },
        });
    });

    //Remove wishlist
    $(document).on("click", ".removeWishlist", function(e) {

        let id = $(this).attr('data-id');
        let vid = $(this).attr('data-vid');
        $.ajax({
            type:'POST',
            url: "<?php echo e(route('removeWishlist')); ?>",
            data: {id : id,vid : vid ,"_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                if(response.status == 'success'){
                    location.reload();
                }
            },
        });
    });

    //add to cart
    $(document).on("click", ".addCart", function(e) {

        let id = $(this).attr('pid');
        let vid = $(this).attr('vid');
        let quantity = $('.quantityInp').val()??1;
        $.ajax({
            type:'POST',
            url: "<?php echo e(route('addToCart')); ?>",
            data: {pid : id,vid : vid ,quantity:quantity,"_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                if(response.status == 'success'){
                    $("#cart-menu").load(location.href + " #cart-menu");
                }
                Swal.fire({
                    text: response.message,
                    icon: response.status,
                    confirmButtonColor: '#3085d6',
                    confirmButtonText: 'Ok'
                })
            },
        });
    });

    //add to cart from product detail page
    $(document).on("click", ".addCartCurrent", function(e) {
        e.preventDefault();
        let id = $(this).attr('pid');
        let vid = $(this).attr('vid');
        let attr = $(this).attr('data-attr');
        let color = $(this).attr('data-color');
        let size = $(this).attr('data-size');
        if(size == '' || size==undefined){
            Swal.fire({
                text: 'Please select size !!',
                icon: 'error',
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'Ok'
            });
            return false;
        }
        if(color == '' || color==undefined){
            Swal.fire({
                text: 'Please select color !!',
                icon: 'error',
                confirmButtonColor: '#3085d6',
                confirmButtonText: 'Ok'
            })
            return false;
        }
        var self = this;
        let quantity = $('.quantityInp').val()??1;
        $.ajax({
            type:'POST',
            url: "<?php echo e(route('addToCart')); ?>",
            data: {pid : id,vid : vid ,quantity:quantity,attr:attr,color:color,size:size,"_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                if(response.status == 'success'){
                    $("#cart-menu").load(location.href + " #cart-menu");
                }
                if($(self).attr('data-buy') == 'true'){
                    var url = "<?php echo e(route('checkout')); ?>";
                    location.href = url+'?id='+id;
                    return false;
                }
                Swal.fire({
                    text: response.message,
                    icon: response.status,
                    confirmButtonColor: '#3085d6',
                    confirmButtonText: 'Ok'
                })
            },
        });
    });

    // Remove from cart
    $(document).on("click", ".removeCartItem", function(e) {
        let id = $(this).attr('pid');
        $.ajax({
            type:'POST',
            url: "<?php echo e(route('removeFromCart')); ?>",
            data: {pid : id,"_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                if(response.status == 'success'){
                    location.reload();
                }
            },
        });
    });

    //plus minus count
    $(document).on("click", ".plusMinus", function(e) {

        let id = $(this).attr('data-id');
        let plusMinus = $(this).attr('data-val');
        let price = $('.quantity'+id).attr('price');
        let quan = $('.quantity'+id).val();

        if((Number(quan) + Number(plusMinus)) < 1 || (Number(quan) + Number(plusMinus))  > 11){
            return false;
        }

        let subTotal=0;
        if(plusMinus>0){
            subTotal = Number(price) + Number($('.sub_total').text());
        }else{
            subTotal =  Math.abs(Number(price) - Number($('.sub_total').text()));
        }

        $.ajax({
            type:'POST',
            url: "<?php echo e(route('productQuantity')); ?>",
            data: {id : id,plusMinus : plusMinus,subTotal:subTotal,"_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                if(response.status == 'success'){
                    $('.quantity'+id).val(response.quantity);
                    $('.price'+id).text(Number(price) * response.quantity);
                    $('.sub_total').text(subTotal);
                    $('.total').text(response.grandTotal);
                }
            },
        });
    });

    // tax
    $(document).on("click", ".shipping", function(e) {
        let shiping = $(this).val();
        let subTotal = $('.sub_total').text();

        $.ajax({
            type:'POST',
            url: "<?php echo e(route('getTotal')); ?>",
            data: {shiping : shiping,subTotal:subTotal,"_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                if(response.status == 'success'){
                    $('.total').text(response.grandTotal);
                }
            },
        });
    });

    // Like dislike
    $(document).on("click", ".thumb", function(e) {
        let id = $(this).attr('data-id');
        let upDown = $(this).attr('data-val');

        $.ajax({
            type:'POST',
            url: "<?php echo e(route('reviewsLike')); ?>",
            data: {id : id,upDown:upDown,"_token": "<?php echo e(csrf_token()); ?>"},
            dataType: 'json',
            success: function(response){
                if(response.success){
                    if(upDown == 'up'){
                        $('#thumb_up'+id).text(response.count);
                    }else{
                        $('#thumb_down'+id).text(response.count);
                    }
                }
            },
        });
    });


    $(document).on("change", ".sortBy", function(e) {
        $('#sortByForm').submit();
    });
    $(document).on("click", "#clearAll", function(e) {
        $('.clear').each(function() {
            if($(this).attr('checked')){
                $(this).attr('checked',false);
            }
        });
        $('#filterBy').attr('name','clearAll');
        $('#filterBy').attr('value','1');
        $('#filterBy').click();
    });

  $(function() {
    $( "#slider-range" ).slider({
        range: true,
        min: 0,
        max: 15000,
        values: [<?php echo e($priceSlider[1]??0); ?>,<?php echo e($priceSlider[2]??500); ?>],
        slide: function( event, ui ) {
            $( "#amount" ).val( "KD " + ui.values[ 0 ] + " - KD " + ui.values[ 1 ] );
        }
        });
        $( "#amount" ).val( "KD " + $( "#slider-range" ).slider( "values", 0 ) +
        " - KD " + $( "#slider-range" ).slider( "values", 1 ) );
    });

// add address button
    $(document).on("click", "#addAddressBtn", function(e) {
        $('.address-personal').removeClass('d-none');
    });

     $(document).on("click", ".submitAddress", function(e) {

        var data = $("#addAddress").serialize();
        var url = $("#addAddress").attr('action');

        $.ajax({
            type:'POST',
            url: url,
            data: data,
            dataType: 'json',
            success: function(response){
                $('.address_alert').show();
                $('.address_alert').addClass('alert-'+response.status);
                $('.address_alert').text(response.msg);
                $("#address_content").load(location.href + " #address_content");
            },
        });
    });

    // Select address id
    $('#address_id').val($('.addressRadio').val());
    $(document).on("click", ".addressRadio", function(e) {
         $('#address_id').val($(this).val());
    });

    //placeOrder
    $(document).on("click", ".placeOrder", function(e) {
        e.preventDefault();
        let flag=true;
        let html ='';
        if(Number($('.cart_count').html()) < 1){
            $('.errorOrder').removeClass('d-none').html('No item For placing an order');
            return false;
        }
        $('.errorOrder').empty();
        $('.payment_type').each(function() {
            if($('input[name = "payment_type"]:checked').length > 0){
                flag=false;
            }
            if(flag){
                $('.errorOrder').removeClass('d-none');
                html += "<strong>Please select payment mode !</strong>";
            }
            if($('#address_id').attr('data-val')!='ignore' && $('#address_id').val()=='' || $('#address_id').val()==undefined){
                $('.errorOrder').removeClass('d-none');
                html += "<strong>Please select address !</strong>";
            }
            if(html){
                $('.errorOrder').html(html);
                return false;
            }
            $("#placeOrderForm").submit();

        });
    });
    //review
    $(document).on("click", ".addReview", function(e) {
        e.preventDefault();
        var data = $("#addReviewForm").serialize();
        var url = $("#addReviewForm").attr('action');

        $.ajax({
            type:'POST',
            url: url,
            data: data,
            dataType: 'json',
            success: function(response){
                if(response.status == 'success'){
                    $("#add-a-review").load(location.href + " #add-a-review");
                }else{
                    $('.reviewAlert').removeClass('d-none');
                    $('.reviewAlert').addClass('alert-'+response.status);
                    $('.reviewAlert').text(response.msg);
                }
            },
        });
    });

    //variant data
    $(document).on("click", ".variant_btn", function(e) {
        e.preventDefault();
        var vid = $(this).val();
        var pid = $(this).attr('pid');
        variantData(pid,vid);
    });
    //size
    $(document).on("click", ".size", function(e) {
        var sizeId = $(this).val();
        $('.addCartCurrent').attr('data-size',sizeId);
    });

    //color
    $(document).on("click", ".color", function(e) {
        var colorId = $(this).val();
        $('.addCartCurrent').attr('data-color',colorId);
    });

    //
    $("#datepickerCareer").datepicker();

    //search
    $(document).on("keyup", "#search", function(e) {
        var url = $("#searchForm").attr('action');
        let text = $(this).val();
        $.ajax({
            type:'GET',
            url: url,
            data: {'search': text,'json':true},
            dataType: 'json',
            success: function(response){
                var html='';
                $('.search_list').removeClass('d-none');
                $.each(response.products, function( key, value ) {
                    html +="<li><a href='<?php echo e(url('product-detail')); ?>?id="+value.id+"'>"+value.title+"</a></li>"
                });
                if(html == ''){
                    html+='<li> No data founnd !!</li>';
                }
                $(".search_list").html(html);
            },
        });
    });
</script>
<?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/nic/resources/views/front_script.blade.php ENDPATH**/ ?>