
<?php $__env->startSection('title', 'Brands'); ?>
<?php $__env->startSection('content'); ?>
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1><?php echo e(__('Brands')); ?></h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/brands')); ?>"><?php echo e(__('Brands')); ?> </a></li>
              <li class="breadcrumb-item active"><?php echo e(__('Update')); ?></li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title"><?php echo e(__('Update Brand')); ?></h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                <?php echo e(Form::model($brand, array('route' => array('admin.brand.update', $brand->id), 'method' => 'POST','files'=>true))); ?>

                <div class="card-body row">
                

                  <div class="form-group col-md-6 <?php echo APFrmErrHelp::hasError($errors, 'title'); ?>">
                    <label for="exampleFormControlSelect1"><?php echo e(__('Name')); ?> <small class="asterisk">*</small></label>
                    <?php echo e(Form::text('title', $brand->title, array('id'=>'title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'title')." ",'placeholder' => 'Enter name'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'title'); ?>

                  </div>
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1"><?php echo e(__('Arabic Name')); ?> <small class="asterisk">*</small></label>
                    <?php echo e(Form::text('arabic_title',  $brand->arabic_title, array('id'=>'arabic_title','class' => "form-control ".APFrmErrHelp::hasError($errors, 'arabic_title')." ",'placeholder' => 'Enter arabic name'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'arabic_title'); ?>

                  </div>
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1"><?php echo e(__('Logo')); ?> <small class="asterisk">*</small></label>
                    <?php echo Form::file('logo', ['id'=>'logo','class' => 'form-control file-chose', 'accept' => 'image/*']); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'logo'); ?>

                    <?php if($brand->logo && file_exists(public_path('/brands_images/'.$brand->logo))): ?>
                    <div class="mt-4">
                        <input type="hidden" name="logo_exist" value="1">
                        <img class="store-image" src="<?php echo e(asset('/brands_images/'.$brand->logo)); ?>" width="100" height="100"> 
                        <a class="deleteimage" data-toggle="modal" data-target="#deletemodel" data-type="logo" data-getid="<?php echo e($brand->id); ?>">Delete</a>
                    </div>
                    <?php else: ?>
                      <input type="hidden" name="logo_exist" value="0">
                    <?php endif; ?>
                  </div>                 
                  <div class="form-group col-md-6">
                    <label for="exampleInputEmail1"><?php echo e(__('Image')); ?> <small class="asterisk">*</small></label>
                    <?php echo Form::file('image', ['id'=>'image','class' => 'form-control file-chose', 'accept' => 'image/*']); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'image'); ?>

                    <?php if($brand->image && file_exists(public_path('/brands_images/'.$brand->image))): ?>
                    <div class="mt-4">
                        <input type="hidden" name="image_exist" value="1">
                        <img class="store-image" src="<?php echo e(asset('/brands_images/'.$brand->image)); ?>" width="100" height="100"> 
                        <a class="deleteimage" data-toggle="modal" data-target="#deletemodel" data-type="image" data-getid="<?php echo e($brand->id); ?>">Delete</a>
                    </div>
                    <?php else: ?>
                      <input type="hidden" name="image_exist" value="0">
                    <?php endif; ?>
                  </div>
                  <div class="form-group col-md-6">
                      <label for="exampleInputPassword1"><?php echo e(__('Status')); ?></label>
                      <input type="radio" name="status" <?php if($brand->status=='1'): ?> checked <?php endif; ?> value="1"> Active
                      <input type="radio" name="status"  <?php if($brand->status=='0'): ?> checked <?php endif; ?> value="0"> Inactive
                    
                  </div>
                  
                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Update</button>
                </div>
              <?php echo e(Form::close()); ?>

            </div>
            <!-- /.card -->

          </div>
          
        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
     <!-- Modal -->
     <div class="modal fade" id="deletemodel" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Delete</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">
                    Are you sure you want to delete?
                </div>
                <div class="modal-footer">
                    <form method="POST" id="deleteImageForm" action="<?php echo e(route('brand.deleteImage')); ?>">
                        <?php echo e(csrf_field()); ?>

                        <input type="hidden" name="id" value="" id="Id">
                        <input type="hidden" name="type" value="" id="imgtype">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                        <button type="submit" class="btn btn-primary" id="deleteimageBtn">Yes</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
<script>
    $(".deleteimage").click(function(e){
        var getId = $(this).attr("data-getid");
        var type = $(this).attr("data-type");
        $('#Id').val(getId);
        $('#imgtype').val(type);
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\ibrah_laravel\resources\views/admin/brands/edit.blade.php ENDPATH**/ ?>