
<?php $__env->startSection('title', 'Coupons'); ?>
<?php $__env->startSection('content'); ?>
<section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1><?php echo e(__('Coupons')); ?></h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/coupons')); ?>"><?php echo e(__('Coupons')); ?></a></li>
              <li class="breadcrumb-item active"><?php echo e(__('Create')); ?></li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>
<section class="content">
      <div class="container-fluid">
        <div class="row">
          <!-- left column -->
          <div class="col-md-12">
            <!-- general form elements -->
            <div class="card card-primary">
              <div class="card-header">
                <h3 class="card-title"><?php echo e(__('Add Coupon')); ?></h3>
              </div>
              <!-- /.card-header -->
              <!-- form start -->
              <!-- if there are creation errors, they will show here -->
                <?php echo Form::open(array('route' => 'admin.coupon.store', 'class' => 'form','files'=>true)); ?>

                <div class="card-body row">
                  <div class="form-group col-md-6 <?php echo APFrmErrHelp::hasError($errors, 'code'); ?>">
                    <label for="code"><?php echo e(__('Code')); ?> <small class="asterisk">*</small></label>
                    <?php echo e(Form::text('code', Request::old('code'), array('id'=>'code','autocomplete'=>'off','class' => "form-control ".APFrmErrHelp::hasError($errors, 'code')." ",'placeholder' => 'Enter code'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'code'); ?>

                  </div>
                  <div class="form-group col-md-6 <?php echo APFrmErrHelp::hasError($errors, 'type'); ?>">
                    <label for="type"><?php echo e(__('Discount Type')); ?> <small class="asterisk">*</small></label>
                    <?php echo Form::select('type',['' => __('Select Discount Type'),'flat' => __('Flat'),'percentage' => __('Percentage')], '', array('class'=>"form-control ".APFrmErrHelp::hasError($errors, 'type')." ", 'id'=>'type')); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'type'); ?>

                  </div>
                  <div class="form-group col-md-6">
                    <label for="amount"><?php echo e(__('Amount')); ?> <small class="asterisk">*</small></label>
                    <?php echo e(Form::text('amount', Request::old('amount'), array('id'=>'amount','autocomplete'=>'off','maxlength' => 13,'onkeypress'=>"return /[0-9]/.test(String.fromCharCode(((event||window.event).which||(event||window.event).which)))",'class' => "form-control ".APFrmErrHelp::hasError($errors, 'amount')." ",'placeholder' => 'Enter amount'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'amount'); ?>

                  </div>

                  <div class="form-group col-md-6">
                    <label for="usage_limit"><?php echo e(__('Usage limit (per user)')); ?> <small class="asterisk">*</small></label>
                    <?php echo e(Form::text('usage_limit', Request::old('usage_limit'), array('id'=>'usage_limit','autocomplete'=>'off','class' => "form-control ".APFrmErrHelp::hasError($errors, 'usage_limit')." ",'placeholder' => 'Enter usage limit (per user)'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'usage_limit'); ?>

                  </div>
                  <div class="form-group col-md-6">
                    <label for="start_date"><?php echo e(__('Start Date')); ?> <small class="asterisk">*</small></label>
                    <?php echo e(Form::date('start_date', Request::old('start_date'), array('id'=>'start_date','autocomplete'=>'off','class' => "form-control ".APFrmErrHelp::hasError($errors, 'start_date')." ",'placeholder' => 'Enter start date'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'start_date'); ?>

                  </div>
                  <div class="form-group col-md-6">
                    <label for="end_date"><?php echo e(__('End Date')); ?> <small class="asterisk">*</small></label>
                    <?php echo e(Form::date('end_date', Request::old('end_date'), array('id'=>'end_date','autocomplete'=>'off','class' => "form-control ".APFrmErrHelp::hasError($errors, 'end_date')." ",'placeholder' => 'Enter end date'))); ?>

                    <?php echo APFrmErrHelp::showErrors($errors, 'end_date'); ?>

                  </div>
                    <div class="form-group col-md-6">
                        <label for="exampleInputPassword1"><?php echo e(__('Status')); ?></label>
                        <input type="radio" name="status" checked value="1"> Active
                        <input type="radio" name="status" value="0"> Inactive
                    </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                  <button type="submit" class="btn btn-primary">Submit</button>
                </div>
              <?php echo e(Form::close()); ?>

            </div>
            <!-- /.card -->

          </div>

        </div>
        <!-- /.row -->
      </div><!-- /.container-fluid -->
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\ibrah_laravel\resources\views/admin/coupons/create.blade.php ENDPATH**/ ?>