
<?php $__env->startSection('title', 'page'); ?>
<?php $__env->startSection('content'); ?>
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>All Pages</h1>
          </div>
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="<?php echo e(url('admin/home')); ?>">Home</a></li>
              <li class="breadcrumb-item active">Roles</li>
            </ol>
          </div>
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h3 class="card-title">Roles Listing</h3>
                            <div class="col-md-12 text-end">
                                <a href="<?php echo e(route('role.create')); ?>" class="float-right">
                                    <button type="button" class="btn btn-primary"><i class="fa fa-plus"></i></button>
                                </a>
                            </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                        <?php if($error = Session::get('error')): ?>
                            <div class="alert alert-danger">
                                <p><?php echo e($error); ?></p>
                            </div>
                        <?php endif; ?>

                        <?php if($message = Session::get('message')): ?>
                        <div class="alert alert-success">
                            <p><?php echo e($message); ?></p>
                        </div>
                        <?php endif; ?>
                        <table class="table table-bordered table-striped" id="roleTable" style="width:100%">
                            <thead>
                                <tr>
                                    <th>S.No</th>
                                    <th>Role</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                        </table>
                    </div>
                    <!-- /.card-body -->
                </div>
                <!-- /.card -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
</section>
<!-- /.content -->
<!-- Modal -->
<div class="modal fade" id="deletemodel" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
        <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Delete</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">×</span>
            </button>
        </div>
        <div class="modal-body">
            Are you sure you want to delete?
        </div>
        <div class="modal-footer">
            <form method="POST" id="deleteEntryForm" action="<?php echo e(route('role.delete')); ?>">
                <?php echo e(csrf_field()); ?>

                <input type="hidden" name="id" value="" id="deleteId">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                <button type="submit" class="btn btn-primary" id="deleteentry">Yes</button>
            </form>
        </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
<script>
    $(document).on("click", ".deleteentry", function() {
        var getId = $(this).attr("data-getid");
        $('#deleteId').val(getId);
    });

    $(document).ready(function(){
        // DataTable
        $('#roleTable').DataTable({
            processing: true,
            responsive: true,
            serverSide: true,
            // pageLength: 20,
            ajax: "<?php echo e(route('role.ajaxList')); ?>",
                columns: [
                    { data: 'id'},
                    { data: 'role' },
                    {
                        data: null,
                        bSortable: false,
                        mRender: function (data, type, row) {
                            var actionHTml =  '<div class="dropdown"> <button class="btn btn-primary dropdown-toggle" type="button" id="dropdownMenuButton1" data-toggle="dropdown" aria-expanded="false"> Action </button><ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">';
                            actionHTml += '<a class="dropdown-item" href="<?php echo e(url('admin/role/edit')); ?>/'+row.id+'">Edit</a>';
                            actionHTml  += '<a class="dropdown-item deleteentry" data-toggle="modal" data-target="#deletemodel" data-getid="'+row.id+'">Delete</a>';
                            actionHTml += '</ul></div>';
                            return actionHTml;
                        }
                    },
                ],

                "fnRowCallback" : function(nRow, aData, iDisplayIndex){
                    var info = $(this).DataTable().page.info();
                    $("td:nth-child(1)", nRow).html(info.start + iDisplayIndex + 1);
                    return nRow;
                },
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH E:\xampp\htdocs\ibrah_laravel\resources\views/admin/role/index.blade.php ENDPATH**/ ?>